<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$error_text1      = RDTheme::$options['error_text1'];
$error_text2      = RDTheme::$options['error_text2'];
$error_buttontext = RDTheme::$options['error_buttontext'];

$error_img = wp_get_attachment_image( RDTheme::$options['error_img'], 'full');

?>
<?php get_header();?>
  
  <div id="wrapper" class="wrapper">
  	<div id="main_content">
      <div class="error error--bg">
        <div class="container">
          <div class="row align-items-center">
            <div class="col-lg-7 mx-auto">
              <div class="error__wrapper text-center">
                <?php if( !empty( $error_img ) ) : ?>
                <div class="error__thumb mb-24">
                  <?php echo wp_kses( $error_img, 'alltext_allow' ); ?>
                </div>
                <?php endif; ?>
                <div class="error__content">
                  <?php if( !empty( $error_text1 ) ) : ?>
                  <span class="error__title error__title--big"><?php echo esc_html( $error_text1 ); ?></span>
                  <?php endif; if( !empty( $error_text2 ) ) : ?>
                  <h3 class="error__title error__title--small mb-24"><?php echo esc_html( $error_text2 ); ?></h3>
                  <?php endif; ?>
                  <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="rt-btn rt-btn--comming">
                    <div class="icon--4">
                      <svg id="Group_1442" data-name="Group 1442" xmlns="http://www.w3.org/2000/svg" width="22" height="10" viewBox="0 0 22 10">
                        <g id="Group_1441" data-name="Group 1441">
                          <g id="Group_565" data-name="Group 565">
                            <path id="Polygon_8" data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(0 10) rotate(-90)" fill="#ff3147" />
                            <rect id="Rectangle_240" data-name="Rectangle 240" width="14" height="2" transform="translate(8 4)" fill="#ff3147" />
                          </g>
                        </g>
                      </svg>
                    </div>
                    <?php echo esc_html( $error_buttontext ); ?>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
  	</div>
  </div>

<?php get_footer(); ?>