<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\Helper;

if ( post_password_required() ) {
    return;
}
?>
<div id="comments" class="comments-area leave-comment">
    <?php if ( have_comments() ): ?>
    <div class="post-comment">
        <?php
        $rdtheme_comment_count = get_comments_number();
        $rdtheme_comments_text = number_format_i18n( $rdtheme_comment_count ) ;
        if ( $rdtheme_comment_count > 1 ) {
            $rdtheme_comments_text .= esc_html__( ' Comments', 'daisy' );
        }
        else{
            $rdtheme_comments_text .= esc_html__( ' Comment', 'daisy' );
        }
        ?>
        <h3 class="inner-title"><?php echo esc_html( $rdtheme_comments_text );?></h3>
        <?php
        $rdtheme_avatar = get_option( 'show_avatars' );
        ?>
        <ul class="block-list<?php echo empty( $rdtheme_avatar ) ? ' avatar-disabled' : '';?>">
            <?php
                wp_list_comments(
                    array(
                        'style'        => 'ul',
                        'callback'     => 'radiustheme\daisy\inc\Helper::comments_callback',
                        'reply_text'   => esc_html__( 'Reply', 'daisy' ),
                        'avatar_size'  => 80,
                        'format'       => 'html5'
                    ) 
                );
            ?>
        </ul>

        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :?>
            <nav class="pagination-area comment-pagination">
                <ul>
                    <li><?php previous_comments_link( esc_html__( 'Older Comments', 'daisy' ) ); ?></li>
                    <li><?php next_comments_link( esc_html__( 'Newer Comments', 'daisy' ) ); ?></li>
                </ul>
            </nav>
        <?php endif;?>
    </div>
    <?php endif;?>
    
    <?php if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
        <p class="comments-closed"><?php esc_html_e( 'Comments are closed.', 'daisy' ); ?></p>
    <?php endif; ?>

    <?php
    // Start displaying Comment Form
    $rdtheme_commenter = wp_get_current_commenter();		
    $rdtheme_req = get_option( 'require_name_email' );
    $rdtheme_aria_req = ( $rdtheme_req ? " required" : '' );

    $rdtheme_fields =  array(
        'author' =>
        '<div class="row gutters-20"><div class="col-md-6 form-group"><input type="text" id="author" name="author" value="' . esc_attr( $rdtheme_commenter['comment_author'] ) . '" placeholder="'.esc_attr__( 'Name', 'daisy' ).( $rdtheme_req ? ' ' : '' ).'" class="blogDetails-form__input"' . $rdtheme_aria_req . '></div>',

        'email' =>
        '<div class="col-md-6 form-group"><input id="email" name="email" type="email" value="' . esc_attr(  $rdtheme_commenter['comment_author_email'] ) . '" class="blogDetails-form__input" placeholder="'.esc_attr__( 'Email', 'daisy' ).( $rdtheme_req ? ' *' : '' ).'"' . $rdtheme_aria_req . '></div>',
        'website' =>
        '<div class="col-12 form-group"><input id="website" name="website" type="text" value="' . esc_attr(  $rdtheme_commenter['comment_author_url'] ) . '" class="blogDetails-form__input" placeholder="'.esc_attr__( 'Website', 'daisy' ).( $rdtheme_req ? ' ' : '' ).'"' . $rdtheme_aria_req . '></div></div>',
    );

    $rdtheme_args = array(
        'submit_field'  => '<div class="form-group form-submit mb-0">%1$s %2$s</div>',
        'title_reply_before' => '<h3 class="blogDetails-form__heading mb-20">',
        'title_reply'        => esc_html__( 'Leave A Comment', 'daisy' ),
        'title_reply_after'  => '</h3><hr class="mb-20">',

        'submit_button' => '<div class="row gutters-20"><div class="col-12 form-group mb-0"><button type="submit" class="rt-btn--14 rt-btn--15">'.esc_attr__( 'POST COMMENT', 'daisy' ).'<span class="icon--4"><svg xmlns="http://www.w3.org/2000/svg" width="22" height="10" viewBox="0 0 22 10"><g data-name="Group 565" transform="translate(-367 -742)"><path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)" fill="#fff"></path><rect data-name="Rectangle 240" width="14" height="2" transform="translate(367 746)" fill="#fff"></rect></g></svg></span></button></div></div>',
        'comment_field' =>  '<div class="row gutters-20"><div class="col-12 form-group"><textarea id="comment" name="comment" required placeholder="'.esc_attr__( 'Comment', 'daisy' ).'" class="blogDetails-form__input" rows="5" cols="20"></textarea></div></div>',
        'fields' => apply_filters( 'comment_form_default_fields', $rdtheme_fields ),
    );
    ?>
    <div class="reply-separator"></div>
    <?php comment_form( $rdtheme_args );?>
</div>