<?php

/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>

    <!-- Main Wrapper Start -->
    <div id="wrapper" class="wrapper">
    <?php 
        if( RDTheme::$header_style == 1 ){
            $page_class = 'main-homeOne';
        }elseif( RDTheme::$header_style == 2 ){
            $page_class = 'main-homeTwo';
        }else{
            $page_class = 'page';
        }
    ?>

    <?php if( RDTheme::$options['back_to_top']) { ?>
        <a href="javascript:void(0)" id="back-to-top">
          <i class="fas fa-arrow-up"></i>
        </a>
    <?php } ?>

    <!-- Main Content Start -->
    <div id="main-content" class="main-content <?php echo esc_attr( $page_class ); ?>">
        <?php get_template_part('template-parts/header/mobile', 'menu');?>
        <?php get_template_part('template-parts/header/header', RDTheme::$header_style); ?>

        <?php get_template_part('template-parts/content', 'banner'); ?>




