<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;
use radiustheme\Daisy_Core;
/*-------------------------------------
INDEX
=======================================
#. Defaults
#. Top Bar
#. Header
#. Banner
#. Footer
#. Widgets
#. Typography
#. Pagination
#. Buttons
#. Error 404
#. Comments
#. Inner Contents
#. Comments
#. Error 404
#. CPT
#. Blog

-------------------------------------*/
$daisy = DAISY_THEME_PREFIX_VAR;

$primary_color    = RDTheme::$options['primary_color']; // #f85c70
$primary_rgb      = Helper::hex2rgb( $primary_color ); // 248, 92, 112

$primary_color2   = RDTheme::$options['primary_color2']; // #ff8345
$primary_rgb2     = Helper::hex2rgb( $primary_color2 ); // 255, 131, 69

$primary_color3   = RDTheme::$options['primary_color3']; // #ff3147
$primary_rgb3     = Helper::hex2rgb( $primary_color3 ); // 255, 49, 71

$primary_color4   = RDTheme::$options['primary_color4']; // #ca0016
$primary_rgb4     = Helper::hex2rgb( $primary_color4 ); // 202, 0, 22

$secondary_color  = RDTheme::$options['secondary_color']; // #0f285f
$secondary_rgb    = Helper::hex2rgb( $secondary_color ); // 15, 40, 95

$secondary_color2 = RDTheme::$options['secondary_color2']; // #061526
$secondary_rgb2   = Helper::hex2rgb( $secondary_color2 ); // 6, 21, 38

$secondary_color3 = RDTheme::$options['secondary_color3']; // #394859
$secondary_rgb3   = Helper::hex2rgb( $secondary_color3 ); // 57, 72, 89

$menu_text_color           = RDTheme::$options['menu_text_color'];
$menu_text_hover_color     = RDTheme::$options['menu_text_hover_color'];
$sub_menu_text_color       = RDTheme::$options['sub_menu_text_color'];
$sub_menu_text_hover_color = RDTheme::$options['sub_menu_text_hover_color'];
$sub_menu_border_color     = RDTheme::$options['sub_menu_border_color'];

$logo_width	   	   = RDTheme::$options['logo_width'];
$mobile_logo_width = RDTheme::$options['mobile_logo_width'];

$error_text1_color  = RDTheme::$options['error_text1_color'];
$error_text2_color  = RDTheme::$options['error_text2_color'];
$error_btni_color   = RDTheme::$options['error_btnicon_color'];
$error_btntxt_color = RDTheme::$options['error_btntxt_color'];

$body_font['font'] = '';

$typo_body    = json_decode( RDTheme::$options['typo_body'], true );

if ($body_font['font'] == 'Inherit') {
	$typo_body['font'] = 'Roboto';
} else {
	$typo_body['font'] = $typo_body['font'];
}

$typo_menu = json_decode( RDTheme::$options['typo_menu'], true );

if ($typo_menu['font'] == 'Inherit') {
	$typo_menu['font'] = 'Roboto';
} else {
	$typo_menu['font'] = $typo_menu['font'];
}

$typo_sub_menu = json_decode( RDTheme::$options['typo_sub_menu'], true );

if ($typo_sub_menu['font'] == 'Inherit') {
	$typo_sub_menu['font'] = 'Cormorant';
} else {
	$typo_sub_menu['font'] = $typo_sub_menu['font'];
}

$typo_heading = json_decode( RDTheme::$options['typo_heading'], true );
if ($typo_heading['font'] == 'Inherit') {
	$typo_heading['font'] = 'Cormorant';
} else {
	$typo_heading['font'] = $typo_heading['font'];
}

$typo_h1 = json_decode( RDTheme::$options['typo_h1'], true );
if ($typo_h1['font'] == 'Inherit') {
	$typo_h1['font'] = '';
} else {
	$typo_h1['font'] = $typo_h1['font'];
}

$typo_h2 = json_decode( RDTheme::$options['typo_h2'], true );

if ($typo_h2['font'] == 'Inherit') {
	$typo_h2['font'] = '';
} else {
	$typo_h2['font'] = $typo_h2['font'];
}

$typo_h3 = json_decode( RDTheme::$options['typo_h3'], true );

if ( $typo_h3['font'] == 'Inherit') {
	$typo_h3['font'] = '';
} else {
	$typo_h3['font'] = $typo_h3['font'];
}

$typo_h4 = json_decode( RDTheme::$options['typo_h4'], true );

if ($typo_h4['font'] == 'Inherit') {
	$typo_h4['font'] = '';
} else {
	$typo_h4['font'] = $typo_h4['font'];
}

$typo_h5      = json_decode( RDTheme::$options['typo_h5'], true );

if ($typo_h5['font'] == 'Inherit') {
	$typo_h5['font'] = '';
} else {
	$typo_h5['font'] = $typo_h5['font'];
}

$typo_h6      = json_decode( RDTheme::$options['typo_h6'], true );

if ($typo_h6['font'] == 'Inherit') {
	$typo_h6['font'] = '';
} else {
	$typo_h6['font'] = $typo_h6['font'];
}


/*-------------------------------------
#. Typography
---------------------------------------*/
?>

body {
	<?php if( !empty( RDTheme::$options['body_color'] ) ) : ?>
	color: <?php echo esc_html( RDTheme::$options['body_color'] ); ?>;
    <?php endif; ?>
	font-family: '<?php echo esc_html( $typo_body['font'] ); ?>', sans-serif;
	font-size: <?php echo esc_html( RDTheme::$options['typo_body_size'] ) ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_body_height'] ); ?>;
	font-weight : <?php echo esc_html( $typo_body['regularweight'] ) ?>;
	font-style: normal;
}

.main-menu ul li > a{
	font-family: '<?php echo esc_html( $typo_menu['font'] ); ?>', sans-serif;
	font-size: <?php echo esc_html( RDTheme::$options['typo_menu_size'] ) ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_menu_height'] ); ?>;
	font-weight : <?php echo esc_html( $typo_menu['regularweight'] ) ?>;
	font-style: normal;
}

<?php if ( !empty( $menu_text_color ) ) { ?>
	.main-menu ul li > a,
	.main-menu.main-menu--style--4 > ul > li > a
	{
		color: <?php echo esc_html( $menu_text_color ); ?>;
	}
<?php } ?>

<?php if ( !empty( $menu_text_hover_color ) ) { ?>
	.main-menu ul li > a:hover,
	.main-menu ul.menu li.current-menu-ancestor > a,
	.main-menu.main-menu--style--2 ul li > a:hover,
	.main-menu.main-menu--style--3 ul li >a:hover
	{
		color: <?php echo esc_html( $menu_text_hover_color ); ?>;
	}
<?php } ?>

.main-menu ul li ul.sub-menu li a{
	font-family: '<?php echo esc_html( $typo_sub_menu['font'] ); ?>', sans-serif;
	font-size: <?php echo esc_html( RDTheme::$options['typo_sub_menu_size'] ) ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_menu_height'] ); ?>;
	font-weight : <?php echo esc_html( $typo_sub_menu['regularweight'] ) ?>;
}

<?php if ( !empty( $sub_menu_text_color ) ) { ?>
	.main-menu ul li ul.sub-menu li a 
	{
		color: <?php echo esc_html( $sub_menu_text_color ); ?>
	}
<?php } ?>

<?php if ( !empty( $sub_menu_text_hover_color ) ) { ?>
	.main-menu ul li ul.sub-menu li a:hover,
	.main-menu ul.menu li.current-menu-item > a, 
	.main-menu ul.menu > li.current > a
	{
		color: <?php echo esc_html( $sub_menu_text_hover_color ); ?>
	}
<?php } ?>

<?php if ( !empty( $sub_menu_border_color ) ) { ?>
	.main-menu ul li .sub-menu::after,
	.main-menu.main-menu--style--2 ul li .sub-menu::after,
	.main-menu.main-menu--style--3 ul li .sub-menu::after,
	.main-menu.main-menu--style--4 ul li .sub-menu::after
	{
		background-color: <?php echo esc_html( $sub_menu_border_color ) ?>;
	}
<?php } ?>

h1,h2,h3,h4,h5,h6 {
	font-family: '<?php echo esc_html( $typo_heading['font'] ); ?>', serif;
	font-weight : <?php echo esc_html( $typo_heading['regularweight'] ); ?>;
}

<?php if (!empty($typo_h1['font']) && $typo_h1['font'] != 'Inherit' ) { ?>
h1 {
	font-family: '<?php echo esc_html( $typo_h1['font'] ); ?>', serif;
	<?php if( !empty( $typo_h1['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h1['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h1 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h1_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h1_height'] ); ?>;
	font-style: normal;
}
<?php if (!empty($typo_h2['font']) && $typo_h2['font'] != 'Inherit' ) { ?>
h2 {
	font-family: '<?php echo esc_html( $typo_h2['font'] ); ?>', serif;
	<?php if( !empty( $typo_h2['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h2['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h2 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h2_size'] ); ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_h2_height'] ); ?>;
	font-style: normal;
}

<?php if ( !empty($typo_h3['font']) && $typo_h3['font'] != 'Inherit' ) { ?>
h3 {
	font-family: '<?php echo esc_html( $typo_h3['font'] ); ?>', serif;
	<?php if( !empty( $typo_h3['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h3['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h3 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h3_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h3_height'] ); ?>;
	font-style: normal;
}

<?php if (!empty($typo_h4['font']) && $typo_h4['font'] != 'Inherit' ) { ?>
h4 {
	font-family: '<?php echo esc_html( $typo_h4['font'] ); ?>', serif;
	<?php if( !empty( $typo_h4['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h4['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h4 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h4_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h4_height'] ); ?>;
	font-style: normal;
}
<?php if (!empty($typo_h5['font']) && $typo_h5['font'] != 'Inherit') { ?>
h5 {
	font-family: '<?php echo esc_html( $typo_h5['font'] ); ?>', serif;
	<?php if( !empty( $typo_h5['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h5['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h5 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h5_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h5_height'] ); ?>;
	font-style: normal;
}
<?php if ( !empty($typo_h6['font']) && $typo_h6['font'] != 'Inherit' ) { ?>
h6 {
	font-family: '<?php echo esc_html( $typo_h6['font'] ); ?>', serif;
	<?php if( !empty( $typo_h6['regularweight'] ) ) { ?>
	font-weight : <?php echo esc_html( $typo_h6['regularweight'] ); ?>;
	<?php } ?>
}
<?php } ?>
h6 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h6_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h6_height'] ); ?>;
	font-style: normal;
}

<?php if ( $logo_width ) { ?>
	.menu-area .logo img 
	{
		max-width: <?php echo esc_html( $logo_width ); ?>px;
	}
<?php } ?>
<?php if ( $mobile_logo_width ) { ?>
	.rt-mobile-menn-bar .logo img 
	{
		max-width: <?php echo esc_html( $mobile_logo_width ); ?>px;
	}
<?php } ?>

<?php if( !empty( $error_text1_color ) ) { ?>
	.error__title--big { color: <?php echo esc_html( $error_text1_color ); ?>; }
<?php } ?>

<?php if( !empty( $error_text2_color ) ) { ?>
	.error__title--small { color: <?php echo esc_html( $error_text2_color ); ?>; }
<?php } ?>

<?php if( !empty( $error_btni_color ) ) { ?>
	.error__content .rt-btn--comming path{ fill: <?php echo esc_html( $error_btni_color ); ?>; }
	.error__content .rt-btn--comming rect{ fill: <?php echo esc_html( $error_btni_color ); ?>; }
<?php } ?>

<?php if( !empty( $error_btntxt_color ) ) { ?>
	.error__content .rt-btn--comming { color: <?php echo esc_html( $error_btntxt_color ); ?>; }
<?php } ?>

<?php 
/*-------------------------------------
#. Primary Color 1
---------------------------------------*/
?>
<?php if ( !empty( $primary_color )) { 
// Background Color
?>
.rt-btn--1,
.rt-btn--5,
#back-to-top,
.humburger span,
.template-search .close,
.service--style-1::after,
.skill--style-1 .skill__per,
.test-navigation__slider-btn:hover,
.pricing--style-1 .rt-btn--4::before,
.homeOne.active-dark-mode .my_switcher,
.portfolio--style-1 .portfolio__content,
.social-box--style-1:hover .social-box__inner::after,
.social-box--style-1:hover .social-box__inner::before,
.social-box--style-1:hover .social-box__icon-text::after,
.social-box--style-1:hover .social-box__icon-text::before,
.isotope-menu--style-1 .isotope-menu__item--current::after,
.section-heading--style-4 .section-heading__sub-title::after,
.social-box--style-1:hover .social-box__icon-text .rtin-icon,
.section-heading--style-4 .section-heading__sub-title::before,  
.offcanvas-menu-wrap .offcanvas-content .offcanvas-header .close-btn
{
	background-color: <?php echo esc_html( $primary_color ); ?>;	
}

.rt-btn--2 .icon--2
{
	box-shadow: 0px 15px 27px rgb(<?php echo esc_html( $primary_rgb );?>, 0.35);
}

.service--style-1 .service__icon
{
	background-color: rgba(<?php echo esc_html( $primary_rgb );?>, 0.2);
}

.rt-horizontal-line__item:nth-child(odd):before
{
	background-image: linear-gradient(0deg, transparent, <?php echo esc_html( $primary_color ); ?>);
}

.rt-horizontal-line::before,
.rt-horizontal-line__item:nth-child(even):before
{
	background-image: linear-gradient(0deg, <?php echo esc_html( $primary_color ); ?>, transparent);
}

.rt-list--style-1 .rt-list__icon
{
	background: rgba(<?php echo esc_html( $primary_rgb );?>, 0.15);
}

<?php } ?>

<?php if ( !empty( $primary_color )) { 
//Color
?>
.rt-btn--2,
.rt-btn--3,
.rt-btn--4,
.rt-btn--2:hover,
.icon-sketch:before,
.icon-page-1:before,
.blog__title a:hover,
.icon-branding:before,
.copyright-text a:hover,
.rt-btn.rt-btn--comming,
.project__title a:hover,
.icon-development:before,
.icon-advertising:before,
.team__author-name a:hover,
.blog--style-1 .blog__tag a,
.blog--style-2 .blog__tag a,
.test-navigation__slider-btn,
.icon-web-programming:before,
.pricing--style-1:hover .price,
.banner-content__title .text-ex,
.blog-block__heading__link:hover,
.serviceDetails-menu__link:hover,
.blog-block__meta__list li a:hover,
.breadcrumb-area .entry-breadcrumb,
.social--style-3 .social__link:hover,
.counter--style-1 .counter__icon .icon,
.pricing--style-1:hover .pricing__title,
.section-heading .heading-medium .text-ex,
.contact-list--style-1 .contact-list__icon,
.why-choose--style-3 .why-choose__title a:hover,
.social-box--style-1:hover .social-box__icon-text,
.slider-navigation-box--style-1 .slider-btn:hover,
.blog-details .post-comment ul li .item-btn a:hover,
.isotope-menu--style-1 .isotope-menu__item--current,
.section-heading--style-1 .section-heading__sub-title,
.pricing--style-1:hover .pricing__feature-list li > .icon,
.section-heading--style-1 .section-heading__sub-title::after, 
.inner-banner-content .rt-breadcrumb-wrap .breadcrumb .breadcrumb-item,
.homeOne.active-dark-mode .isotope-menu--style-1 .isotope-menu__item--current,
.offcanvas-menu-wrap .offcanvas-content .offcanvas-widget .contact-info-list .widget-list-item .list-icon
{
	color: <?php echo esc_html( $primary_color ); ?>;	
}
<?php } ?>

<?php if ( !empty( $primary_color )) { 
//Border Color
?>
.rt-btn--4,
.footer-bottom-wrap,
.test-navigation__slider-btn,
.counter--style-1 .counter__icon,
.test-navigation__slider-btn:hover,
.pricing--style-1:hover .rt-btn--4,
.template-search .search-form input[type="search"],
.section-heading--style-1 .section-heading__sub-title::after,
.section-heading--style-3 .section-heading__sub-title::after
{
	border-color: <?php echo esc_html( $primary_color ); ?>;
}
<?php } ?>

<?php if ( !empty( $primary_color )) { 
//Fill Color
?>
.rt-btn--3 .icon--3 svg path,
.rt-btn--4 .icon--3 svg path,
.blog-post .blog-post__date svg path,
.blog-block__meta__list > li > span path,
.pricing--style-1:hover .shape svg circle,
.testimonial--style-1 .quote-left svg path,
.service--style-1 .service__shape svg g circle,
.template-search .search-form .search-btn path
{
	fill: <?php echo esc_html( $primary_color ); ?>;
}
<?php } ?>

<?php if ( !empty( $primary_color )) { 
//Animation
?>
@-webkit-keyframes pulseShadow1 {
  0% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb );?>, 0.4);
  }
  70% {
    box-shadow: 0 0 0 25px rgba(<?php echo esc_html( $primary_rgb );?>, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb );?>, 0);
  }
}

@keyframes pulseShadow1 {
  0% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb );?>, 0.4);
  }
  70% {
    box-shadow: 0 0 0 25px rgba(<?php echo esc_html( $primary_rgb );?>, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb );?>, 0);
  }
}
<?php } ?>

<?php 
/*-------------------------------------
#. Primary Color 2
---------------------------------------*/
?>
<?php if ( !empty( $primary_color2)) { 
// Background Color
?>
.homeTwo #back-to-top,
.humburger--style-2 span,
.service--style-2::before,
.team__menu > ul > li > a,
.pricing-switch-container,
.homeTwo #back-to-top:hover,
.section-headingTwo__sub-title__bar,
.skill--style-2 .skill__per::before,
.modify-one .contact-form--style-5 .rt-btn--10,
.banner-content--style-2 .banner-content__sub-title::after
{
	background-color: <?php echo esc_html( $primary_color2 ); ?>;	
}

.pricing--style-2 .pricing__feature-list li > .icon
{
	background-color: rgba(<?php echo esc_html( $primary_rgb2 );?>, 0.15);
}

.humburger--style-2
{
	background: rgba(<?php echo esc_html( $primary_rgb2 );?>, 0.2);
}

.rt-btn--10,
.rt-btn--10:hover,
.rt-btn--6::before,
.contact-widget--style-1 .contact-widget__title::after
{
	background: linear-gradient(90deg, <?php echo esc_html( $primary_color2 ); ?> 0%, <?php echo esc_html( $primary_color ); ?> 100%);
}

.rt-btn--6::after,
.cta-content--style-2,
.rt-play-btn--1::after,
.slider-nav .slider-btn::after
{
	background: linear-gradient(90deg, <?php echo esc_html( $primary_color ); ?> 0%, <?php echo esc_html( $primary_color2 ); ?> 100% );
}

.cta-content--style-2
{
	box-shadow: 0px 12px 30px rgba(<?php echo esc_html( $primary_rgb2 );?>, 0.42);
}

.rt-play-btn--1::after
{
	filter: drop-shadow(0px 12px 15px rgba(<?php echo esc_html( $primary_rgb2 );?>, 0.46));
}
<?php } ?>

<?php if ( !empty( $primary_color2 )) { 
//Color
?>
.rt-btn--8:hover,
.section-headingTwo__sub-title,
.slider-nav--style-3 .slider-btn,
.blog--style-2 .blog__title a:hover,
.service--style-2 .service__title a:hover,
.team--style-1 .team__author-name a:hover,
.footer-widget--style-1 ul.menu li a:hover,
.price-switch-box--active .pack-name:first-of-type,
.price-switch-box--style-1 .pack-name:last-of-type,
.banner-content--style-2 .banner-content__sub-title,
.pricing--style-2 .pricing__feature-list li > .icon
{
	color: <?php echo esc_html( $primary_color2 ); ?>;	
}
<?php } ?>

<?php if ( !empty( $primary_color2 )) { 
//Border Color
?>
.service--style-2::after,
.slider-nav .slider-btn:hover,
.slider-nav--style-3 .slider-btn,
.theme-list--style-2 li > .square-icon,
.modify-one .contact-form--style-5.rt-btn--10
{
	border-color: <?php echo esc_html( $primary_color2 ); ?>;
}

.skill--style-2 .skill__per::after,
.blog--style-2 .blog__date .date::after
{
	border-color: <?php echo esc_html( $primary_color2 ); ?> transparent transparent transparent;
}

<?php } ?>

<?php if ( !empty( $primary_color2 )) { 
//Fill Color
?>
.rt-btn--8 .icon--4 svg path
{
	fill: <?php echo esc_html( $primary_color2 ); ?>;
}
<?php } ?>

<?php 
/*-------------------------------------
#. Primary Color 3
---------------------------------------*/
?>
<?php if ( !empty( $primary_color3 )) { 
// Background Color
?>
.rt-btn--13,
.rt-btn--14,
.rt-btn--5:hover,
#back-to-top:hover,
.rt-btn--1::before,
.rt-btn--3::before,
blockquote::before,
.blog-search__button,
.rt-play-btn--2::after,
.rt-play-btn--2::before,
.pagination ul li a:hover,
.why-choose--style-7:hover,
.about-img--style-3::after,
.blog--style-5 .blog__tag a,
.skill--style-2 .skill__per,
.theme-list--style-3::before,
.about-block--style-1::after,
.pagination ul li.active span,
.team--style-3 .team__content,
.team--style-4 .team__content,
.serviceDetails-quotes__button,
.blog--style-4:hover .blog__date,
.serviceDetails-callCenter__icon,
.single-team-socials .social li a,
.pricing--style-2:hover .rt-btn--7,
.blog--style-3:hover .blog__meta a,
.humburger--style-2.modify-one span,
.pricing--style-2--active .rt-btn--7,
.team--style-5 .team__social::before,
.team__menu--style2 > ul > li:hover > a,
.contact-form--style-5 .rt-btn--10:hover,
.header-action--style-5 .rt-btn--14:hover,
.sidebar-widget .widget .tagcloud a:hover, 
.header-action--style-6 .rt-btn--14:hover,
.service--style-3 .service__content::after,
.banner-content--style-4 .rt-btn--14:hover,
.theme-list--style-2 li > .square-icon::after,
.why-choose--style-5 .why-choose__line::after,
.why-choose--style-5 .why-choose__line::before,
.slider-nav--style-3.modify-one .slider-btn::after,
.humburger--style-2.modify-three .inner-box > span,
.team--style-5 .team__menu > ul > li .social__item a,
.swiper-slide-thumb-active .project-over-box--style-1,
.test-navigation--style-2 .test-navigation__slider-btn:hover,
.portfolio--style-4 .portfolio__figure:hover .portfolio__content::before,
.swiper-pagination-agency2.swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active,
.swiper-pagination.swiper-pagination-agency .swiper-pagination-bullet.swiper-pagination-bullet-active::after,
.swiper-pagination.swiper-pagination-agency3 .swiper-pagination-bullet.swiper-pagination-bullet-active::after
{
	background-color: <?php echo esc_html( $primary_color3 ); ?>;	
}

blockquote
{
	background-color: rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.11);
}

.cta-content--style-3::after
{
	background-color: rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.85);
}

.skill--style-3 .skill__per
{
	background: linear-gradient(to left, <?php echo esc_html( $primary_color2 ); ?> 0%, <?php echo esc_html( $primary_color3 ); ?> 100%);
}

.portfolio--style-5 .portfolio__content::after,
.portfolio--style-5 .portfolio__content::before 
{
	background: linear-gradient(rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.49) 0%, #000 100%);
}

.rt-btn--15{
	background-color: transparent;
}
<?php } ?>

<?php if ( !empty( $primary_color3 )) { 
//Color
?>
.rt-btn--15,
.rt-btn--11,
.error__title--big,
.blog-post__heading:hover,
.blog--style-3 .blog__meta a,
.theme-list--style-3 > li .icon,
.section-headingFour__sub-title,
.portfolio__menu > button.active,
.rt-list--style-1 .rt-list__icon,
.blog--style-4 .rt-btn--12:hover,
.blog--style-4 .blog__tag a:hover,
footer .footer-widget ul li a:hover,
.blog--style-4 .blog__title a:hover,
.banner-content--style-4 .rt-btn--14,
.banner-content--style-3 .rt-btn--11,
.sidebar-widget .widget ul li a:hover,
.sidebar-widget .widget ul li a:before,
.counter--style-2 .counter__icon .icon,
.why-choose--style-5 .icon-page-1:before,
.why-choose--style-7 .icon-page-1:before,
.why-choose--style-8 .icon-page-1:before,
.why-choose--style-5 .icon-sketch:before,
.why-choose--style-7 .icon-sketch:before,
.why-choose--style-8 .icon-sketch:before,
.service--style-4 .service__icon i:before,
.team--style-2 .team__author-name a:hover,
.why-choose--style-5 .icon-branding:before,
.why-choose--style-7 .icon-branding:before,
.why-choose--style-8 .icon-branding:before,
.slider-nav--style-3.modify-one .slider-btn,
.why-choose--style-7 .icon-development:before,
.why-choose--style-8 .icon-development:before,
.why-choose--style-5 .icon-development:before,
.why-choose--style-5 .icon-advertising:before,
.why-choose--style-7 .icon-advertising:before,
.why-choose--style-8 .icon-advertising:before,
.pricing--style-2:hover .pricing__price-heading,
.contact-form--style-5 .rt-btn--10.ff_btn_style,
.why-choose--style-5 .why-choose__title a:hover,
.why-choose--style-8 .why-choose__title a:hover,
.pricing--style-2--active .pricing__price-heading, 
.why-choose--style-7 .icon-web-programming:before,
.why-choose--style-8 .icon-web-programming:before,
.why-choose--style-5 .icon-web-programming:before,
.contact-address__content4 > ul > li span a:hover,
.banner-content--style-3 .banner-content__sub-title,
.header-action--style-5 .rt-btn--14, .header-action--style-6 .rt-btn--14,
.banner-slider-wrapper--style-2 .pagination-box-2 .swiper-pagination-bullet.swiper-pagination-bullet-active
{
	color: <?php echo esc_html( $primary_color3 ); ?>;	
}
<?php } ?>

<?php if ( !empty( $primary_color3 )) { 
//Border Color
?>
.rt-btn--15,
.blog-search__input,
.skill--style-2 .skill__bar,
.pagination ul li.active span,
.blogDetails-form__input:focus,
.blogDetails-form__input:hover,
.theme-list--style-3 > li .icon,
.pricing--style-2:hover .rt-btn--7,
.banner-content--style-4 .rt-btn--14,
.pricing--style-2--active .rt-btn--7,
.blogDetails-form__input:focus-visible,
.contact-form--style-5 .rt-btn--10:hover,
.header-action--style-5 .rt-btn--14:hover,
.header-action--style-6 .rt-btn--14:hover,
.sidebar-widget .widget .tagcloud a:hover,
.banner-content--style-4 .rt-btn--14:hover,
.slider-nav--style-3.modify-one .slider-btn,
.portfolio--style-2 .portfolio__read-more:hover,
.contact-form--style-5 .rt-btn--10.ff_btn_style,
.test-navigation--style-2 .test-navigation__slider-btn:hover,
.fluentform .ff-el-form-control.blogDetails-form__input:focus,
.swiper-pagination.swiper-pagination-agency3 .swiper-pagination-bullet,
.header-action--style-5 .rt-btn--14, .header-action--style-6 .rt-btn--14,
.swiper-pagination.swiper-pagination-agency .swiper-pagination-bullet.swiper-pagination-bullet-active,
.swiper-pagination-agency2.swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active,
.swiper-pagination.swiper-pagination-agency3 .swiper-pagination-bullet.swiper-pagination-bullet-active,
.banner-slider-wrapper--style-2 .pagination-box-2 .swiper-pagination-bullet.swiper-pagination-bullet-active   
{
	border-color: <?php echo esc_html( $primary_color3 ); ?>;
}

.swiper-pagination-agency2.swiper-pagination .swiper-pagination-bullet
{
	border: 1px solid rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.3);
}
<?php } ?>

<?php if ( !empty( $primary_color3 )) { 
//Fill Color
?>
.rt-btn--15 svg g path, 
.rt-btn--15 svg g rect,
.rt-btn .icon--4 svg path,
.rt-btn .icon--4 svg rect,
.rt-btn--11 .icon--4 svg path, 
.rt-btn--11 .icon--4 svg rect,
.blog--style-4 .rt-btn--12:hover svg path, 
.blog--style-4 .rt-btn--12:hover svg rect,
.team--style-6:hover .team__bgShape > path,
.header-action--style-5 .rt-btn--14 svg path, 
.header-action--style-5 .rt-btn--14 svg rect, 
.header-action--style-6 .rt-btn--14 svg path, 
.header-action--style-6 .rt-btn--14 svg rect,
.header-action--style-5 .rt-btn--14 svg path, 
.header-action--style-5 .rt-btn--14 svg rect, 
.header-action--style-6 .rt-btn--14 svg path, 
.header-action--style-6 .rt-btn--14 svg rect,
.pricing--style-2:hover .shape-list svg path,
.team--style-2:hover .team-shape-list svg path,
.pricing--style-2--active .shape-list svg path,
.banner-content--style-3 .rt-btn--11:hover svg path, 
.banner-content--style-3 .rt-btn--11:hover svg rect,
.portfolio--style-2 .portfolio__read-more:hover svg rect,
.header-action--style-3 .header-action__item svg:hover path,
.test-navigation--style-2 .test-navigation__slider-btn svg path,
.test-navigation--style-2 .test-navigation__slider-btn svg rect,
.header-action--style-4 .header-action__item--search svg:hover path,
.header-action--style-5 .header-action__item--search svg:hover path,
.portfolio--style-3 .portfolio__figure:hover .portfolio__content svg path,
.banner-slider-wrapper--style-2 .navigation-box-2 .slider-btn:hover svg path, 
.banner-slider-wrapper--style-2 .navigation-box-2 .slider-btn:hover svg rect
{
	fill: <?php echo esc_html( $primary_color3 ); ?>;
}

.feature--style-1 .feature__shape svg circle
{
	fill: rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.14);
}

.why-choose--style-3 .why-choose__shape svg circle
{
	fill: rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.14);
}

.humburger--style-1
{
	box-shadow: 0px 0px 15px rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.12);
}

@-webkit-keyframes pulseShadow2 {
  0% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.4);
  }
  70% {
    box-shadow: 0 0 0 25px rgba(<?php echo esc_html( $primary_rgb3 );?>, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb3 );?>, 0);
  }
}

@keyframes pulseShadow2 {
  0% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.4);
  }
  70% {
    box-shadow: 0 0 0 25px rgba(<?php echo esc_html( $primary_rgb3 );?>, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb3 );?>, 0);
  }
}

@-webkit-keyframes pulseShadow3 {
  0% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.4);
  }
  70% {
    box-shadow: 0 0 0 40px rgba(<?php echo esc_html( $primary_rgb3 );?>, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb3 );?>, 0);
  }
}

@keyframes pulseShadow3 {
  0% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb3 );?>, 0.4);
  }
  70% {
    box-shadow: 0 0 0 40px rgba(<?php echo esc_html( $primary_rgb3 );?>, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(<?php echo esc_html( $primary_rgb3 );?>, 0);
  }
}

<?php } ?>


<?php 
/*-------------------------------------
#. Primary Color 4
---------------------------------------*/
?>
<?php if ( !empty( $primary_color4 )) { 
// Background Color
?>
.rt-btn--13:hover,
.rt-btn--14:hover
{
	background: <?php echo esc_html( $primary_color4 ); ?>;	
}

.rt-btn--14:hover
{
	border-color: <?php echo esc_html( $primary_color4 ); ?>;
}

<?php } ?>

<?php
/*-------------------------------------
#. Secondary Color 1
---------------------------------------*/
?>
<?php if ( !empty( $secondary_color )) { 
// Background Color
?>
.rt-btn--7:hover,
.rt-btn--9:hover,
.footer-top--style-2,
.slider-navigation-box--style-1
{
	background-color: <?php echo esc_html( $secondary_color ); ?>;
}
<?php } ?>

<?php if ( !empty( $secondary_color )) { 
//Color
?>
.rt-btn--7,
.rt-btn--8,
.rt-btn--11:hover,
.pricing--style-2 .rt-btn--7,
.rt-list--style-1 .rt-list__item,
.social--style-1 .social__item a,
.rt-list--style-1 .rt-list__count,
.rt-btn--11:hover .icon--4 svg path, 
.rt-btn--11:hover .icon--4 svg rect,
.footer-widget--style-1 a.social__link,
.social-box--style-1 .social-box__icon-text .rtin-icon,
.footer-top--style-4 .footer-widget ul li a.social__link,
.header-action--style-3 .header-action__item--search a svg path
{
	color: <?php echo esc_html( $secondary_color ); ?>;	
}

<?php } ?>

<?php if ( !empty( $secondary_color )) { 
//Border Color
?>
.rt-btn--7,
.rt-btn--7:hover,
.rt-btn--9:hover,
.pricing--style-2 .rt-btn--7
{
	border-color: <?php echo esc_html( $secondary_color ); ?>;
}
<?php } ?>

<?php if ( !empty( $secondary_color )) { 
//Fill
?>
.rt-btn--7 .icon--4 svg path,
.rt-btn--8:hover .icon--4 svg path,
.rt-btn--11:hover .icon--4 svg path, 
.rt-btn--11:hover .icon--4 svg rect,
.pricing--style-2 .rt-btn--7 svg path, 
.pricing--style-2 .rt-btn--7 svg rect,
.header-action--style-3 .header-action__item--search svg path, 
.header-action--style-4 .header-action__item--search svg path, 
.header-action--style-5 .header-action__item--search svg path,
ul.header-action--style-2 .header-action__item--search a svg path
{
	fill: <?php echo esc_html( $secondary_color ); ?>;	
}

<?php } ?>

<?php
/*-------------------------------------
#. Secondary Color 2
---------------------------------------*/
?>
<?php if ( !empty( $secondary_color2 )) { 
// Background Color
?>
.team--style-2,
.footer--style-4,
.topbar-wrap--style-1,
.team__menu--style2 > ul > li > a,
.navigation-box-3 .slider-btn:hover
{
	background-color: <?php echo esc_html( $secondary_color2 ); ?>;
}

.navigation-box-3 .slider-btn
{
	background-color: rgba(<?php echo esc_html( $secondary_rgb2 );?>, 0.5);
}
<?php } ?>

<?php if ( !empty( $secondary_color2 )) { 
//Color
?>
.blog__title,
.copyright-text,
.service__title,
.color-secondary,
.banner-content p,
.pagination ul li a,
.pagination ul li span,
h1, h2, h3, h4, h5, h6,
.blog-block__date > span,
.pricing--style-1 .price,
.testimonial .author__name,
.blog--style-1 .blog__desc,
.blog-block__heading__link,
.posts-pagi .post-page-numbers,
.social--style-3 .social__link,
.sidebar-widget .widget ul li a,
.blog--style-4 .blog__date .date,
.social--style-4 .social__item a,
.pagination ul li.pagi-next a:hover,
.sidebar-widget .widget .tagcloud a,
.pagination ul li.pagi-previous a:hover,
.about-block--style-1 .about-block__count,
.pricing--style-2 .pricing__price-heading,
.pricing--style-2 .pricing__feature-list li,
.contact-widget--style-2 .contact-widget__title .text,
.header-action--style-5 .header-action__item--search a,
.social-box--style-1 .social-box__icon-text .rtin-icon,
.team--style-5 .team__menu.team__menu--style2 > ul > li .social__item a
{
	color: <?php echo esc_html( $secondary_color2 ); ?>;	
}

<?php } ?>

<?php
/*-------------------------------------
#. Secondary Color 3
---------------------------------------*/
?>
<?php if ( !empty( $secondary_color3 )) { 
//Border Color
?>
.footer-bottom--style-3
{
	border-color: <?php echo esc_html( $secondary_color3 ); ?>;
}
<?php } ?>











