<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;

class TGM_Config {
	
	public $daisy = DAISY_THEME_PREFIX;
	public $path   = DAISY_THEME_PLUGINS_DIR;
	public function __construct() {
		add_action( 'tgmpa_register', array( $this, 'register_required_plugins' ) );
	}
	public function register_required_plugins(){
		$plugins = array(
			// Bundled
			array(
				'name'         => esc_html__( 'Daisy Core', 'daisy' ),
				'slug'         => 'daisy-core',
				'source'       => 'daisy-core.zip',
				'required'     =>  true,
				'version'      => '1.1'
			),
			array(
				'name'         => esc_html__( 'RT Framework', 'daisy' ),
				'slug'         => 'rt-framework',
				'source'       => 'rt-framework.zip',
				'required'     =>  true,
				'version'      => '2.8'
			),
			array(
				'name'         => esc_html__( 'RT Demo Importer', 'daisy' ),
				'slug'         => 'rt-demo-importer',
				'source'       => 'rt-demo-importer.zip',
				'required'     =>  false,
				'version'      => '4.1'
			),
			// Repository
			array(
				'name'     => esc_html__( 'Elementor Page Builder', 'daisy' ),
				'slug'     => 'elementor',
				'required' => true,
			),
			array(
				'name'     => esc_html__('WP Fluent Forms', 'daisy' ),
				'slug'     => 'fluentform',
				'required' => false,
			),
			array(
				'name'     => esc_html__('Meks Easy Photo Feed Widget', 'daisy' ),
				'slug'     => 'meks-easy-instagram-widget',
				'required' => false,
			),
			array(
				'name'     => esc_html__('Breadcrumb NavXT','daisy'),
				'slug'     => 'breadcrumb-navxt',
				'required' => true,
			),	
		);
		$config = array(
			'id'           => $this->daisy,            // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => $this->path,              // Default absolute path to bundled plugins.
			'menu'         => $this->daisy . '-install-plugins', // Menu slug.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                    // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.
		);

		tgmpa( $plugins, $config );
	}
}
new TGM_Config;