<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$post_meta_date     = ( RDTheme::$options['blog_date'] ) ? true : false;
$post_meta_cat      = ( RDTheme::$options['blog_cats'] ) ? true : false;
$post_meta_tag      = ( RDTheme::$options['blog_tags'] ) ? true : false;
$post_meta_comments = ( RDTheme::$options['blog_meta_comments'] ) ? true : false;
$blog_author        = ( RDTheme::$options['blog_author'] ) ? true : false;
$blog_excerpt       = ( RDTheme::$options['blog_excerpt'] ) ? RDTheme::$options['blog_excerpt'] : '';
$excerpt_length     = isset( RDTheme::$options['excerpt_length'] ) ? RDTheme::$options['excerpt_length'] : '';

$comments_number = number_format_i18n( get_comments_number() );
$comments_html   = $comments_number == 1 ? esc_html__( 'Comment' , 'daisy' ) : esc_html__( 'Comments' , 'daisy' );
$comments_html   = $comments_number .' '. $comments_html;

$wow = RDTheme::$options['blog_animation'];
$effect = RDTheme::$options['blog_animation_effect'];
$post_classes = array( 'blog-block blog-block--style1 bg-section mb-24 ' . $wow . ' ' . $effect );

?>

<div id="post-<?php the_ID(); ?>" <?php post_class( $post_classes ); ?> data-wow-delay="0.5s" data-wow-duration="1s">
    <?php if ( has_post_thumbnail() ): ?>
    <div class="item-img">
        <figure class="blog-block__figure mb-0 position-relative">
            <a href="<?php the_permalink(); ?>">
              <?php the_post_thumbnail( 'daisy-thumb1' ); ?>
            </a>
            <?php if ( $post_meta_date == 1 ) : ?>
            <div class="blog-block__date">
              <span><?php echo get_the_date( 'j M'); ?></span>
              <span><?php echo get_the_date( 'Y'); ?></span>
            </div>
            <?php endif; ?>
        </figure>
    </div>
    <?php endif; ?>
    <div class="blog-block__content">
        <div class="blog-block__meta">
          <ul class="blog-block__meta__list">
            <?php if ( $blog_author == 1 ) : ?>
            <li>
                <span class="blog-block__user"><?php echo radius_author_shape(); ?>
                <span><?php the_author_posts_link(); ?></span>
                </span>
            </li>
            <?php endif; ?>
            <?php if ( $post_meta_cat == 1 ) : ?>
            <li><span class="blog-block__tag"><?php echo radius_cat_shape(); ?><?php the_category( ', ' );?></span></li>
            <?php endif; if ( $post_meta_tag == 1 ) : ?>
            <li><span class="blog-block__tag"><?php the_tags();?></span></li>
            <?php endif; ?>
            <?php if ( $post_meta_date == 1 && !has_post_thumbnail() ) : ?>
            <li><span><?php echo radius_calender_shape(); ?><?php echo get_the_date( get_option( 'date_format' ) ); ?></span></li>
            <?php endif; ?>
            <?php if ( $post_meta_comments == 1 ) : ?>
            <li>
                <span class="blog-block__comment"><?php echo radius_comment_shape(); ?>
                <span><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses($comments_html, 'alltext_allow'); ?></a></span>
                </span>
            </li>
          <?php endif; ?>
          </ul>
        </div>
        <h2 class="blog-block__heading mb-0"><a class="blog-block__heading__link" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
        </h2>
        <?php if( $blog_excerpt == 1 ) : ?>
        <p class="blog-block__text"><?php echo Helper::daisy_excerpt( $excerpt_length ); ?></p>
        <?php endif; ?>
    </div>
</div>



