<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;
$prefix = DAISY_CORE_THEME_PREFIX;

$cols     = ( RDTheme::$options['portfolio_grid_cols'] ) ? RDTheme::$options['portfolio_grid_cols'] : '';
$posts_no = ( RDTheme::$options['portfolio_archive_number'] ) ? RDTheme::$options['portfolio_archive_number'] : '';
$excerpt  = RDTheme::$options['portfolio_archive_excerpt'];

$args = array(
  'post_type'      => 'daisy_portfolio',
  'post_status'    => 'publish',
  'posts_per_page' => $posts_no,
);

$port_query = new \WP_Query( $args );

?>

<section class="portfolio-wrap-layout pt-120 pb-90">
	<div class="container">
		<?php if ( $port_query->have_posts() ) { ?>
		<div class="row">
			<?php 
	         while ( $port_query->have_posts() ) : $port_query->the_post(); 
	      	?>
			<div class="col-lg-<?php echo esc_attr( $cols ); ?> col-md-6 col-12 pb-30">
		      <div class="portfolio portfolio--style-5 portfolio--style-6 portfolio--style-6">
		        <div class="portfolio__box">
		        	<?php if( has_post_thumbnail() ) : ?>
		          <figure class="portfolio__figure m-0">
		            <?php the_post_thumbnail( 'daisy-thumb5' ); ?>
		            <figcaption class="portfolio__content">
		              <h2 class="portfolio__title"><a class="text-white" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		              <p class="portfolio__text text-white"><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
		            </figcaption>
		          </figure>
		      	<?php endif; ?>
		        </div>
		      </div>
		    </div>
			<?php endwhile; ?>
		</div>
		<?php }else{ 
	      get_template_part( 'template-parts/content', 'none' );
	    } ?>
	</div>
</section>