<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$prefix = DAISY_THEME_CPT_PREFIX;

$cols = RDTheme::$options['service_grid_cols'];
$gutters = RDTheme::$options['service_grid_gutter'];
$excerpt = RDTheme::$options['service_excerpt_length'];

$per_page = RDTheme::$options['service_archive_number'];
$orderby = RDTheme::$options['service_orderby'];

if ( $gutters == false ) {
  $gutters = 'no-gutters';
} else {
  $gutters = 'gutters-enable';
}

 $args = array(  
  'post_type' => 'daisy_service',
  'post_status' => 'publish',
  'posts_per_page' => $per_page, 
  'orderby' => $orderby, 
  'order' => 'ASC' 
);

$wp_query = new \WP_Query( $args ); 

?>

<section class="why-choose-section position-relative overflow-hidden pt-125 pb-100">
  <div class="container">
    <?php if ( $wp_query->have_posts() ) : ?>
    <div class="row align-items-center">
      <?php 
        $i = 0;
        while ( $wp_query->have_posts() ) : $wp_query->the_post();  
        $i++;

        $icon_type  = get_post_meta( get_the_ID(), "{$prefix}_service_icon_type", true );
        $icon       = get_post_meta( get_the_ID(), "{$prefix}_service_icon", true );
        $image_id   = get_post_meta( get_the_ID(), "{$prefix}_service_iconimg", true );
        $icon_image = wp_get_attachment_image( $image_id, 'full' );
      ?>
      <div class="col-lg-4 col-md-6 wow fadeInLeft mb-24" data-wow-delay="200ms" data-wow-duration="1200ms">
        <div class="why-choose why-choose--style-3 why-choose--style-4 why-choose--style-8">
          <div class="why-choose__thumb">
            <?php the_post_thumbnail( 'daisy-thumb3' ); ?>
          </div>
          <?php if( $icon_type == 'image' ) { ?>
          <div class="why-choose__icon">
            <?php echo wp_kses_post( $icon_image ); ?>
          </div>
          <?php }else{ ?>
          <div class="why-choose__icon">
            <i class="<?php echo esc_attr( $icon ); ?>"></i>
          </div>
          <?php } ?>
          <div class="why-choose__content">
            <h3 class="why-choose__title"><a class="color-secondary" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <p><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
          </div>
        </div>
      </div>
      <?php endwhile; ?>
    </div>
    <?php else: ?>
      <?php get_template_part( 'template-parts/content', 'none' );?>
    <?php endif; ?>
  </div>
</section>