<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$cols     = ( RDTheme::$options['team_arc_grid_cols'] ) ? RDTheme::$options['team_arc_grid_cols'] : '';
$posts_no = ( RDTheme::$options['team_archive_number'] ) ? RDTheme::$options['team_archive_number'] : '';

$args = array(
  'post_type'      => 'daisy_team',
  'post_status'    => 'publish',
  'posts_per_page' => $posts_no,
);

$port_query = new \WP_Query( $args );

?>

<section class="team-wrap-layout">
	<div class="container">
		<?php if ( $port_query->have_posts() ) { ?>
		<div class="row">
			<?php 
	         while ( $port_query->have_posts() ) : $port_query->the_post(); 
	         	$team_desigantion = get_post_meta( get_the_ID(), 'daisy_team_desigantion', true );
        		$socials = get_post_meta( get_the_ID(), "daisy_team_socials", true );
	      	?>
			<div class="col-lg-<?php echo esc_attr( $cols ); ?> col-md-6 col-12 pb-30">
		      <div class="single-item">
		          <div class="team team--style-5">
		            <div class="team__img">
		              <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'daisy-thumb5' ); ?></a>
		              <?php if ( !empty( $socials ) && RDTheme::$options['team_archive_social'] == 1 ){ ?>
		              <div class="team__social team-social-area">
		                <ul class="social social--style-1">
		                  <?php foreach ( $socials as $key => $value ) { 
		                    if (!empty( $value )) {
		                      switch ($key) {
		                        case 'facebook':
		                        $icon = 'fab fa-facebook-f';
		                        break;
		                        case 'twitter':
		                        $icon = 'fab fa-twitter';
		                        break;
		                        case 'linkedin':
		                        $icon = 'fab fa-linkedin-in';
		                        break;
		                        case 'behance':
		                        $icon = 'fab fa-behance';
		                        break;
		                        case 'dribbble':
		                        $icon = 'fab fa-dribbble';
		                        break; 
		                        case 'skype':
		                        $icon = 'fab fa-skype';
		                        break;
		                        case 'youtube':
		                        $icon = 'fab fa-youtube';
		                        break;
		                        case 'pinterest':
		                        $icon = 'fab fa-pinterest-p';
		                        break;
		                        case 'instagram':
		                        $icon = 'fab fa-instagram';
		                        break;
		                        case 'github':
		                        $icon = 'fab fa-github-alt';
		                        break;
		                        case 'stackoverflow':
		                        $icon = 'fab fa-stack-overflow';
		                        break;
		                        default:
		                        $icon = '';
		                        break;
		                      }
		                  ?>
		                  <li class="social__item">
		                    <a href="<?php echo esc_url( $value ); ?>" class="social__link"><i class="<?php echo esc_attr( $icon ); ?>"></i></a>
		                  </li>
		                  <?php } } ?>
		                </ul>
		              </div>
		              <?php } ?>
		            </div>
		            <div class="team__content">
		              <h3 class="team__author-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
		              <?php if ( !empty( $team_desigantion ) && RDTheme::$options['team_archive_desig'] == 1 ) : ?>
		              <span class="team__author-designation"><?php echo esc_html( $team_desigantion ); ?></span>
		              <?php endif; ?>
		            </div>
		          </div>
		        </div>
		    </div>
			<?php endwhile; ?>
		</div>
		<?php }else{ 
	      get_template_part( 'template-parts/content', 'none' );
	    } ?>
	</div>
</section>
