<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;


$daisy = DAISY_THEME_PREFIX_VAR;
if ( is_404() ) {
	$rdtheme_title = esc_html__( '404 Error Page ', 'daisy' ) . get_search_query();
}
elseif ( is_search() ) {
	$rdtheme_title = esc_html__( 'Search Results for : ', 'daisy' ) . get_search_query();
}
elseif ( is_home() ) {
	if ( get_option( 'page_for_posts' ) ) {
		$rdtheme_title = get_the_title( get_option( 'page_for_posts' ) );
	}
	else {
		$rdtheme_title = apply_filters( "{$daisy}_blog_title", esc_html__( 'All Posts', 'daisy' ) );
	}
}
elseif ( is_archive() ) {
	$cpt = DAISY_THEME_CPT_PREFIX;
	if ( is_post_type_archive( "{$cpt}_team" ) ) {
		$rdtheme_title = esc_html__( 'Our Team', 'daisy' );
	}
	elseif ( is_post_type_archive( "{$cpt}_portfolio" ) ) {
		$rdtheme_title = esc_html__( 'All Portfolios', 'daisy' );
	}elseif ( is_post_type_archive( "{$cpt}_service" ) ) {
		$rdtheme_title = esc_html__( 'All Services', 'daisy' );
	}
	else {
		$rdtheme_title = get_the_archive_title();
	}
} elseif (is_single()) {
	$rdtheme_title  = get_the_title();

} else {
	$id                        = $post->ID;
	$fitness_custom_page_title = get_post_meta( $id, 'daisy_custom_page_title', true );
	if (!empty($fitness_custom_page_title)) {
		$rdtheme_title = get_post_meta( $id, 'daisy_custom_page_title', true );
	 } else { 
		$rdtheme_title = get_the_title();	                   
 	}
}

$banner_style = get_post_meta( $id, 'daisy_banner_style', true );

if( $banner_style == 2 ){
	$baner_layout = 'layout-3';
	$content_style = 3;
}else{
	$baner_layout = 'layout-default';
	$content_style = 1;
}

if ( RDTheme::$bgtype == 'bgimg' && RDTheme::$bgimg !='' ) { ?>
	<?php if ( RDTheme::$has_banner == '1' || RDTheme::$has_banner != "off" ): ?>
		<div class="inner-banner inner-banner--style-1 overflow-hidden <?php echo esc_attr( $baner_layout ); ?>" data-bg-image="<?php echo esc_attr( RDTheme::$bgimg ); ?>">
		    <div class="container">
		    	<div class="row">
		    		<div class="col-12">
				        <div class="inner-banner-content inner-banner-content--style-<?php echo esc_attr( $content_style ); ?> content-center">
				        	<h1 class="banner-title"><?php echo wp_kses( $rdtheme_title, 'alltext_allow' );?></h1>
		                    <?php if ( RDTheme::$has_breadcrumb == '1' || RDTheme::$has_breadcrumb  != "off" ): ?>
								<?php get_template_part( 'template-parts/content', 'breadcrumb' );?>
							<?php endif; ?>
				        </div>
			        </div>
		        </div>
		    </div>
		</div>
	<?php endif; 
	
	} else { ?>
		<?php if ( RDTheme::$has_banner == '1' || RDTheme::$has_banner != "off" ): ?>
		<div class="inner-banner inner-banner--style-1 overflow-hidden bg-color <?php echo esc_attr( $baner_layout ); ?>">
		   <div class="container">
		    	<div class="row">
		    		<div class="col-12">
				        <div class="inner-banner-content inner-banner-content--style-<?php echo esc_attr( $content_style ); ?> content-center">
				        	<h1 class="banner-title"><?php echo wp_kses( $rdtheme_title, 'alltext_allow' );?></h1>
		                    <?php if ( RDTheme::$has_breadcrumb == '1' || RDTheme::$has_breadcrumb  != "off" ): ?>
								<?php get_template_part( 'template-parts/content', 'breadcrumb' );?>
							<?php endif; ?>
				        </div>
			        </div>
		        </div>
		    </div>
		</div>
		<?php endif; 
	}
?>

