<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;

$comments_number = number_format_i18n( get_comments_number() );
$comments_html = $comments_number == 1 ? esc_html__( 'Comment' , 'daisy' ) : esc_html__( 'Comments' , 'daisy' );
$comments_html = '<span class="comment-number">'. $comments_number .'</span> '. $comments_html;

?>

<div id="post-<?php the_ID(); ?>" <?php post_class( 'blog-block blog-block--style1' ); ?>>
  <?php if ( has_post_thumbnail() ): ?>
  <figure class="blog-block__figure mb-0 position-relative">
    <?php 
        if ( RDTheme::$layout == 'full-width' ) {
           the_post_thumbnail( 'daisy-thumb2' );
        }else{
            the_post_thumbnail();
        }
    ?>
    <?php if( RDTheme::$options['post_date'] == 1 ) : ?>
    <div class="blog-block__date">
      <span><?php echo get_the_date( 'j M'); ?></span>
      <span><?php echo get_the_date( 'Y'); ?></span>
    </div>
    <?php endif; ?>
  </figure>
  <?php endif; ?>
  <div class="mb-24">
    <div class="blog-block__meta">
      <ul class="blog-block__meta__list">
        <?php if( RDTheme::$options['post_author'] == 1 ) : ?>
        <li>
            <span class="blog-block__user"><?php echo radius_author_shape(); ?>
            <span><?php the_author_posts_link(); ?></span>
            </span>
        </li>
        <?php endif; ?>
        <?php if( RDTheme::$options['post_cats'] == 1 ) : ?>
        <li><span class="blog-block__tag"><?php echo radius_cat_shape(); ?><?php the_category( ', ' );?></span></li>
        <?php endif; ?>
        <?php if ( RDTheme::$options['post_date'] == 1 && !has_post_thumbnail() ) : ?>
        <li><span><?php echo radius_calender_shape(); ?><?php echo get_the_date( get_option( 'date_format' ) ); ?></span></li>
        <?php endif; ?>
        <?php if( RDTheme::$options['post_comments'] == 1 ) : ?>
         <li>
          <span class="blog-block__comment"><?php echo radius_comment_shape(); ?>
          <span><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo wp_kses($comments_html, 'alltext_allow'); ?></a></span>
          </span>
        </li>
        <?php endif; ?>
      </ul>
    </div>
  </div>
  <div class="entry-content rt-single-content">
    <?php the_content();?>
    <?php wp_link_pages( array( 'before' => '<div class="posts-pagi">', 'after'  => '</div>' ) ); ?>
  </div>
  <?php if ( comments_open() || get_comments_number() ){ ?>
    <div class="blog-comment-form comment-form">
        <?php comments_template(); ?>
    </div> 
  <?php } ?>
</div>
