<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$footer_menu_args = Helper::footer_menu_args();

if( !empty( RDTheme::$options['footer_logo'] ) ){
    $footerLogo = wp_get_attachment_image( RDTheme::$options['footer_logo'], 'full');
}else{
    $footerLogo = Helper::get_img( 'logo-dark.png' );
    $footerLogo = "<img width='400' height='242' src='". esc_url( $footerLogo ) ."' alt='". esc_attr( get_bloginfo( 'name' ) ). "'>";
}

if( !empty( RDTheme::$options['footer_logo_light'] ) ){
    $footerLogo_light = wp_get_attachment_image( RDTheme::$options['footer_logo_light'], 'full');
}else{
    $footerLogo_light = Helper::get_img( 'logo-light.png' );
    $footerLogo_light = "<img width='400' height='242' src='". esc_url( $footerLogo_light ) ."' alt='". esc_attr( get_bloginfo( 'name' ) ). "'>";
}

if( !empty( RDTheme::$options['footer1_bg_img'] ) ){
    $footer1_bg_img   = wp_get_attachment_image( RDTheme::$options['footer1_bg_img'], 'full');
}

if( !empty( RDTheme::$options['footer1_bg_img2'] ) ){
    $footer1_bg_img2   = wp_get_attachment_image( RDTheme::$options['footer1_bg_img2'], 'full');
}

$display_copyright = ( RDTheme::$options['display_copyright_area'] ) ? true : false;

if( RDTheme::$options['display_footer_animation'] == 1 ) {
  $animat_class = 'wow';
}else {
  $animat_class = 'wow-none';
}

?>

<footer class="footer footer--style-<?php echo esc_attr( RDTheme::$footer_style ); ?> section-padding position-relative overflow-hidden">
  <?php if( RDTheme::$options['display_footer1_bg_image'] == 1 ) : ?>
  <ul class="element-list d-none d-md-block">
    <?php if( !empty( $footer1_bg_img ) ) : ?>
    <li>
      <span>
        <?php echo wp_kses( $footer1_bg_img, 'alltext_allow' ); ?>
    </span>
    </li>
    <?php endif; if( !empty( $footer1_bg_img2 ) ) : ?>
    <li>
      <span>
        <?php echo wp_kses( $footer1_bg_img2, 'alltext_allow' ); ?>
    </span>
    </li>
    <?php endif; ?>
  </ul>
  <?php endif; ?>
  <?php if( !empty( RDTheme::$options['display_footertop_area'] ) ) : ?>
  <div class="footer-top footer-top--style-1">
    <div class="container">
      <div class="row">
        <div class="col-12 <?php echo esc_attr($animat_class); ?> fadeInUp" data-wow-delay="300ms" data-wow-duration="1500ms">
          <div class="menu-area style-1 d-flex align-items-center justify-content-md-between justify-content-center flex-wrap">
            <?php if( !empty( $footerLogo ) || !empty( $footerLogo_light ) && RDTheme::$options['display_footer_logo'] === 1 ) : ?>
            <div class="logo logo--style-1">
              <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo-dark">
                <?php echo wp_kses( $footerLogo, 'alltext_allow' ); ?>
              </a>
              <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo-light">
                <?php echo wp_kses( $footerLogo_light, 'alltext_allow' ); ?>
              </a>
            </div>
            <?php endif; ?>
            <?php if( RDTheme::$options['display_footer_menu'] ) : ?>
            <nav class="footer-menu footer-menu--style-2">
                <?php wp_nav_menu( $footer_menu_args ); ?>
            </nav>
            <?php endif; ?>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php endif; ?>
  <?php if( $display_copyright == 1 ) : ?>
  <div class="footer-bottom footer-bottom--style-1">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="footer-bottom-wrap footer-bottom-wrap--style-1 d-flex align-items-center justify-content-center flex-wrap">
            <p class="copyright-text mb-0 <?php echo esc_attr($animat_class); ?> fadeInUp" data-wow-delay="600ms" data-wow-duration="1500ms">
              <?php echo wp_kses( RDTheme::$options['copyright_text'] , 'allow_link' ); ?>
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php endif; ?>
  <div class="rt-horizontal-line">
    <div class="rt-horizontal-line__item"></div>
    <div class="rt-horizontal-line__item"></div>
    <div class="rt-horizontal-line__item"></div>
    <div class="rt-horizontal-line__item"></div>
    <div class="rt-horizontal-line__item"></div>
    <div class="rt-horizontal-line__item"></div>
    <div class="rt-horizontal-line__item"></div>
  </div>
</footer>
