<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

if( !empty( RDTheme::$options['footer2_bg_img'] ) ){
    $footer2_bg_img1   = wp_get_attachment_image( RDTheme::$options['footer2_bg_img'], 'full');
}else{
    $footer2_bg_img1 = Helper::get_img( 'footer2-bg1.svg' );
    $footer2_bg_img1 = "<img width='902' height='367' src='". esc_url( $footer2_bg_img1 ) ."' alt='". esc_attr( get_bloginfo( 'name' ) ). "'>";
}

if( !empty( RDTheme::$options['footer2_bg_img2'] ) ){
    $footer2_bg_img2   = wp_get_attachment_image( RDTheme::$options['footer2_bg_img2'], 'full');
}else{
    $footer2_bg_img2 = Helper::get_img( 'footer2-bg2.svg' );
    $footer2_bg_img2 = "<img width='902' height='367' src='". esc_url( $footer2_bg_img2 ) ."' alt='". esc_attr( get_bloginfo( 'name' ) ). "'>";
}

$display_footertop = ( RDTheme::$options['display_footertop_area'] ) ? true : false;
$display_copyright = ( RDTheme::$options['display_copyright_area'] ) ? true : false;

if( RDTheme::$options['display_footer_animation'] == 1 ) {
  $animat_class = 'wow';
}else {
  $animat_class = 'wow-none';
}
?>

<footer class="footer footer--style-<?php echo esc_attr( RDTheme::$footer_style ); ?> position-relative overflow-hidden">
<?php if( !empty( RDTheme::$options['display_footertop_area'] ) == 1 ) : ?>
  <div class="footer-top footer-top--style-2 position-relative overflow-hidden">
    <?php if( RDTheme::$options['display_footer2_bg_image'] === 1 ) : ?>
    <ul class="element-list d-none d-xl-block">
     <?php if( !empty( $footer2_bg_img1 ) ) : ?>
      <li>
        <span class="d-block <?php echo esc_attr($animat_class); ?> fadeInDown" data-wow-delay="300ms" data-wow-duration="1500ms">
            <?php echo wp_kses( $footer2_bg_img1, 'alltext_allow' ); ?>
        </span>
      </li>
      <?php endif; ?>
      <?php if( !empty( $footer2_bg_img2 ) ) : ?>
      <li>
        <span class="d-block <?php echo esc_attr($animat_class); ?> fadeInUp" data-wow-delay="600ms" data-wow-duration="1500ms">
            <?php echo wp_kses( $footer2_bg_img2, 'alltext_allow' ); ?>
        </span>
      </li>
      <?php endif; ?>
    </ul>
    <?php endif; ?> 
    <div class="container">
      <div class="row gutter-30 justify-content-between">
        <?php if( is_active_sidebar( 'footer-widgets-1' ) ) { ?>
        <div class="col-xl-4 col-md-6 <?php echo esc_attr($animat_class); ?> fadeInUp footer-widget--style-1" data-wow-delay="200ms" data-wow-duration="1500ms">
          <?php dynamic_sidebar( 'footer-widgets-1' ); ?>
        </div>
        <?php } ?>
        <?php if( is_active_sidebar( 'footer-widgets-2' ) ) { ?>
        <div class="col-xl-2 col-md-6 <?php echo esc_attr($animat_class); ?> fadeInUp footer-widget--style-1" data-wow-delay="400ms" data-wow-duration="1500ms">
          <?php dynamic_sidebar( 'footer-widgets-2' ); ?>
        </div>
        <?php } ?>
        <?php if( is_active_sidebar( 'footer-widgets-3' ) ) { ?>
        <div class="col-xl-2 col-md-6 <?php echo esc_attr($animat_class); ?> fadeInUp footer-widget--style-1" data-wow-delay="600ms" data-wow-duration="1500ms">
          <?php dynamic_sidebar( 'footer-widgets-3' ); ?>
        </div>
        <?php } ?>
        <?php if( is_active_sidebar( 'footer-widgets-4' ) ) { ?>
        <div class="col-xl-3 col-md-6 <?php echo esc_attr($animat_class); ?> fadeInUp footer-widget--style-1" data-wow-delay="800ms" data-wow-duration="1500ms">
            <div class="contact-form contact-form--style-3 rt-contact-form">
               <?php dynamic_sidebar( 'footer-widgets-4' ); ?> 
            </div>
        </div>
        <?php } ?>
      </div>
    </div>
  </div>
<?php endif; ?>
<?php if( $display_copyright == 1 ) : ?>
  <div class="footer-bottom footer-bottom--style-2">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <p class="copyright-text mb-0 <?php echo esc_attr($animat_class); ?> fadeInUp" data-wow-delay="600ms" data-wow-duration="1500ms">
            <?php echo wp_kses( RDTheme::$options['copyright_text'] , 'allow_link' ); ?>
          </p>
        </div>
      </div>
    </div>
  </div>
<?php endif; ?>
</footer>

