<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

if( !empty( RDTheme::$options['footer5_bg_img'] ) ){
    $footer5_bg_img   = wp_get_attachment_image( RDTheme::$options['footer5_bg_img'], 'full');
}else{
    $footer5_bg_img = Helper::get_img( 'element_77.png' );
    $footer5_bg_img = "<img width='372' height='372' src='". esc_url( $footer5_bg_img ) ."' alt='". esc_attr( get_bloginfo( 'name' ) ). "'>";
}

$display_copyright = ( RDTheme::$options['display_copyright_area'] ) ? true : false;

if( RDTheme::$options['display_footer_animation'] == 1 ) {
  $animat_class = 'wow';
}else {
  $animat_class = 'wow-none';
}
?>

 <footer class="footer footer--style-4 modify-one position-relative overflow-hidden">
  <?php if( RDTheme::$options['display_footertop_area'] == 1 && ( is_active_sidebar( 'footer-widgets-1' ) || is_active_sidebar( 'footer-widgets-2' ) || is_active_sidebar( 'footer-widgets-3' ) || is_active_sidebar( 'footer-widgets-4' ) ) ) : ?>
  <div class="footer-top footer-top--style-4 position-relative">
    <?php if( RDTheme::$options['display_footer5_bg_image'] === 1 ) : ?>
    <ul class="element-list d-none d-xl-block">
      <?php if( !empty( $footer5_bg_img ) ) : ?>
      <li>
        <span class="d-block <?php echo esc_attr($animat_class); ?> zoomIn" data-wow-delay="400ms" data-wow-duration="2000ms">
            <?php echo wp_kses( $footer5_bg_img, 'alltext_allow' ); ?>
          </span>
      </li>
      <?php endif; ?>
    </ul>
    <?php endif; ?>
    <div class="container">
      <div class="row gutter-30 justify-content-between">
        <?php if( is_active_sidebar( 'footer-widgets-1' ) ) { ?>
        <div class="col-xl-3 col-md-6 <?php echo esc_attr($animat_class); ?> fadeInUp footer-widget--style-1 footer-widget--style-2" data-wow-delay="200ms" data-wow-duration="1500ms">
          <?php dynamic_sidebar( 'footer-widgets-1' ); ?>
        </div>
        <?php } ?>
        <?php if( is_active_sidebar( 'footer-widgets-2' ) ) { ?>
        <div class="col-xl-3 col-md-6 <?php echo esc_attr($animat_class); ?> fadeInUp footer-widget--style-1 footer-widget--style-2" data-wow-delay="400ms" data-wow-duration="1500ms">
          <?php dynamic_sidebar( 'footer-widgets-2' ); ?>
        </div>
        <?php } ?>
        <?php if( is_active_sidebar( 'footer-widgets-3' ) ) { ?>
        <div class="col-xl-3 col-md-6 <?php echo esc_attr($animat_class); ?> fadeInUp footer-widget--style-1 footer-widget--style-2" data-wow-delay="600ms" data-wow-duration="1500ms">
          <?php dynamic_sidebar( 'footer-widgets-3' ); ?>
        </div>
        <?php } ?>
        <?php if( is_active_sidebar( 'footer-widgets-4' ) ) { ?>
        <div class="col-xl-3 col-md-6 <?php echo esc_attr($animat_class); ?> fadeInUp footer-widget--style-1 footer-widget--style-2" data-wow-delay="800ms" data-wow-duration="1500ms">
          <div class="contact-form contact-form--style-3 contact-form--style-5 rt-contact-form">
             <?php dynamic_sidebar( 'footer-widgets-4' ); ?> 
          </div>
        </div>
        <?php } ?>
      </div>
    </div>
  </div>
  <?php endif; ?>
  <?php if( $display_copyright == 1 ) : ?>
  <div class="footer-bottom footer-bottom--style-3">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <p class="copyright-text copyright-text--style-2 text-white mb-0 <?php echo esc_attr($animat_class); ?> fadeInUp" data-wow-delay="600ms" data-wow-duration="1500ms">
            <?php echo wp_kses( RDTheme::$options['copyright_text'] , 'allow_link' ); ?>
          </p>
        </div>
      </div>
    </div>
  </div>
  <?php endif; ?>
</footer>
