<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$nav_menu_args = Helper::nav_menu_args();

$sticky_h = RDTheme::$options['sticky_header'];
if (!empty($sticky_h)) {
    $s_header = 'sticky-on';
} else {
    $s_header = 'sticky-none';
}

$page_banner = RDTheme::$options['page_banner'];
if ( RDTheme::$tr_header == '1' || RDTheme::$tr_header != "off" || RDTheme::$has_banner == 1  || RDTheme::$has_banner != "off" ) {
    $tr_header_class = 'trheader';
} else {
    $tr_header_class = 'trheader-none';
}

?>

<header class="header header--style-1 d-none d-xl-block <?php echo esc_attr( $s_header ); ?>">
  <div class="sticky-placeholder" id="sticky-placeholder"></div>
  <div class="navbar-wrap" id="navbar-wrap">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="menu-area style-1 d-flex align-items-center justify-content-between flex-wrap">
            <div class="logo logo--style-1">
              <?php get_template_part( 'template-parts/header/logo', 'dark' ); ?>
              <?php get_template_part( 'template-parts/header/logo', 'light' ); ?>
            </div>
            <!-- end logo -->
            <nav class="main-menu main-menu--style--1">
              <?php wp_nav_menu( $nav_menu_args ); ?>
              <?php if( RDTheme::$options['offcanvas_menu']  === 1) : ?>
              <ul class="header-action header-action--style-1">
                <li class="header-action__item humburger humburger--style-1 offcanvas-menu-btn menu-status-open">
                  <span></span>
                  <span></span>
                  <span></span>
                </li>
              </ul>
              <?php endif; ?>
            </nav>
          </div>
        </div>
      </div>
    </div>
  </div>
</header>

<?php if( RDTheme::$options['display_line_animate']  === 1) : ?>
<div class="rt-horizontal-line">
  <div class="rt-horizontal-line__item"></div>
  <div class="rt-horizontal-line__item"></div>
  <div class="rt-horizontal-line__item"></div>
  <div class="rt-horizontal-line__item"></div>
  <div class="rt-horizontal-line__item"></div>
  <div class="rt-horizontal-line__item"></div>
  <div class="rt-horizontal-line__item"></div>
</div>
<?php endif; ?>
<?php if( RDTheme::$options['color_mode']  === 1 ) : ?>
<div class="my_switcher">
  <ul>
    <li title="Light Mode">
      <a href="javascript:void(0)" class="setColor light" data-theme="light">
        <i class="far fa-lightbulb"></i>
      </a>
    </li>
    <li title="Dark Mode">
      <a href="javascript:void(0)" class="setColor dark" data-theme="dark">
        <i class="fas fa-moon"></i>
      </a>
    </li>
  </ul>
</div>
<?php endif; ?>





