<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$nav_menu_args = Helper::nav_menu_args();

$sticky_h = RDTheme::$options['sticky_header'];
if (!empty($sticky_h)) {
    $s_header = 'sticky-on';
} else {
    $s_header = 'sticky-none';
}

if ( ( RDTheme::$tr_header == '1' || RDTheme::$tr_header != "off" ) ) {
    $tr_header_class = 'trheader';
} else {
    $tr_header_class = 'trheader-none';
}

$menu_right = RDTheme::$options['menu_right_part'] ? true : false;

?>

<header class="header header--style-2 d-none d-xl-block <?php echo esc_attr( $s_header ); ?>">
  <div class="sticky-placeholder" id="sticky-placeholder"></div>
  <div class="navbar-wrap" id="navbar-wrap">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="menu-area style-1 d-flex align-items-center justify-content-between flex-wrap">
            <div class="logo logo--style-2">
              <?php get_template_part( 'template-parts/header/logo', 'dark' ); ?>
              <?php get_template_part( 'template-parts/header/logo', 'light' ); ?>
            </div>
            <!-- end logo -->
            <nav class="main-menu main-menu--style--2">
             <?php wp_nav_menu( $nav_menu_args ); ?>
              <ul class="header-action header-action--style-2">
                <?php if( $menu_right ) : ?>
                <?php if ( RDTheme::$options['search_icon'] === 1 ) : ?>
                <li class="header-action__item header-action__item--search">
                  <a href="#template-search">
                    <svg xmlns="http://www.w3.org/2000/svg" width="18.344" height="19" viewBox="0 0 18.344 19">
                      <path data-name="search (5)" d="M19.049,17.306l-4.522-4.7a7.668,7.668,0,1,0-5.872,2.74,7.589,7.589,0,0,0,4.395-1.388l4.556,4.739a1,1,0,1,0,1.442-1.387ZM8.655,2a5.67,5.67,0,1,1-5.67,5.67A5.676,5.676,0,0,1,8.655,2Z" transform="translate(-0.984)" fill="#0f285f" opacity="0.85" />
                    </svg>
                  </a>
                </li>
                <?php endif; ?>
                <?php endif; ?>
                <?php if( RDTheme::$options['offcanvas_menu']  === 1) : ?>
                <li class="header-action__item humburger humburger--style-2  offcanvas-menu-btn menu-status-open">
                  <div class="inner-box">
                    <span></span>
                    <span></span>
                    <span></span>
                  </div>
                </li>
                <?php endif; ?>
              </ul>
            </nav>
          </div>
        </div>
      </div>
    </div>
    <?php if ( RDTheme::$options['search_icon'] === 1 ){ 
        get_template_part( 'template-parts/header/icon-search', 'popup' );
    } ?>
  </div>
</header>