<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$nav_menu_args = Helper::nav_menu_args();

$sticky_h = RDTheme::$options['sticky_header'];
if (!empty($sticky_h)) {
    $s_header = 'sticky-on';
} else {
    $s_header = 'sticky-none';
}

$page_banner = RDTheme::$options['page_banner'];
if ( RDTheme::$tr_header == '1' || RDTheme::$tr_header != "off" ) {
    $tr_header_class = 'trheader';
} else {
    $tr_header_class = 'trheader-none';
}

$menu_right = RDTheme::$options['menu_right_part'] ? true : false;

?>

<header class="header header--style-7 d-none d-xl-block <?php echo esc_attr( $s_header ); ?>">
  <div class="sticky-placeholder" id="sticky-placeholder"></div>
  <?php if( RDTheme::$options['top_bar'] ) : ?>
      <?php get_template_part( 'template-parts/header/header-top', '1' ); ?>
  <?php endif; ?>
  <div class="navbar-wrap" id="navbar-wrap">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div class="menu-area style-1 d-flex align-items-center justify-content-between flex-wrap">
            <ul class="logo-offcanvas-btn-list">
              <?php if( RDTheme::$options['offcanvas_menu']  === 1) : ?>
              <li class="humburger humburger--style-2  modify-three offcanvas-menu-btn menu-status-open">
                <div class="inner-box">
                  <span></span>
                  <span></span>
                  <span></span>
                </div>
              </li>
              <?php endif; ?>
              <li>
                <div class="logo">
                  <?php get_template_part( 'template-parts/header/logo', 'dark' ); ?>
                  <?php get_template_part( 'template-parts/header/logo', 'light' ); ?>
                </div>
              </li>
            </ul>
            <nav class="main-menu main-menu--style--3">
              <?php wp_nav_menu( $nav_menu_args ); ?>
              <?php if( $menu_right ) : ?>
              <ul class="header-action header-action--style-5 d-none d-xl-flex">
                <?php if ( RDTheme::$options['search_icon'] === 1 ) : ?>
                <li class="header-action__item header-action__item--search">
                  <a href="#template-search"><i class="fas fa-search"></i></a>
                </li>
                <?php endif; ?>
                <li class="header-action__item">
                  <a href="<?php echo esc_url( RDTheme::$options['hbtn_link']  );?>" class="rt-btn--14">
                    <?php echo esc_html( RDTheme::$options['hbtn_text'] );?>
                    <div class="icon--4">
                      <svg xmlns="http://www.w3.org/2000/svg" width="22" height="10" viewBox="0 0 22 10">
                        <g data-name="Group 565" transform="translate(-367 -742)">
                          <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)" fill="#fff"></path>
                          <rect data-name="Rectangle 240" width="14" height="2" transform="translate(367 746)" fill="#fff"></rect>
                        </g>
                      </svg>
                    </div>
                  </a>
                </li>
              </ul>
              <?php endif; ?>
            </nav>
          </div>
        </div>
      </div>
    </div>
    <?php if ( RDTheme::$options['search_icon'] === 1 ){ 
        get_template_part( 'template-parts/header/icon-search', 'popup' );
    } ?>
  </div>
</header>