<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$header_email = RDTheme::$options['header_email'];
$header_phone = RDTheme::$options['header_phone'];

?>
<div class="topbar-wrap topbar-wrap--style-1" id="topbar-wrap">
  <div class="container">
    <div class="row align-items-center">
      <div class="col-lg-6">
        <ul class="infolist infolist--style-1">
          <?php if( !empty( $header_email ) ) : ?>
          <li class="infolist__item">
          	<i class="fas fa-envelope"></i>
            <a href="mailto:<?php echo esc_attr( $header_email ); ?>" class="infolist__link"><?php echo esc_html( $header_email ); ?></a>
          </li>
          <?php endif; if( !empty( $header_phone ) ) : ?>
          <li class="infolist__item phone">
          	<i class="fas fa-phone-volume"></i>
            <a href="tel:<?php echo esc_attr( str_replace(' ', '', $header_phone ) ); ?>" class="infolist__link"><?php echo esc_html( $header_phone ); ?></a>
          </li>
          <?php endif; ?>
        </ul>
      </div>
      <!-- end col -->
      <div class="col-lg-6">
        <?php if( RDTheme::$options['socials'] === 1 ) : ?>
          <?php get_template_part( 'template-parts/header/social', 'info' ); ?>
        <?php endif; ?>
      </div>
    </div>
  </div>
</div>