<?php 

namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;
// Logo
$rt_offcanvm_logo = empty( Helper::rt_offcanvm_logo() ) ? get_bloginfo( 'name' ) : Helper::rt_offcanvm_logo();
$socials = RDTheme::$options['socials'] ;

$offcanvm_title   = RDTheme::$options['offcanvm_title'];
$offcanvm_desc    = RDTheme::$options['offcanvm_desc'];
$contact_title    = RDTheme::$options['contact_title'];
$offcanvm_address = RDTheme::$options['offcanvm_address'];
$offcanvm_phone   = RDTheme::$options['offcanvm_phone'];
$offcanvm_email   = RDTheme::$options['offcanvm_email'];

?>

<div class="offcanvas-menu-wrap" id="offcanvas-wrap" data-position="left">
  <div class="offcanvas-content">
    <div class="offcanvas-header">
      <div class="offcanvas-logo">
        <a href="<?php echo esc_url( home_url( '/' ) );?>">
           <?php if ( !empty( Helper::rt_offcanvm_logo() ) ){ ?>
            <?php echo wp_kses( $rt_offcanvm_logo, 'alltext_allow' ); ?>
            <?php } else { ?>
                <?php echo esc_html( $rt_offcanvm_logo ) ; ?>
            <?php } ?>
        </a>
      </div>
      <div class="close-btn offcanvas-close">
        <a href="javascript:void(0)">
          <i class="fas fa-times"></i>
        </a>
      </div>
    </div>
    <div class="offcanvas-widget">
      <?php if( !empty( $offcanvm_title ) ) : ?>
      <h3 class="offcanvas-widget-title"><?php echo esc_html( $offcanvm_title ); ?></h3>
      <?php endif; ?>
      <?php if( !empty( $offcanvm_desc ) ) : ?>
      <p><?php echo esc_html( $offcanvm_desc ); ?></p>
      <?php endif; ?>
    </div>
    <?php
      if( is_active_sidebar( 'off_insta_sidebar' ) ) : 
        dynamic_sidebar('off_insta_sidebar');
      endif;  
    ?>
    <div class="offcanvas-widget footer-widget">
      <?php if( !empty( $contact_title ) ) : ?>
      <h3 class="offcanvas-widget-title"><?php echo esc_html( $contact_title ); ?></h3>
      <?php endif; ?>
      <ul class="contact-info-list widget-list">
        <?php if( !empty( $offcanvm_address ) ) : ?>
        <li class="widget-list-item">
          <i class="fas fa-map-marker-alt list-icon"></i>
          <?php echo esc_html( $offcanvm_address ); ?>
        </li>
        <?php endif; ?>
        <?php if( !empty( $offcanvm_phone ) ) : ?>
        <li class="widget-list-item">
          <i class="fas fa-phone-alt list-icon"></i>
          <a href="tel:<?php echo esc_attr( str_replace(' ', '', $offcanvm_phone ) ); ?>" class="widget-list-link">
            <?php echo esc_html( $offcanvm_phone ); ?>
          </a>
        </li>
        <?php endif; ?>
        <?php if( !empty( $offcanvm_email ) ) : ?>
        <li class="widget-list-item">
          <i class="fas fa-envelope list-icon"></i>
          <a href="mailto:<?php echo esc_attr( $offcanvm_email ); ?>" class="widget-list-link">
            <?php echo esc_html( $offcanvm_email ); ?>
          </a>
        </li>
        <?php endif; ?>
      </ul>
      <?php if ( $socials === 1 ) { ?>
      <?php if ( $rdtheme_socials = Helper::socials() ) : ?>
      <ul class="social social--style-3">
        <?php foreach ( $rdtheme_socials as $social ) : ?>
        <li class="social__item">
          <a href="<?php echo esc_url($social['url']) ?>" class="social__link fb" target="_blank">
            <i class="<?php echo esc_attr($social['icon']) ?>"></i>
          </a>
        </li>
        <?php endforeach ?>
      </ul>
      <?php endif; ?>
      <?php } ?>
    </div>
  </div>
</div>