<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\daisy;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

$team_desigantion = get_post_meta( get_the_ID(), 'daisy_team_desigantion', true );
$socials          = get_post_meta( get_the_ID(), "daisy_team_socials", true );
$daisy_team_skill = get_post_meta( get_the_ID(), "daisy_team_skill", true );

?>

<?php get_header(); ?>

<section class="single-team-layout1-wrap pt-120 pb-120">
    <div class="container">
        <div class="row">
            <div id="post-<?php the_ID(); ?>" <?php post_class( 'team-single' ); ?>>
                <div class="team-content-wrap">
                    <div class="row">
                        <div class="col-lg-5 col-12">
                            <div class="rtin-thumb">
                                <?php
                                    if ( has_post_thumbnail() ){
                                        the_post_thumbnail( 'daisy-thumb5' );
                                    }
                                ?> 
                                <?php if ( !empty( $socials ) ) { ?>
                                <div class="single-team-socials pt-20">
                                    <ul class="social">
                                        <?php foreach ( $socials as $key => $value ) { 
                                          if (!empty( $value )) {
                                            switch ($key) {
                                              case 'facebook':
                                              $icon = 'fab fa-facebook-f';
                                              break;
                                              case 'twitter':
                                              $icon = 'fab fa-twitter';
                                              break;
                                              case 'linkedin':
                                              $icon = 'fab fa-linkedin-in';
                                              break;
                                              case 'behance':
                                              $icon = 'fab fa-behance';
                                              break;
                                              case 'dribbble':
                                              $icon = 'fab fa-dribbble';
                                              break; 
                                              case 'skype':
                                              $icon = 'fab fa-skype';
                                              break;
                                              case 'youtube':
                                              $icon = 'fab fa-youtube';
                                              break;
                                              case 'pinterest':
                                              $icon = 'fab fa-pinterest-p';
                                              break;
                                              case 'instagram':
                                              $icon = 'fab fa-instagram';
                                              break;
                                              case 'github':
                                              $icon = 'fab fa-github-alt';
                                              break;
                                              case 'stackoverflow':
                                              $icon = 'fab fa-stack-overflow';
                                              break;
                                              default:
                                              $icon = '';
                                              break;
                                            }
                                        ?>
                                        <li><a href="<?php echo esc_url( $value ); ?>" class="social__link"><i class="<?php echo esc_attr( $icon ); ?>"></i></a></li>
                                        <?php } } ?>
                                    </ul>
                                </div>
                                <?php } ?> 
                            </div>                            
                        </div>
                        <div class="col-lg-7 col-12">
                            <div class="single-team-content">
                                <div class="rtin-heading">
                                    <?php if ( $team_desigantion ) { ?>
                                    <h3 class="designation"><?php echo esc_html( $team_desigantion );?></h3>
                                    <?php } ?>
                                </div>
                                <?php the_content();?>
                                <?php if( $daisy_team_skill ) { ?>
                                <div class="skill-wrapper skill-wrapper--style-2">
                                    <div class="skill skill--style-2">
                                      <?php foreach( $daisy_team_skill as $skill ) : ?>
                                        <?php
                                        if ( empty( $skill['skill_name'] ) || empty( $skill['skill_value'] ) ) {
                                            continue;
                                        }
                                        $skill_value = (int) $skill['skill_value'];
                                        ?>
                                      <div class="skill__item">
                                        <div class="skill__title-bar">
                                          <h4 class="skill__title"> <?php echo esc_html( $skill['skill_name'] );?> </h4>
                                        </div>
                                        <div class="skill__bar">
                                          <div class="skill__per" data-per="<?php echo esc_attr( $skill_value );?>"></div>
                                        </div>
                                      </div>
                                      <?php endforeach; ?>
                                    </div>
                                </div>
                                <?php } ?>
                            </div>
                        </div>          
                    </div>
                </div>
            </div>
        </div>
        <?php if( RDTheme::$options['team_related_post'] == '1' && is_single()  && !empty( daisy_related_team() ) ) { ?>
        <div class="related-team-wrap">
            <?php daisy_related_team(); ?>
        </div>
        <?php } ?>
    </div>
</section>
<?php get_footer(); ?>