<?php
/*
Plugin Name: Daisy Core
Plugin URI: https://www.radiustheme.com
Description: Daisy Core Plugin for Daisy Theme
Version: 1.1
Author: RadiusTheme
Text Domain: daisy-core
Domain Path: /languages
Author URI: https://www.radiustheme.com
*/

use radiustheme\daisy\inc\RDTheme;

if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! defined( 'DAISY_CORE' ) ) {
	$plugin_data = get_file_data( __FILE__, array( 'version' => 'Version' ) );
	define( 'DAISY_CORE',              $plugin_data['version'] );
	define( 'DAISY_CORE_SCRIPT_VER',   ( WP_DEBUG ) ? time() : DAISY_CORE );
	define( 'DAISY_CORE_THEME_PREFIX', 'daisy' );
	define( 'DAISY_CORE_CPT', 		    'daisy' );	
	define( 'DAISY_CORE_BASE_URL', 	   plugin_dir_url( __FILE__ ) );
	define( 'DAISY_CORE_BASE_DIR',     plugin_dir_path( __FILE__ ) );
}

class Daisy_Core {

	public $plugin  = 'daisy-core';
	public $action  = 'daisy_theme_init';
	protected static $instance;

	public function __construct() {
		add_action( 'plugins_loaded',        array( $this, 'load_textdomain' ), 20 );
		add_action( 'plugins_loaded',        array( $this, 'demo_importer' ), 17 );
		add_action( $this->action,           array( $this, 'after_theme_loaded' ) );	
		add_action( 'rdtheme_social_share',  array( $this, 'social_share' ) );
		add_action( 'rdtheme_social_share2', array( $this, 'social_share2' ) );
		add_action( 'wp_enqueue_scripts',    array( $this, 'daisy_core_enqueue_scripts' ), 20 );
	}

	public static function instance() {
		if ( null == self::$instance ) {
			self::$instance = new self;
		}
		return self::$instance;
	}

	public function daisy_core_enqueue_scripts() {
		wp_enqueue_style( 'daisy-core', DAISY_CORE_BASE_URL . 'assets/css/daisy-core.css' );
		wp_enqueue_script('daisy-core', DAISY_CORE_BASE_URL . 'assets/js/daisy-core.js', array( 'jquery' ), '', true );
	}

	public function after_theme_loaded(){
		if ( defined( 'RT_FRAMEWORK_VERSION' ) ) {
			require_once DAISY_CORE_BASE_DIR . 'inc/post-types.php'; // Post Types
			require_once DAISY_CORE_BASE_DIR . 'inc/rt-posts.php'; // Post Fields
			require_once DAISY_CORE_BASE_DIR . 'inc/post-meta.php'; // Post Meta
			require_once DAISY_CORE_BASE_DIR . 'widgets/init.php'; // Widgets
		}

		if ( did_action( 'elementor/loaded' ) ) {
			require_once DAISY_CORE_BASE_DIR . 'elementor/init.php'; // Elementor
		}	
	}
	
	public function social_share( $sharer ){
		include DAISY_CORE_BASE_DIR . 'inc/social-share.php';
	}

	public function social_share2( $sharer ){
		include DAISY_CORE_BASE_DIR . 'inc/social-share2.php';
	}

	public function load_textdomain() {
	    load_plugin_textdomain( $this->plugin, FALSE, basename( dirname( __FILE__ ) ) . '/languages' );
	}

	public function demo_importer() {
		require_once DAISY_CORE_BASE_DIR . 'inc/demo-importer.php';
		require_once DAISY_CORE_BASE_DIR . 'inc/demo-importer-ocdi.php';
	}
}
Daisy_Core::instance();

// Optimizer
require_once 'lib/optimizer/__init__.php';
