<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/about-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use Elementor\Utils;
use Elementor\Group_Control_Background;
extract( $data );


?>
<div class="row gutter-30">
  <?php if( !empty( $title )  || !empty( $address ) ) : ?>
  <div class="col-md-6">
    <div class="contact-widget contact-widget--style-2">
      <h4 class="contact-widget__title">
        <span class="icon">
            <?php 
                $main_icon_class       = "";
                $main_icon_image_url   = '';
                if ( is_string( $icon_class['value'] ) && $dynamic_icon_class =  $icon_class['value']  ) {
                  $main_icon_class     = $dynamic_icon_class;
                }
                if ( is_array( $icon_class['value'] ) ) {
                  $main_icon_image_url = $icon_class['value']['url'];
                }
            ?>
            <?php if ( !empty( $data['icontype'] == 'image' ) ) {
                echo wp_get_attachment_image( $icon_image['id'], 'full' );
                } else { ?>
                    <?php if ( $main_icon_image_url ) { ?>
                        <span class="svg-img"><img src="<?php echo esc_url( $main_icon_image_url ); ?>" alt="<?php esc_attr_e( 'SVG Icon', 'daisy-core' ); ?>"></span>
                    <?php } else {
                        if ( $main_icon_class ) { ?>
                        <i class="<?php  echo esc_attr( $main_icon_class ); ?>"></i>
                        <?php } 
                    } 
                }
            ?>
        </span>
        <?php if( !empty( $title ) ) : ?>
        <span class="text"><?php echo wp_kses_post( $title ); ?></span>
        <?php endif; ?>
      </h4>
      <?php if( !empty( $address ) ) : ?>
      <div class="contact-widget__list">
        <p><?php echo wp_kses_post( $address ); ?></p>
      </div>
      <?php endif; ?>
    </div>
  </div>
  <?php endif; ?>
  <?php if( !empty( $title2 ) || !empty( $address2 ) ) : ?>
  <div class="col-md-6">
    <div class="contact-widget contact-widget--style-2">
      <h4 class="contact-widget__title">
        <span class="icon">
            <?php 
                $main_icon_class2       = "";
                $main_icon_image_url2   = '';
                if ( is_string( $icon_class2['value'] ) && $dynamic_icon_class =  $icon_class2['value']  ) {
                  $main_icon_class2     = $dynamic_icon_class;
                }
                if ( is_array( $icon_class2['value'] ) ) {
                  $main_icon_image_url2 = $icon_class2['value']['url'];
                }
            ?>
            <?php if ( !empty( $data['icontype'] == 'image' ) ) {
                echo wp_get_attachment_image( $icon_image2['id'], 'full' );
                } else { ?>
                    <?php if ( $main_icon_image_url2 ) { ?>
                        <span class="svg-img"><img src="<?php echo esc_url( $main_icon_image_url2 ); ?>" alt="<?php esc_attr_e( 'SVG Icon', 'daisy-core' ); ?>"></span>
                    <?php } else {
                        if ( $main_icon_class2 ) { ?>
                        <i class="<?php  echo esc_attr( $main_icon_class2 ); ?>"></i>
                        <?php } 
                    } 
                }
            ?>
        </span>
        <?php if( !empty( $title2 ) ) : ?>
        <span class="text"><?php echo wp_kses_post( $title2 ); ?></span>
        <?php endif; ?>
      </h4>
      <?php if( !empty( $address2 ) ) : ?>
      <div class="contact-widget__list">
       <p><?php echo wp_kses_post( $address2 ); ?></p>
      </div>
      <?php endif; ?>
    </div>
  </div>
  <?php endif; ?>
</div>

