<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/about-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\RDTheme;
use Elementor\Utils;
use Elementor\Group_Control_Background;
extract( $data );

$attr1 = '';
if ( !empty( $data['btn1_url']['url'] ) ) {
    $attr1  = 'href="' . $data['btn1_url']['url'] . '"';
    $attr1 .= !empty( $data['btn1_url']['is_external'] ) ? ' target="_blank"' : '';
    $attr1 .= !empty( $data['btn1_url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$attr2 = '';
if ( !empty( $data['btn2_url']['url'] ) ) {
    $attr2  = 'href="' . $data['btn2_url']['url'] . '"';
    $attr2 .= !empty( $data['btn2_url']['is_external'] ) ? ' target="_blank"' : '';
    $attr2 .= !empty( $data['btn2_url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$final_icon_class1       = " far fa-envelope";
$final_icon_image_url1   = '';
if ( is_string( $btn1_icon['value'] ) && $dynamic_icon_class1 =  $btn1_icon['value']  ) {
  $final_icon_class1     = $dynamic_icon_class1;
}
if ( is_array( $btn1_icon['value'] ) ) {
  $final_icon_image_url1 = $btn1_icon['value']['url'];
}

$final_icon_class2       = " fas fa-cloud-download-alt";
$final_icon_image_url2   = '';
if ( is_string( $btn2_icon['value'] ) && $dynamic_icon_class2 =  $btn2_icon['value']  ) {
  $final_icon_class2     = $dynamic_icon_class2;
}
if ( is_array( $btn2_icon['value'] ) ) {
  $final_icon_image_url2 = $btn2_icon['value']['url'];
}

$img = wp_get_attachment_image( $image['id'], 'full' );

?>
<section class="banner banner--style-1 position-relative overflow-hidden clearfix">
  <div class="container">
    <div class="row align-items-center">
      <div class="col-lg-7 <?php echo esc_attr( $data['animation'] );?> fadeInLeftBig" data-wow-delay="300ms" data-wow-duration="1200ms">
        <div class="banner-content banner-content--style-1">
          <?php if( !empty( $title ) ) : ?>
          <h1 class="banner-content__title"><?php echo wp_kses_post( $title ); ?></h1>
          <?php endif; if( !empty( $content ) ) : ?>
          <p><?php echo wp_kses_post( $content ); ?></p>
          <?php endif; ?>
          <div class="banner-content__btn-list">
            <a <?php echo $attr1; ?> class="rt-btn--1">
              <div class="icon--1">
                <?php if ( $final_icon_image_url1 ): ?>
                    <span class="svg-img"><img src="<?php echo esc_url( $final_icon_image_url1 ); ?>" alt="SVG Icon"></span>
                <?php else: ?>
                    <i class="<?php  echo esc_attr( $final_icon_class1 ); ?>"></i>
                <?php endif ?>
              </div>
              <?php echo esc_html( $btn1_text ); ?>
            </a>
            <a <?php echo $attr2; ?> class="rt-btn--2" download>
              <div class="icon--2">
                 <?php if ( $final_icon_image_url2 ): ?>
                    <span class="svg-img"><img src="<?php echo esc_url( $final_icon_image_url2 ); ?>" alt="SVG Icon"></span>
                <?php else: ?>
                    <i class="<?php  echo esc_attr( $final_icon_class2 ); ?>"></i>
                <?php endif ?>
              </div>
              <?php echo esc_html( $btn2_text ); ?>
            </a>
          </div>
        </div>
      </div>
      <?php if( !empty( $img ) ) : ?>
      <div class="col-lg-5 align-self-xl-end <?php echo esc_attr( $data['animation'] );?> fadeInUpBig" data-wow-delay="600ms" data-wow-duration="1200ms">
        <div class="banner-img banner-img--style-1 ">
          <?php echo wp_kses_post( $img ); ?>
        </div>
      </div>
      <?php endif; ?>
    </div>

    <?php if( $showhide == 'yes' ) : ?>
    <a class="rt-scroll-spy-btn" href="#<?php echo esc_attr( $scroll_id ); ?>">
      <span class="spy-dot"></span>
      <span class="spy-text"><?php echo esc_html( $scroll_txt ); ?></span>
    </a>
    <?php endif; ?>    
  </div>
</section>


