<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/about-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use Elementor\Utils;
use Elementor\Group_Control_Background;
extract( $data );

$attr = '';
if ( !empty( $data['btn1_url']['url'] ) ) {
    $attr  = 'href="' . $data['btn1_url']['url'] . '"';
    $attr .= !empty( $data['btn1_url']['is_external'] ) ? ' target="_blank"' : '';
    $attr .= !empty( $data['btn1_url']['nofollow'] ) ? ' rel="nofollow"' : '';
}


$final_icon_class1       = " far fa-envelope";
$final_icon_image_url1   = '';
if ( is_string( $btn1_icon['value'] ) && $dynamic_icon_class1 =  $btn1_icon['value']  ) {
  $final_icon_class1     = $dynamic_icon_class1;
}
if ( is_array( $btn1_icon['value'] ) ) {
  $final_icon_image_url1 = $btn1_icon['value']['url'];
}

?>

<div class="row align-items-center">
  <div class="col-xxl-6 col-lg-8">
    <div class="banner-content banner-content--style-4">
      <?php if( !empty( $title ) ) : ?>
      <h2 class="banner-content__title <?php echo esc_attr( $data['animation'] );?> fadeInUp" data-wow-delay="200ms" data-wow-duration="1200ms"><?php echo wp_kses_post( $title ); ?></h2>
      <?php endif; if( !empty( $content ) ) : ?>
      <p class="<?php echo esc_attr( $data['animation'] );?> fadeInUp" data-wow-delay="400ms" data-wow-duration="1200ms"><?php echo wp_kses_post( $content ); ?></p>
      <?php endif ?>
      <div class="banner-content__btn-list <?php echo esc_attr( $data['animation'] );?> fadeInUp" data-wow-delay="600ms" data-wow-duration="1200ms">
        <a <?php echo $attr; ?> class="rt-btn--14">
          <?php echo esc_html( $btn1_text ); ?>
          <div class="icon--4">
            <?php if ( $final_icon_image_url1 ): ?>
                <span class="svg-img"><img src="<?php echo esc_url( $final_icon_image_url1 ); ?>" alt="SVG Icon"></span>
            <?php else: ?>
                <i class="<?php  echo esc_attr( $final_icon_class1 ); ?>"></i>
            <?php endif ?>
          </div>
        </a>
      </div>
    </div>
  </div>
</div>


