<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/contact-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
extract( $data );

$main_icon_class       = "";
$main_icon_image_url   = '';
if ( is_string( $icon_class['value'] ) && $dynamic_icon_class =  $icon_class['value']  ) {
  $main_icon_class     = $dynamic_icon_class;
}
if ( is_array( $icon_class['value'] ) ) {
  $main_icon_image_url = $icon_class['value']['url'];
}

?>

<div class="contact-list contact-list--style-1 <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
    <div class="contact-list__item">
      <div class="contact-list__icon">
        <?php if ( !empty( $data['icontype'] == 'image' ) ) {
            echo wp_get_attachment_image( $icon_image['id'], 'full' );
            } else { ?>
                <?php if ( $main_icon_image_url ) { ?>
                    <span class="svg-img"><img src="<?php echo esc_url( $main_icon_image_url ); ?>" alt="<?php esc_attr_e( 'SVG Icon', 'daisy-core' ); ?>"></span>
                <?php } else {
                    if ( $main_icon_class ) { ?>
                    <i class="<?php  echo esc_attr( $main_icon_class ); ?>"></i>
                    <?php } 
                } 
            }
        ?>
      </div>
      <div class="contact-list__content">
        <?php if ( !empty( $title ) ) : ?>
        <h5 class="contact-list__title"><?php echo esc_html( $title ); ?></h5>
        <?php endif; ?>
        <?php if (is_array( $data['contact_repeat'] )) { ?>
        <?php foreach ( $data['contact_repeat'] as $value ) { ?> 
        <span>
            <?php 
                $data_type = $value['list_text'];
                if(filter_var($data_type, FILTER_VALIDATE_EMAIL)){
                  $html = '<a href="mailto:'.$data_type.'">'.$data_type.'</a>';
                } elseif( preg_match('/^[0-9\-\(\)\/\+\s]*$/', $data_type ) ){
                    $phone_url = str_replace(' ', '', $data_type);
                    $html = '<span><a href="tel:'.$phone_url.'">'.$data_type.'</a></span>';
                } elseif (filter_var($data_type, FILTER_VALIDATE_URL)) {
                  $html = '<a href="'.esc_url( $data_type ).'">'.$data_type.'</a>';
                } else {
                  $html = $data_type;
                }
                echo wp_kses_post( $html );
            ?>
        </span>
        <?php } ?>
        <?php } ?>
      </div>
    </div>
</div>