<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/contact-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
extract( $data );

$main_icon_class       = "";
$main_icon_image_url   = '';
if ( is_string( $icon_class['value'] ) && $dynamic_icon_class =  $icon_class['value']  ) {
  $main_icon_class     = $dynamic_icon_class;
}
if ( is_array( $icon_class['value'] ) ) {
  $main_icon_image_url = $icon_class['value']['url'];
}

?>

<div class="contact-widget contact-widget--style-1 <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
  <?php if ( !empty( $title ) ) : ?>
  <h4 class="contact-widget__title"><?php echo esc_html( $title ); ?></h4>
  <?php endif; ?>
  <?php if (is_array( $data['contact_repeat'] )) { ?>
  <ul class="contact-widget__list">
    <?php foreach ( $data['contact_repeat'] as $value ) { ?> 
    <li>
      <?php 
          $data_type = $value['list_text'];
          if(filter_var($data_type, FILTER_VALIDATE_EMAIL)){
            $html = '<a href="mailto:'.$data_type.'">'.$data_type.'</a>';
          } elseif( preg_match('/^[0-9\-\(\)\/\+\s]*$/', $data_type ) ){
              $phone_url = str_replace(' ', '', $data_type);
              $html = '<span><a href="tel:'.$phone_url.'">'.$data_type.'</a></span>';
          } elseif (filter_var($data_type, FILTER_VALIDATE_URL)) {
            $html = '<a href="'.esc_url( $data_type ).'">'.$data_type.'</a>';
          } else {
            $html = $data_type;
          }
          echo wp_kses_post( $html );
      ?>
    </li>
    <?php } ?>
  </ul>
  <?php } ?>
</div>