<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/contact-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
extract( $data );

$main_icon_class       = "";
$main_icon_image_url   = '';
if ( is_string( $icon_class['value'] ) && $dynamic_icon_class =  $icon_class['value']  ) {
  $main_icon_class     = $dynamic_icon_class;
}
if ( is_array( $icon_class['value'] ) ) {
  $main_icon_image_url = $icon_class['value']['url'];
}


?>

<div class="contact-address__content">
  <header class="contact-address__header">
    <?php if ( !empty( $title ) ) : ?>
    <h3 class="mb-20">
       <?php if ( !empty( $data['icontype'] == 'image' ) ) {
            echo wp_get_attachment_image( $icon_image['id'], 'full' );
            } else { ?>
                <?php if ( $main_icon_image_url ) { ?>
                    <span class="svg-img"><img src="<?php echo esc_url( $main_icon_image_url ); ?>" alt="<?php esc_attr_e( 'SVG Icon', 'daisy-core' ); ?>"></span>
                <?php } else {
                    if ( $main_icon_class ) { ?>
                    <i class="<?php  echo esc_attr( $main_icon_class ); ?>"></i>
                    <?php } 
                } 
            }
        ?>
      
      <span><?php echo esc_html( $title ); ?></span>
    </h3>
      <?php endif; ?>
  </header>
  <?php if (is_array( $data['contact_repeat'] )) { ?>
  <ul>
    <?php foreach ( $data['contact_repeat'] as $value ) { 

      $list_icon_class       = "";
      $list_icon_image_url   = '';
      if ( is_string( $value['licon_class']['value'] ) && $dynamic_list_icon_class =  $value['licon_class']['value']  ) {
        $list_icon_class     = $dynamic_list_icon_class;
      }
      if ( is_array( $value['licon_class']['value'] ) ) {
        $list_icon_image_url = $value['licon_class']['value']['url'];
      }

    ?>
    <li>
      <?php if ( !empty( $value['licon_type'] == 'image' ) ) {
          echo wp_get_attachment_image( $value['licon_img']['id'], 'full' );
          } else { ?>
              <?php if ( $list_icon_image_url ) { ?>
                  <span class="svg-img"><img src="<?php echo esc_url( $list_icon_image_url ); ?>" alt="<?php esc_attr_e( 'SVG Icon', 'daisy-core' ); ?>"></span>
              <?php } else {
                  if ( $list_icon_class ) { ?>
                  <i class="<?php  echo esc_attr( $list_icon_class ); ?>"></i>
                  <?php } 
              } 
          }
      ?>
      <?php 
          $data_type = $value['list_text'];
          if(filter_var($data_type, FILTER_VALIDATE_EMAIL)){
            $html = '<span><a href="mailto:'.$data_type.'">'.$data_type.'</a></span>';
          } elseif( preg_match('/^[0-9\-\(\)\/\+\s]*$/', $data_type ) ){
              $phone_url = str_replace(' ', '', $data_type);
              $html = '<span><a href="tel:'.$phone_url.'">'.$data_type.'</a></span>';
          } elseif (filter_var($data_type, FILTER_VALIDATE_URL)) {
            $html = '<span><a href="'.esc_url( $data_type ).'">'.$data_type.'</a></span>';
          } else {
            $html = '<span>'.$data_type.'</span>';
          }
          echo wp_kses_post( $html );
      ?>
    </li>
    <?php } ?>
  </ul>
  <?php } ?>
</div>