<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use Elementor\Utils;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;
extract( $data );

$attr = '';
if ( !empty( $data['btn_link']['url'] ) ) {
	$attr  = 'href="' . $data['btn_link']['url'] . '"';
	$attr .= !empty( $data['btn_link']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['btn_link']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$attr2 = '';
if ( !empty( $data['btn2_link']['url'] ) ) {
    $attr2  = 'href="' . $data['btn2_link']['url'] . '"';
    $attr2 .= !empty( $data['btn2_link']['is_external'] ) ? ' target="_blank"' : '';
    $attr2 .= !empty( $data['btn2_link']['nofollow'] ) ? ' rel="nofollow"' : '';
}

?>

<div class="cta-content cta-content--style-1 text-center <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
  <?php if( !empty( $title ) ) : ?>
  <h2 class="cta-content__title"><?php echo wp_kses_post( $title ); ?></h2>
  <?php endif; ?>
  <div class="cta-content__btn-list">
    <?php if( !empty( $btn_txt ) ) : ?>
    <a <?php echo $attr; ?> class="rt-btn--1">
      <div class="icon--1">
        <svg xmlns="http://www.w3.org/2000/svg" width="16.548" height="11.707" viewBox="0 0 16.548 11.707">
          <g data-name="email (1)" transform="translate(0 -80)">
            <g data-name="Group 216" transform="translate(10.969 82.264)">
              <g data-name="Group 215">
                <path data-name="Path 551" d="M339.392,148.572l5.579,3.527v-7.2Z" transform="translate(-339.392 -144.896)" fill="#fff" />
              </g>
            </g>
            <g data-name="Group 218" transform="translate(0 82.264)">
              <g data-name="Group 217">
                <path data-name="Path 552" d="M0,144.9v7.2l5.579-3.527Z" transform="translate(0 -144.896)" fill="#fff" />
              </g>
            </g>
            <g data-name="Group 220" transform="translate(0.031 80)">
              <g data-name="Group 219">
                <path data-name="Path 553" d="M16.443,80H1.963a1.021,1.021,0,0,0-1,.88L9.2,86.311l8.243-5.431A1.021,1.021,0,0,0,16.443,80Z" transform="translate(-0.96 -80)" fill="#fff" />
              </g>
            </g>
            <g data-name="Group 222" transform="translate(0.033 86.727)">
              <g data-name="Group 221">
                <path data-name="Path 554" d="M11.013,277.921l-1.463.964a.519.519,0,0,1-.569,0l-1.463-.965-6.493,4.107a1.02,1.02,0,0,0,1,.873H16.5a1.02,1.02,0,0,0,1-.873Z" transform="translate(-1.024 -277.92)" fill="#fff" />
              </g>
            </g>
          </g>
        </svg>
      </div>
      <?php echo wp_kses_post( $btn_txt ); ?>
    </a>
    <?php endif; if( !empty( $btn2_txt ) ) : ?>
    <a <?php echo $attr2; ?> class="rt-btn--3">
      <?php echo wp_kses_post( $btn2_txt ); ?>
      <div class="icon--3">
        <svg xmlns="http://www.w3.org/2000/svg" width="19.996" height="16.635" viewBox="0 0 19.996 16.635">
          <g data-name="right-arrow (8)" transform="translate(0 -41.346)">
            <g data-name="Group 146" transform="translate(0 41.346)">
              <path data-name="Path 504" d="M19.676,48.887l-7.221-7.221a1.1,1.1,0,0,0-1.548,0l-.656.656a1.086,1.086,0,0,0-.319.774,1.108,1.108,0,0,0,.319.783L14.464,48.1H1.08A1.068,1.068,0,0,0,0,49.176V50.1a1.109,1.109,0,0,0,1.08,1.124H14.512l-4.26,4.246a1.084,1.084,0,0,0,0,1.537l.656.654a1.1,1.1,0,0,0,1.548,0l7.221-7.221a1.1,1.1,0,0,0,0-1.553Z" transform="translate(0 -41.346)" fill="#f85c70" />
            </g>
          </g>
        </svg>
      </div>
    </a>
    <?php endif; ?>
  </div>
</div>

