<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use Elementor\Utils;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;
extract( $data );

$attr = '';
if ( !empty( $data['btn_link']['url'] ) ) {
	$attr  = 'href="' . $data['btn_link']['url'] . '"';
	$attr .= !empty( $data['btn_link']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['btn_link']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$attr2 = '';
if ( !empty( $data['img_link']['url'] ) ) {
  $attr2  = 'href="' . $data['img_link']['url'] . '"';
  $attr2 .= !empty( $data['img_link']['is_external'] ) ? ' target="_blank"' : '';
  $attr2 .= !empty( $data['img_link']['nofollow'] ) ? ' rel="nofollow"' : '';
}


$img = wp_get_attachment_image( $image['id'], 'full' );

?>
<div class="cta-content cta-content--style-2 <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
  <div class="cta-content__inner">
    <?php if( !empty( $img ) ) : ?>
    <div class="cta-content__logo">
      <a <?php echo $attr2; ?>>
        <?php echo wp_kses_post( $img ); ?>
      </a>
    </div>
    <?php endif; ?>
    <?php if( !empty( $title ) ) : ?>
    <h2 class="cta-content__title"><?php echo wp_kses_post( $title ); ?></h2>
    <?php endif; ?>
    <div class="cta-content__btn-wrap">
      <?php if( !empty( $btn_txt ) ) : ?>
      <a <?php echo $attr; ?> class="rt-btn--9">
        <?php echo wp_kses_post( $btn_txt ); ?>
        <div class="icon--4">
          <svg xmlns="http://www.w3.org/2000/svg" width="10" height="12" viewBox="0 0 10 12">
            <path data-name="Polygon 8" d="M6,0l6,10H0Z" transform="translate(10) rotate(90)" fill="#fff" />
          </svg>
        </div>
      </a>
      <?php endif; ?>
    </div>
  </div>
</div>

