<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use Elementor\Utils;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;
extract( $data );

$attr = '';
if ( !empty( $data['btn_link']['url'] ) ) {
	$attr  = 'href="' . $data['btn_link']['url'] . '"';
	$attr .= !empty( $data['btn_link']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['btn_link']['nofollow'] ) ? ' rel="nofollow"' : '';
}

?>

<div class="cta-content text-center cta-content--style-3 <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms" data-bg-image="<?php echo esc_attr( $image['url'] ); ?>">
  <div class="cta-content__inner">
    <?php if( !empty( $title ) ) : ?>
    <h2 class="cta-content__title"><?php echo wp_kses_post( $title ); ?></h2>
    <?php endif; ?>
    <?php if( !empty( $btn_txt ) ) : ?>
    <div class="cta-content__btn-wrap">
      <a <?php echo $attr; ?> class="rt-btn--14">
        <?php echo wp_kses_post( $btn_txt ); ?>
        <div class="icon--4">
          <svg xmlns="http://www.w3.org/2000/svg" width="22" height="10" viewBox="0 0 22 10">
            <g data-name="Group 565" transform="translate(-367 -742)">
              <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)" fill="#fff" />
              <rect data-name="Rectangle 240" width="14" height="2" transform="translate(367 746)" fill="#fff" />
            </g>
          </svg>
        </div>
      </a>
    </div>
    <?php endif; ?>
  </div>
</div>

