<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/animated-image/class.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

if ( ! defined( 'ABSPATH' ) ) exit;

class Image_Box extends Custom_Widget_Base {

	public function __construct( $data = [], $args = null ){
		$this->rt_name = __( 'Image Box', 'daisy-core' );
		$this->rt_base = 'rt-image-box';
		parent::__construct( $data, $args );
	}

	public function rt_fields(){
		$fields = array(
			array(
				'id'      => 'sec_image_box',
				'mode'    => 'section_start',
				'label'   => __( 'Image Box', 'daisy-core' ),
			),
			array(
				'type'    => Controls_Manager::SELECT2,
				'id'      => 'style',
				'label'   => esc_html__( 'Style', 'daisy-core' ),
				'options' => array(
					'style1' => esc_html__( 'Style 1', 'daisy-core' ),
					'style2' => esc_html__( 'Style 2', 'daisy-core' ),
					'style3' => esc_html__( 'Style 3', 'daisy-core' ),
					'style4' => esc_html__( 'Style 4', 'daisy-core' ),
					'style5' => esc_html__( 'Style 5', 'daisy-core' ),
					'style6' => esc_html__( 'Style 6', 'daisy-core' ),
					'style7' => esc_html__( 'Style 7', 'daisy-core' ),
					'style8' => esc_html__( 'Style 8', 'daisy-core' ),
					'style9' => esc_html__( 'Style 9', 'daisy-core' ),
					'style10' => esc_html__( 'Style 10', 'daisy-core' ),
				),
				'default' => 'style1',
			),
			// Image
			array(
				'type'    => Controls_Manager::MEDIA,
				'id'      => 'image',
				'label'   => esc_html__( 'Image', 'daisy-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended actual image size that you need', 'daisy-core' ),
			),
			array(
				'type'    => Controls_Manager::MEDIA,
				'id'      => 'image2',
				'label'   => esc_html__( 'Image 2', 'daisy-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended actual image size that you need', 'daisy-core' ),
				'condition' => ['style' => [ 'style1', 'style2', 'style3', 'style4', 'style5', 'style7']],
			),
			array(	
				'id'      => 'icontype',				 
			   	'type'    => Controls_Manager::CHOOSE,
			   	'label'   => esc_html__( 'Media Type', 'daisy-core' ),
			   	'options' => [
				    'icon' => [
				       'title' => esc_html__( 'Icon', 'daisy-core' ),
				       'icon' => 'far fa-smile',
				    ],
				    'image' => [
				       'title' => esc_html__( 'Image', 'daisy-core' ),
				       'icon' => 'fa fa-image',
				    ],		     
			   	],
			   	'default' => 'icon',
			   	'label_block' => false,
			   	'toggle' => false,
			   	'condition'   => array( 'style' => array( 'style7' ) ),
			),
			array(
				'type'    => Controls_Manager::ICONS,
				'id'      => 'icon_class',
				'label'   => esc_html__( 'Icon', 'daisy-core' ),
				'default' => [
			      'value' => 'fa fa-image',
			      'library' => 'fa-solid',
			  ],	
			  'condition'   => array( 'icontype' => 'icon', 'style' => array( 'style7' ) ),
			),
			array(
				'type'    => Controls_Manager::MEDIA,
				'id'      => 'icon_image',
				'label'   => esc_html__( 'Image', 'daisy-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'condition'   => array( 'icontype' => 'image', 'style' => array( 'style7' ) ),
			),
			array(
				'type'    => Controls_Manager::MEDIA,
				'id'      => 'image3',
				'label'   => esc_html__( 'Image 3', 'daisy-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended actual image size that you need', 'daisy-core' ),
				'condition' => ['style' => [ 'style1', 'style2', 'style3', 'style4' ]],
			),
			array(
				'type'    => Controls_Manager::MEDIA,
				'id'      => 'image4',
				'label'   => esc_html__( 'Image 4', 'daisy-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended actual image size that you need', 'daisy-core' ),
				'condition' => ['style' => [ 'style1', 'style3', 'style4' ]],
			),
			array(
				'type'    => Controls_Manager::MEDIA,
				'id'      => 'image5',
				'label'   => esc_html__( 'Image 5', 'daisy-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended actual image size that you need', 'daisy-core' ),
				'condition' => ['style' => ['style1', 'style3', 'style4' ]],
			),
			array(
				'type'    => Controls_Manager::MEDIA,
				'id'      => 'image6',
				'label'   => esc_html__( 'Image 6', 'daisy-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended actual image size that you need', 'daisy-core' ),
				'condition' => ['style' => ['style1', 'style3', 'style4' ]],
			),
			array(
				'type'    => Controls_Manager::MEDIA,
				'id'      => 'image7',
				'label'   => esc_html__( 'Image 7', 'daisy-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended actual image size that you need', 'daisy-core' ),
				'condition' => ['style' => ['style1',]],
			),
			array(
				'type'    => Controls_Manager::MEDIA,
				'id'      => 'image8',
				'label'   => esc_html__( 'Image 8', 'daisy-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended actual image size that you need', 'daisy-core' ),
				'condition' => ['style' => ['style1',]],
			),
			array(
				'type'    => Controls_Manager::TEXT,
				'id'      => 'title',
				'label'   => esc_html__( 'Title', 'daisy-core' ),
				'default' => esc_html__( 'Experience', 'daisy-core' ),
				'condition'   => array( 'style' => array( 'style7', 'style10' ) ),
				'label_block' => true,
			),
			array(
				'type'    => Controls_Manager::TEXT,
				'id'      => 'year',
				'label'   => esc_html__( 'Year', 'daisy-core' ),
				'default' => __( '10 Years', 'daisy-core' ),
				'condition'   => array( 'style' => array( 'style7' ) ),
				'label_block' => true,
			),
			array(
				'mode' => 'section_end',
			),
			// Styles
			array(
				'id'      => 'sec_style',
				'mode'    => 'section_start',
				'tab'     => Controls_Manager::TAB_STYLE,
				'label'   => __( 'Style', 'daisy-core' ),
				'condition' => ['style' => [ 'style5' ]],
			),
			array(
				'id'        => 'video_button_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Border Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .about-img--style-3::after' => 'background-color: {{VALUE}}',
				),
			),
			array(
				'mode' => 'section_end',
			),
			/*title section*/
			array(
	            'mode'    => 'section_start',
	            'id'      => 'sec_title_style',
	            'label'   => esc_html__( 'Title', 'techkit-core' ),
	            'tab'     => Controls_Manager::TAB_STYLE,
				'condition'   => array( 'style' => array( 'style7', 'style10' ) ),
	        ),
			array (
				'mode'    => 'group',
				'type'    => Group_Control_Typography::get_type(),
				'name'    => 'title_typo',
				'label'   => esc_html__( 'Typo', 'techkit-core' ),
				'selector' => '
					{{WRAPPER}} .about-img__exp > span,
					{{WRAPPER}} .service-details__heading
				',
			),
			array(
				'type'    => Controls_Manager::COLOR,
				'id'      => 'title_color',
				'label'   => esc_html__( 'Color', 'techkit-core' ),
				'default' => '',
				'selectors' => array(
					'{{WRAPPER}} .about-img__exp > span' => 'color: {{VALUE}}',
					'{{WRAPPER}} .service-details__heading' => 'color: {{VALUE}} !important',
				),
			),
			array(
				'mode' => 'section_end',
			),
			// Animation style
			array(
	            'mode'    => 'section_start',
	            'id'      => 'sec_animation_style',
	            'label'   => esc_html__( 'Animation', 'daisy-core' ),
	            'tab'     => Controls_Manager::TAB_STYLE,
				'condition'   => array( 'style' => array( 'style2', 'style5', 'style6' ) ),
	        ),
			array(
				'type'    => Controls_Manager::SELECT2,
				'id'      => 'animation',
				'label'   => esc_html__( 'Animation', 'daisy-core' ),
				'options' => array(
					'wow'        => esc_html__( 'On', 'daisy-core' ),
					'hide'        => esc_html__( 'Off', 'daisy-core' ),
				),
				'default' => 'wow',
			),
			array(
				'type'    => Controls_Manager::SELECT2,
				'id'      => 'animation_effect',
				'label'   => esc_html__( 'Entrance Animation', 'daisy-core' ),
				'options' => array(
                    'none' => esc_html__( 'none', 'daisy-core' ),
					'bounce' => esc_html__( 'bounce', 'daisy-core' ),
					'flash' => esc_html__( 'flash', 'daisy-core' ),
					'pulse' => esc_html__( 'pulse', 'daisy-core' ),
					'rubberBand' => esc_html__( 'rubberBand', 'daisy-core' ),
					'shakeX' => esc_html__( 'shakeX', 'daisy-core' ),
					'shakeY' => esc_html__( 'shakeY', 'daisy-core' ),
					'headShake' => esc_html__( 'headShake', 'daisy-core' ),
					'swing' => esc_html__( 'swing', 'daisy-core' ),					
					'fadeIn' => esc_html__( 'fadeIn', 'daisy-core' ),
					'fadeInDown' => esc_html__( 'fadeInDown', 'daisy-core' ),
					'fadeInLeft' => esc_html__( 'fadeInLeft', 'daisy-core' ),
					'fadeInRight' => esc_html__( 'fadeInRight', 'daisy-core' ),
					'fadeInUp' => esc_html__( 'fadeInUp', 'daisy-core' ),					
					'bounceIn' => esc_html__( 'bounceIn', 'daisy-core' ),
					'bounceInDown' => esc_html__( 'bounceInDown', 'daisy-core' ),
					'bounceInLeft' => esc_html__( 'bounceInLeft', 'daisy-core' ),
					'bounceInRight' => esc_html__( 'bounceInRight', 'daisy-core' ),
					'bounceInUp' => esc_html__( 'bounceInUp', 'daisy-core' ),			
					'slideInDown' => esc_html__( 'slideInDown', 'daisy-core' ),
					'slideInLeft' => esc_html__( 'slideInLeft', 'daisy-core' ),
					'slideInRight' => esc_html__( 'slideInRight', 'daisy-core' ),
					'slideInUp' => esc_html__( 'slideInUp', 'daisy-core' ), 
                ),
				'default' => 'fadeInUp',
				'condition'   => array('animation' => array( 'wow' ) ),
			),
			array(
				'type'    => Controls_Manager::TEXT,
				'id'      => 'delay',
				'label'   => esc_html__( 'Delay', 'daisy-core' ),
				'default' => '200',
				'condition'   => array( 'animation' => array( 'wow' ) ),
			),
			array(
				'type'    => Controls_Manager::TEXT,
				'id'      => 'duration',
				'label'   => esc_html__( 'Duration', 'daisy-core' ),
				'default' => '1200',
				'condition'   => array( 'animation' => array( 'wow' ) ),
			),
			array(
				'mode' => 'section_end',
			),
		);
		return $fields;
	}

	public function animation(){
		wp_enqueue_script( 'tween-max' );
		wp_enqueue_script( 'tilt.min' );
		wp_enqueue_script( 'cs-animation' );
	}

	protected function render() {
		$data = $this->get_settings();

		if ( ($data['style'] == 'style1' ) ) {
			$this->animation();
		}

		switch ($data['style']) {
			case 'style10':
			$template = 'view-10';
			break;
			case 'style9':
			$template = 'view-9';
			break;
			case 'style8':
			$template = 'view-8';
			break;
			case 'style7':
			$template = 'view-7';
			break;
			case 'style6':
			$template = 'view-6';
			break;
			case 'style5':
			$template = 'view-5';
			break;
			case 'style4':
			$template = 'view-4';
			break;
			case 'style3':
			$template = 'view-3';
			break;
			case 'style2':
			$template = 'view-2';
			break;
			default:
			$template = 'view-1';
			break;
		}

		return $this->rt_template( $template, $data );
	}
}