<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/info-box/view-2.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Bizcon_Core;

extract( $data );

$final_icon_class       = "flaticon-tech";
$final_icon_image_url   = '';
if ( is_string( $icon_class['value'] ) && $dynamic_icon_class =  $icon_class['value']  ) {
  $final_icon_class     = $dynamic_icon_class;
}
if ( is_array( $icon_class['value'] ) ) {
  $final_icon_image_url = $icon_class['value']['url'];
}

?>

<div class="why-choose why-choose--style-2 <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
  <div class="why-choose__icon">
    <?php if ( !empty( $data['icontype']== 'image' ) ) { ?>                 
        <?php echo wp_get_attachment_image( $icon_image['id'], 'full' ); ?>
    <?php }else{?>  
    <?php if ( $final_icon_image_url ): ?>
        <span class="rtin-icon"><img src="<?php echo esc_url( $final_icon_image_url ); ?>" alt="SVG Icon"></span>
    <?php else: ?>
        <span class="rtin-icon"><i class="<?php  echo esc_attr( $final_icon_class ); ?>"></i></span>
    <?php endif ?>
    <?php }  ?>
  </div>
  <?php if (!empty($title)) { ?>
  <h3 class="why-choose__title"><?php echo esc_html( $title ); ?></h3>
  <?php } if (!empty( $description )) { ?>
  <p><?php echo esc_html( $description ); ?></p>
  <?php } ?>
</div>