<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/lists/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Bizcon_Core;
extract( $data );

if( $d_block == 'yes' ){
  $d_block = 'd-block';
}else{
  $d_block = 'none';
}

?>

<div class="section-heading__list-wrap">
  <ul class="theme-list theme-list--style-1 theme-list--style-3 <?php echo esc_attr( $d_block ); ?>">
    <?php foreach ( $data['rt_lists'] as $item ) {  ?>
    <li>
      <?php if ( $item['list_type'] == 'icon_list' ) { 
          $icon_class = $item['list_icon'];
          $final_icon_class       = "flaticon-tech";
          $final_icon_image_url   = '';
          if ( is_string( $icon_class['value'] ) && $dynamic_icon_class =  $icon_class['value']  ) {
            $final_icon_class     = $dynamic_icon_class;
          }
          if ( is_array( $icon_class['value'] ) ) {
            $final_icon_image_url = $icon_class['value']['url'];
          }
      ?>
      <?php if ( $final_icon_image_url ): ?>
          <span class="svg-img"><img src="<?php echo esc_url( $final_icon_image_url ); ?>" alt="<?php esc_attr_e( 'SVG Icon', 'bizcon-core' ); ?>"></span>
      <?php else: ?>
          <i class="<?php  echo esc_attr( $final_icon_class ); ?>"></i>
      <?php endif; ?>
      <?php } ?>
      <?php echo wp_kses_post( $item['list_text'] ); ?>
    </li>
    <?php } ?>
  </ul>
</div>