<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );

$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query = null;
$args     = null;

if ( $query_type == 'cats' && !empty( $terms ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'tax_query' => array(
      array(
        'taxonomy' => $prefix.'_portfolio_category',
        'field' => 'id',
        'terms' => $terms
      )
    ),
  );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category',
    'post__in'       => $postbytitle
  );
} else {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category'
  );
}

if ( !empty( $terms ) ) {
  $terms = $terms;
} else {
  $terms = Helper::portfolio_categories_slug();
}

if ( !empty( $terms ) &&  $filter_enable == true ) {
  $isotope = 'isotope-wrap';
} else {
  $isotope = 'portfolio-grid';
}

if ( !empty( $numbering ) ) {
  $number = 'sl-number';
} else {
  $number = '';
}

$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) :


?>

<div class="portfolio-section portfolio-section--style-1 isotope-wrap-1">
	    <div class="section-heading-wrapper section-heading-wrapper--style-1">
	      <div class="title-wrap">
	        <div class="section-heading section-heading--style-3 mb-0">
	          <?php if( !empty( $data['sub_title'] ) ) : ?>
	          <span class="section-heading__sub-title"><?php echo wp_kses_post( $data['sub_title'] ); ?></span>
	          <?php endif; if( !empty( $data['title'] ) ) : ?>
	          <h2 class="section-heading__title mb-0"><?php echo wp_kses_post( $data['title'] ); ?></h2>
	      	  <?php endif; ?>
	        </div>
	      </div>
	      <?php
			  if ( $filter_enable == true ) {
			      $filters = get_terms( array(
			      'taxonomy' => $prefix.'_portfolio_category',
			      'include'  => $terms,
			      'hide_empty'  => false,
			      'orderby'  => 'include',
		      ) );
		  ?>
		  <?php if ( !empty( $terms ) ) { ?>
	      <div class="filter-btn-wrap align-self-end">
	        <div class="isotope-menu isotope-menu--style-1">
	          <a class="isotope-menu__item isotope-menu__item--current" data-filter="*"><?php esc_html_e( 'All', 'daisy-core' ); ?></a>
	           <?php 
	        		foreach ( $filters as $key => $term ) { 
		          		echo "<a class=\"isotope-menu__item\" data-filter=\".$term->slug\">$term->name</a>";
		          	}
	           ?>
	        </div>
	      </div>
	  	  <?php } } ?> 
	    </div>
	<div class="row-spacer isotope-container-1">
	<?php 
		$i=0;
      	while ( $grid_query->have_posts() ) : $grid_query->the_post();
      	$i++;

      	if( $i == 2 ){
      		$class = "grid-item item-h2";
      		$thumb_size = 'daisy-thumb4';
      	} else if( $i == 4 ){
      		$class = "grid-item item-h2";
      		$thumb_size = 'daisy-thumb4';
      	} else if( $i == 6 ){
      		$class = "grid-item item-w2";
      		$thumb_size = 'daisy-thumb8';
      	} else {
      		$class = "grid-item";
      		$thumb_size = 'daisy-thumb1';
      	}
    ?>	
	  <div class="<?php echo esc_attr( $class ); ?> <?php echo Helper::get_portfolio_cat_slug(); ?>">
	    <div class="portfolio portfolio--style-1">
	    <?php if( has_post_thumbnail() ) : ?>
	      <div class="portfolio__img">
	        <?php the_post_thumbnail( $thumb_size ); ?>
	        <div class="portfolio__content">
	          <h3 class="portfolio__title">
	            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
	          </h3>
	          <p class="portfolio__desc"><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
	        </div>
	      </div>
	    <?php endif; ?>
	    </div>
	  </div>
	  <?php endwhile; wp_reset_postdata(); ?>
	</div>
</div>

<?php endif; ?>

<?php if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
  <script>jQuery('.isotope-container-1').isotope();</script>
<?php }

