<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );

$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query = null;
$args     = null;

if ( $query_type == 'cats' && !empty( $terms ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'tax_query' => array(
      array(
        'taxonomy' => $prefix.'_portfolio_category',
        'field' => 'id',
        'terms' => $terms
      )
    ),
  );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category',
    'post__in'       => $postbytitle
  );
} else {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category'
  );
}

if ( !empty( $terms ) ) {
  $terms = $terms;
} else {
  $terms = Helper::portfolio_categories_slug();
}

if ( !empty( $terms ) &&  $filter_enable == true ) {
  $isotope = 'isotope-wrap';
} else {
  $isotope = 'portfolio-grid';
}

if ( !empty( $numbering ) ) {
  $number = 'sl-number';
} else {
  $number = '';
}

if ( $gutters == false ) {
  $gutters = 'g-0';
} else {
  $gutters = 'gutter-enable';
}
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) :


?>

<div class="project-section project-section--style-1 pb-0 position-relative overflow-hidden rt-slide-wrap">
  <div class="row align-items-center">
    <div class="col-12">
      <div class="section-title-wrapper section-title-wrapper--style-1">
        <div class="section-headingTwo section-headingTwo--style-3">
          <?php if( !empty( $data['sub_title'] ) ) : ?>
          <span class="section-headingTwo__sub-title">
            <?php echo wp_kses_post( $data['sub_title'] ); ?>
          <span class="section-headingTwo__sub-title__bar"></span>
          </span>
          <?php endif; if( !empty( $data['title'] ) ) : ?>
          <h2 class="section-headingTwo__title"><?php echo wp_kses_post( $data['title'] ); ?></h2>
          <?php endif; ?>
        </div>
        <?php if( $data['slider_arrow'] == 'yes' ) : ?>
        <div class="slider-nav slider-nav--style-2 d-none d-lg-block">
          <span class="slider-btn btn-prev"><i class="fas fa-chevron-left"></i></span>
          <span class="slider-btn btn-next"><i class="fas fa-chevron-right "></i></span>
        </div>
        <?php endif; ?>
      </div>
    </div>
  </div>
  <div class="project-slider-wrapper project-slider-wrapper--style-1">
    <div class="rt-slider-style-4 swiper">
      <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
        <?php 
            $i = $data['delay']; 
            $j = $data['duration']; 
            while ( $grid_query->have_posts() ) : $grid_query->the_post();
        ?>
        <div class="swiper-slide">
          <div class="single-item <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $i );?>ms" data-wow-duration="<?php echo esc_attr( $j );?>ms">
            <div class="project project--style-1">
              <?php if( has_post_thumbnail() ) : ?>
              <div class="project__img">
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( "daisy-thumb6" ); ?></a>
                <div class="project__content">
                  <h3 class="project__title">
                    <span class="anim-overflow-1">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </span>
                  </h3>
                  <p>
                    <span class="anim-overflow-2">
                        <?php echo Helper::daisy_excerpt( $excerpt ); ?>
                    </span>
                  </p>
                </div>
              </div>
              <?php endif; ?>
            </div>
          </div>
        </div>
        <?php $i = $i+200; endwhile; wp_reset_postdata(); ?>
      </div>
    </div>
  </div>
</div>
<?php endif; ?>