<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );

$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query = null;
$args     = null;

if ( $query_type == 'cats' && !empty( $terms ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'tax_query' => array(
      array(
        'taxonomy' => $prefix.'_portfolio_category',
        'field' => 'id',
        'terms' => $terms
      )
    ),
  );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category',
    'post__in'       => $postbytitle
  );
} else {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category'
  );
}

if ( !empty( $terms ) ) {
  $terms = $terms;
} else {
  $terms = Helper::portfolio_categories_slug();
}

if ( !empty( $terms ) &&  $filter_enable == true ) {
  $isotope = 'isotope-wrap';
} else {
  $isotope = 'portfolio-grid';
}

if ( !empty( $numbering ) ) {
  $number = 'sl-number';
} else {
  $number = '';
}

if ( $gutters == false ) {
  $gutters = 'g-0';
} else {
  $gutters = 'gutter-enable';
}
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) :


?>

<div class="rt-slider-wrapper rt-slider-wrapper--style-2 project-slider-wrapper project-slider-wrapper--style-2 clearfix">
  <div class="swiper rt-thumbnail-slider-style-2 gallery-thumb-2">
    <div class="swiper-wrapper">
      <?php 
          while ( $grid_query->have_posts() ) : $grid_query->the_post();
      ?>
      <?php if( has_post_thumbnail() ) : ?>
      <div class="swiper-slide">
        <div class="project-over-img project-over-img--style-1">
          <?php the_post_thumbnail( 'full'); ?>
        </div>
      </div>
      <?php endif; ?>
      <?php endwhile; wp_reset_postdata(); ?>
    </div>
    <div class="swiper-pagination swiper-pagination-agency"></div>
  </div>
  <div class="swiper rt-thumbnail-slider-thumb-style-2">
    <div class="swiper-wrapper">
      <?php 
          while ( $grid_query->have_posts() ) : $grid_query->the_post();
      ?>
      <div class="swiper-slide">
        <div class="project-over-box project-over-box--style-1">
          <h4 class="project-over-box__title"><?php the_title(); ?></h4>
          <p><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
        </div>
      </div>
       <?php endwhile; wp_reset_postdata(); ?>
    </div>
  </div>
</div>
<?php endif; ?>