<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );

$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query = null;
$args     = null;

if ( $query_type == 'cats' && !empty( $terms ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'tax_query' => array(
      array(
        'taxonomy' => $prefix.'_portfolio_category',
        'field' => 'id',
        'terms' => $terms
      )
    ),
  );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category',
    'post__in'       => $postbytitle
  );
} else {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category'
  );
}

if ( !empty( $terms ) ) {
  $terms = $terms;
} else {
  $terms = Helper::portfolio_categories_slug();
}

if ( !empty( $terms ) &&  $filter_enable == true ) {
  $isotope = 'isotope-wrap';
} else {
  $isotope = 'portfolio-grid';
}

if ( !empty( $numbering ) ) {
  $number = 'sl-number';
} else {
  $number = '';
}

if ( $gutters == false ) {
  $gutters = 'g-0';
} else {
  $gutters = 'gutter-enable';
}
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) :


?>

<div class="rt-slider-wrapper rt-slider-wrapper--style-5">
  <div class="rt-slider-style-9 swiper">
    <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
      <?php 
          $i = $data['delay']; 
          $j = $data['duration']; 
          while ( $grid_query->have_posts() ) : $grid_query->the_post();
      ?>
      <div class="swiper-slide">
        <div class="single-item <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $i );?>ms" data-wow-duration="<?php echo esc_attr( $j );?>ms">
          <?php if( has_post_thumbnail() ) : ?>
          <div class="portfolio portfolio--style-2">
            <div class="portfolio__img">
              <?php the_post_thumbnail( 'daisy-thumb7'); ?>
              <div class="portfolio__content">
                <a href="<?php the_permalink(); ?>" class="portfolio__read-more">
                  <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
                    <g data-name="Group 1291" transform="translate(0.415 0.414)">
                      <rect data-name="Rectangle 547" width="3" height="24" transform="translate(10.585 -0.414)" fill="#fff" />
                      <rect data-name="Rectangle 548" width="24" height="3" transform="translate(-0.415 10.586)" fill="#fff" />
                    </g>
                  </svg>
                </a>
              </div>
            </div>
          </div>
          <?php endif; ?>
        </div>
      </div>
      <?php $i = $i+250; endwhile; wp_reset_postdata(); ?>
    </div>
    <?php if( $data['slider_arrow'] == 'yes' ) : ?>
    <div class="navigation-box-3">
      <span class="slider-btn btn-prev">
          <svg xmlns="http://www.w3.org/2000/svg" width="22" height="10" viewBox="0 0 22 10">
              <g data-name="Group 1300" transform="translate(-14 -20)">
                  <g data-name="Group 1298" transform="translate(14 20)">
                      <path id="Polygon_8" data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(0 10) rotate(-90)" fill="#fff" />
                      <rect id="Rectangle_240" data-name="Rectangle 240" width="15" height="2" transform="translate(7 4)" fill="#fff" />
                  </g>
              </g>
          </svg>
      </span>
      <span class="slider-btn btn-next">
          <svg xmlns="http://www.w3.org/2000/svg" width="22" height="10" viewBox="0 0 22 10">
              <g data-name="Group 1299" transform="translate(-1804 -4110)">
                  <g data-name="Group 1298" transform="translate(1438.156 3368.206)">
                      <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(387.844 741.794) rotate(90)" fill="#fff" />
                      <rect data-name="Rectangle 240" width="15" height="2" transform="translate(365.844 745.794)" fill="#fff" />
                  </g>
              </g>
          </svg>
      </span>
    </div>
    <?php endif; ?>
  </div>
</div>
<?php endif; ?>