<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );

$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query = null;
$args     = null;

if ( $query_type == 'cats' && !empty( $terms ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'tax_query' => array(
      array(
        'taxonomy' => $prefix.'_portfolio_category',
        'field' => 'id',
        'terms' => $terms
      )
    ),
  );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category',
    'post__in'       => $postbytitle
  );
} else {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category'
  );
}

if ( !empty( $terms ) ) {
  $terms = $terms;
} else {
  $terms = Helper::portfolio_categories_slug();
}

if ( !empty( $terms ) &&  $filter_enable == true ) {
  $isotope = 'isotope-wrap';
} else {
  $isotope = 'portfolio-grid';
}

if ( !empty( $numbering ) ) {
  $number = 'sl-number';
} else {
  $number = '';
}

if ( $gutters == false ) {
  $gutters = 'g-0';
} else {
  $gutters = 'gutter-enable';
}
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) :


?>


<div class="rt-slider-wrapper pb-30">
  <div class="bannerSliderActive bannerSliderActive--style2 swiper">
    <div class="swiper-wrapper">
      <?php 
          $i = $data['delay']; 
          $j = $data['duration']; 
          while ( $grid_query->have_posts() ) : $grid_query->the_post();
      ?>
      <div class="swiper-slide">
        <div class="single-item <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $i );?>ms" data-wow-duration="<?php echo esc_attr( $j );?>ms">
          <div class="portfolio portfolio--style-3 portfolio--style-4">
            <div class="portfolio__box mb-24">
              <?php if( has_post_thumbnail() ) : ?>
              <figure class="portfolio__figure m-0">
                <?php the_post_thumbnail( "daisy-thumb8" ); ?>
                <figcaption class="portfolio__content">
                  <h3 class="portfolio__title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                  <p class="portfolio__text"><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
                  <a class="portfolio__link" href="<?php the_permalink(); ?>">
                    <svg width="30.803" height="16.896" viewBox="0 0 30.803 16.896">
                      <path d="M22.355,107.5l-1.372,1.372,6.106,6.106H0v1.941H27.089l-6.106,6.106,1.372,1.372,8.448-8.448Z" transform="translate(0 -107.5)" fill="#fff" />
                    </svg>
                  </a>
                </figcaption>
              </figure>
              <?php endif; ?>
            </div>
          </div>
        </div>
      </div>
      <?php $i = $i+200; endwhile; wp_reset_postdata(); ?>
    </div>
  </div>
  <div class="swiper-pagination swiper-pagination-agency bottom-0"></div>
</div>

<?php endif; ?>