<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );

$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query = null;
$args     = null;

if ( $query_type == 'cats' && !empty( $terms ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'tax_query' => array(
      array(
        'taxonomy' => $prefix.'_portfolio_category',
        'field' => 'id',
        'terms' => $terms
      )
    ),
  );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category',
    'post__in'       => $postbytitle
  );
} else {
  $args = array(
    'post_type'      => $prefix.'_portfolio',
    'post_status'    => 'publish',
    'posts_per_page' => $number,
    'orderby'        => $orderby,
    'taxonomy'       => $prefix.'_portfolio_category'
  );
}

if ( !empty( $terms ) ) {
  $terms = $terms;
} else {
  $terms = Helper::portfolio_categories_slug();
}

if ( !empty( $terms ) &&  $filter_enable == true ) {
  $isotope = 'isotope-wrap';
} else {
  $isotope = 'portfolio-grid';
}

if ( !empty( $numbering ) ) {
  $number = 'sl-number';
} else {
  $number = '';
}

if ( $gutters == false ) {
  $gutters = 'g-0';
} else {
  $gutters = 'gutter-enable';
}
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) :


?>

<div class="portfolio">
  <div class="row align-items-center">
    <div class="col-lg-12">
    	<?php
	  if ( $filter_enable == true ) {
	      $filters = get_terms( array(
	      'taxonomy' => $prefix.'_portfolio_category',
	      'include'  => $terms,
	      'hide_empty'  => false,
	      'orderby'  => 'include',
      ) );
  	?>
  	<?php if ( !empty( $terms ) ) { ?>
      <div class="portfolio__menu mb-60">
        <button class="active" data-filter="*"><?php esc_html_e( 'All', 'daisy-core' ); ?></button>
         <?php 
    		foreach ( $filters as $key => $term ) { 
          		echo "<button data-filter=\".$term->slug\">$term->name</button>";
          	}
        ?>
      </div>
      <?php } } ?> 
    </div>
  </div>
  <div class="row grid portfolio-masonry <?php echo esc_attr( $gutters ); ?>">
    <?php 
    	while ( $grid_query->have_posts() ) : $grid_query->the_post();
    ?>
    <div class="col-lg-<?php echo esc_attr( $cols ); ?> col-sm-6 grid-item mb-24 <?php echo Helper::get_portfolio_cat_slug(); ?>">
      <div class="portfolio portfolio--style-5 portfolio--style-6 portfolio--style-6">
        <div class="portfolio__box">
        	<?php if( has_post_thumbnail() ) : ?>
          <figure class="portfolio__figure m-0">
            <?php the_post_thumbnail( 'daisy-thumb5' ); ?>
            <figcaption class="portfolio__content">
              <h3 class="portfolio__title"><a class="text-white" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
              <p class="portfolio__text text-white"><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
            </figcaption>
          </figure>
      	<?php endif; ?>
        </div>
      </div>
    </div>
    <?php endwhile; wp_reset_postdata(); ?>
  </div>
</div>

<?php endif; ?>

<?php if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
  <script>jQuery('.portfolio-masonry').isotope();</script>
<?php }

