<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );

$grid_query= null;
$args = array(
  'post_type'      => 'post',
  'post_status'    => 'publish',
  'posts_per_page' => $data['itemlimit'],
);

$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) :

?>

<div class="blog-section blog-section--style-4 rt-slide-wrap">
  <div class="row align-items-center justify-content-between">
    <div class="col-12">
      <div class="section-title-wrapper section-title-wrapper--style-3">
        <div class="section-headingFour section-headingFour--style-1 mb-0 ">
          <?php if( !empty( $data['sub_title'] ) ) : ?>
          <span class="section-headingFour__sub-title"><?php echo wp_kses_post( $data['sub_title'] ); ?></span>
          <?php endif; if( !empty( $data['title'] ) ) : ?>
          <h2 class="section-headingFour__title"><?php echo wp_kses_post( $data['title'] ); ?></h2>
          <?php endif; ?>
        </div>
        <?php if( $slider_arrow == 'yes' ) : ?>
        <div class="btn-wrap">
          <div class="slider-nav slider-nav--style-3 modify-one d-none d-lg-flex">
            <span class="slider-btn btn-prev"><i class="fas fa-chevron-left"></i></span>
            <span class="slider-btn btn-next"><i class="fas fa-chevron-right "></i></span>
          </div>
        </div>
        <?php endif; ?>
      </div>
    </div>
  </div>
  <div></div>
  <div class="rt-slider-wrapper rt-slider-wrapper--style-5">
    <div class="rt-slider-style-11 swiper">
      <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
        <?php
          $i = $data['delay']; 
          $j = $data['duration']; 
          while ( $grid_query->have_posts() ) : $grid_query->the_post();
          $content = wp_trim_words( get_the_excerpt(), $data['count'], '' );
          $title   = wp_trim_words( get_the_title(), $data['title_count'], '' );
          $content = "<p class='blog__desc'>$content</p>"; 
        ?>
        <div class="swiper-slide">
          <div class="single-item <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $i );?>ms" data-wow-duration="<?php echo esc_attr( $j );?>ms">
            <div class="blog blog--style-4">
              <?php if ( has_post_thumbnail() ) : ?>
              <div class="blog__img">
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'daisy-thumb3' ); ?></a>
                <?php if( $data['date_display'] == 'yes' ) : ?>
                <div class="blog__date">
                  <span class="date">
                    <span><?php echo get_the_date( 'j M'); ?></span>
                    <span><?php echo get_the_date( 'Y'); ?></span>
                  </span>
                </div>
                <?php endif; ?>
              </div>
              <?php endif; ?>
              <div class="blog__content">
                <?php if( $data['category_display'] == 'yes' ) : ?>
                <div class="blog__tag"><span><?php the_category( ', ' ); ?></span></div>
              <?php endif; ?>
                <h3 class="blog__title"><a href="<?php the_permalink(); ?>"><?php echo esc_html( $title );?></a></h3>
                <?php if( $data['content_display'] == 'yes' ) : ?>
                  <?php echo wp_kses_post( $content );?>
                <?php endif; ?>
                <?php if( $read_display == 'yes' ) : ?>
                <div class="blog__btn-wrap">
                  <a href="<?php the_permalink(); ?>" class="rt-btn--12">
                   <?php echo esc_html( $buttontext );?>
                    <div class="icon--4">
                      <svg xmlns="http://www.w3.org/2000/svg" width="37" height="10" viewBox="0 0 37 10">
                        <g data-name="Group 780" transform="translate(-352 -742)">
                          <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)"></path>
                          <rect data-name="Rectangle 240" width="29" height="2" transform="translate(352 746)"></rect>
                        </g>
                      </svg>
                    </div>
                  </a>
                </div>
                <?php endif; ?>
              </div>
            </div>
          </div>
        </div>
        <?php $i = $i+200; endwhile; wp_reset_postdata(); ?>
      </div>
    </div>
  </div>
</div>
<?php endif; ?>


