<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );

$grid_query= null;
$args = array(
  'post_type'      => 'post',
  'post_status'    => 'publish',
  'posts_per_page' => $data['itemlimit'],
);

$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) :

$col_class = "col-xl-{$data['col_xl']} col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col']}"; 

?>

<div class="row g-4 justify-content-center">
  <?php
    $i = $data['delay']; 
    $j = $data['duration'];  
    while ( $grid_query->have_posts() ) : $grid_query->the_post();
    $content = wp_trim_words( get_the_excerpt(), $data['count'], '' );
    $title   = wp_trim_words( get_the_title(), $data['title_count'], '' );
    $content = "<p class='blog__desc'>$content</p>"; 
  ?>
  <div class="<?php echo esc_attr( $col_class );?> <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $i );?>ms" data-wow-duration="<?php echo esc_attr( $j );?>ms">
    <div class="blog blog--style-4">
      <?php if ( has_post_thumbnail() ) : ?>
      <div class="blog__img">
        <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'daisy-thumb3' ); ?></a>
        <div class="blog__date">
          <span class="date">
            <span><?php echo get_the_date( 'j M' ); ?></span>
            <span><?php echo get_the_date( 'Y' ); ?></span>
          </span>
        </div>
      </div>
      <?php endif; ?>
      <div class="blog__content">
        <?php if( $data['category_display'] == 'yes' ) : ?>
        <div class="blog__tag">
          <span><?php the_category( ', ' ); ?></span>
        </div>
        <?php endif; ?>
        <h3 class="blog__title">
          <a href="<?php the_permalink(); ?>"><?php echo esc_html( $title ); ?></a>
        </h3>
        <?php if( $data['content_display'] == 'yes' ) : ?>
          <?php echo wp_kses_post( $content );?>
        <?php endif; ?>
        <?php if( $read_display == 'yes' ) : ?>
        <div class="blog__btn-wrap">
          <a href="<?php the_permalink(); ?>" class="rt-btn--12">
            <?php echo esc_html( $buttontext );?>
            <div class="icon--4">
              <svg xmlns="http://www.w3.org/2000/svg" width="37" height="10" viewBox="0 0 37 10">
                <g data-name="Group 780" transform="translate(-352 -742)">
                  <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)"></path>
                  <rect data-name="Rectangle 240" width="29" height="2" transform="translate(352 746)"></rect>
                </g>
              </svg>
            </div>
          </a>
        </div>
        <?php endif; ?>
      </div>
    </div>
  </div>
  <?php $i = $i+200; endwhile; wp_reset_postdata(); ?>
</div>
<?php endif; ?>
