<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;

extract( $data );

$attr = '';
if ( !empty( $data['buttonurl']['url'] ) ) {
    $attr  = 'href="' . $data['buttonurl']['url'] . '"';
    $attr .= !empty( $data['buttonurl']['is_external'] ) ? ' target="_blank"' : '';
    $attr .= !empty( $data['buttonurl']['nofollow'] ) ? ' rel="nofollow"' : '';  
}

$active_class = "";
if( $offer_active == 'offer-active' ){
  $active_class = "pricing--style-2--active";
}

?>

<div class="pricing pricing--style-2 <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?> <?php echo esc_attr( $active_class ); ?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
  <?php if ( $showhide == 'yes' ) { ?>
  <ul class="shape-list">
    <li>
      <span>
        <svg xmlns="http://www.w3.org/2000/svg" width="25.863" height="60.996" viewBox="0 0 25.863 60.996">
          <path data-name="Intersection 34" d="M0,0,24.431,36.428a8.429,8.429,0,0,1-2.995,12.087L0,61Z" transform="translate(25.863 60.996) rotate(180)" fill="#191b1c" />
        </svg>
      </span>
    </li>
    <li>
      <span>
        <svg xmlns="http://www.w3.org/2000/svg" width="25.863" height="60.996" viewBox="0 0 25.863 60.996">
          <path data-name="Intersection 35" d="M0,0,24.431,36.429a8.429,8.429,0,0,1-2.995,12.087L0,61Z" fill="#191b1c" />
        </svg>
      </span>
    </li>
  </ul>
  <?php } ?>
  <div class="pricing__content">
    <?php if( !empty( $title ) ) : ?>
    <h3 class="pricing__title"><?php echo esc_html( $title ); ?></h3>
    <?php endif; ?>
    <div class="pricing__price-heading">
      <?php if( !empty( $price ) ) : ?>
      <div class="price-box price-box-show">
        <span class="pricing__price"><?php echo esc_html( $price ); ?></span><span class="pack-duration">/ <?php echo esc_html( $period ); ?></span>
      </div>
      <?php endif; if( !empty( $price2 ) ) : ?>
      <div class="price-box price-box-hide">
        <span class="pricing__price"><?php echo esc_html( $price2 ); ?></span><span class="pack-duration">/ <?php echo esc_html( $period2 ); ?></span>
      </div>
      <?php endif; ?>
    </div>
    <ul class="pricing__feature-list">
      <?php foreach ( $data['price_list'] as $value ) { 
          $final_icon_class       = "fas fa-check icon";
          $final_icon_image_url   = '';
          $icon = $value['icon'];
          if ( is_string( $icon['value'] ) && $dynamic_icon_class =  $icon['value']  ) {
            $final_icon_class     = $dynamic_icon_class;
          }
          if ( is_array( $icon['value'] ) && !empty($icon['value']['url']) ) {
            $final_icon_image_url = $value['icon']['url'];
          }
      ?>
      <li>
        <?php if ( $final_icon_image_url ): ?>
        <span class="svg-img"><img src="<?php echo esc_url( $final_icon_image_url ); ?>" alt="<?php esc_attr_e( 'SVG Icon', 'daisy-core' ); ?>"></span>
        <?php else: ?>
            <i class="<?php  echo esc_attr( $final_icon_class ); ?> icon"></i>
        <?php endif; ?>
        <?php echo esc_html( $value['list'] ); ?>
      </li>
      <?php } ?>
    </ul>
  </div>
  <?php if( !empty( $buttontext ) ) : ?>
  <div class="pricing__footer">
    <a <?php echo $attr; ?> class="rt-btn--7 price-btn-2"><?php echo esc_html( $buttontext ); ?>
      <div class="icon--4">
        <svg xmlns="http://www.w3.org/2000/svg" width="30" height="10" viewBox="0 0 30 10">
          <g data-name="Group 852" transform="translate(-359 -742)">
            <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)" fill="#0f285f" />
            <rect data-name="Rectangle 240" width="22" height="2" transform="translate(359 746)" fill="#0f285f" />
          </g>
        </svg>
      </div>
    </a>
  </div>
  <?php endif; ?>
</div>


