<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;

extract( $data );

$attr = '';
if ( !empty( $data['buttonurl']['url'] ) ) {
    $attr  = 'href="' . $data['buttonurl']['url'] . '"';
    $attr .= !empty( $data['buttonurl']['is_external'] ) ? ' target="_blank"' : '';
    $attr .= !empty( $data['buttonurl']['nofollow'] ) ? ' rel="nofollow"' : '';  
}

$img = wp_get_attachment_image_src( $image['id'], 'full' );

?>

<div class="pricing-section pricing-section__fliper <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
  <div class="pricing-section__card">
    <div class="front">
      <div class="pricing pricing--style-2 pricing--style-3">
        <div class="pricing__content">
          <?php if( !empty( $title ) ) : ?>
          <h3 class="pricing__title pricing__title--1"><?php echo esc_html( $title ); ?></h3>
          <?php endif; ?>
          <?php if( !empty( $price ) ) : ?>
          <div class="pricing__price-heading">
            <div class="price-box price-box-show">
              <span class="pricing__price"><?php echo esc_html( $price ); ?></span><span class="pack-duration">/ <?php echo esc_html( $period ); ?></span>
            </div>
          </div>
          <?php endif; ?>
          <?php if( !empty( $desc ) ) : ?>
          <div class="pricing__desc text-center">
            <p><?php echo esc_html( $desc ); ?></p>
          </div>
          <?php endif; ?>
          <ul class="pricing__feature-list">
            <?php foreach ( $data['price_list'] as $value ) { 
                $final_icon_class       = "fas fa-check icon";
                $final_icon_image_url   = '';
                $icon = $value['icon'];
                if ( is_string( $icon['value'] ) && $dynamic_icon_class =  $icon['value']  ) {
                  $final_icon_class     = $dynamic_icon_class;
                }
                if ( is_array( $icon['value'] ) && !empty($icon['value']['url']) ) {
                  $final_icon_image_url = $value['icon']['url'];
                }
            ?>
            <li>
              <?php if ( $final_icon_image_url ): ?>
              <span class="svg-img"><img src="<?php echo esc_url( $final_icon_image_url ); ?>" alt="<?php esc_attr_e( 'SVG Icon', 'daisy-core' ); ?>"></span>
              <?php else: ?>
                  <i class="<?php  echo esc_attr( $final_icon_class ); ?> icon"></i>
              <?php endif; ?>
              <?php echo esc_html( $value['list'] ); ?>
            </li>
            <?php } ?>
          </ul>
        </div>
        <div class="pricing__footer">
          <?php if( !empty( $buttontext ) ) : ?>
          <a <?php echo $attr; ?> class="rt-btn--7 price-btn-2"><?php echo esc_html( $buttontext ); ?>
            <div class="icon--4">
              <svg xmlns="http://www.w3.org/2000/svg" width="30" height="10" viewBox="0 0 30 10">
                <g data-name="Group 852" transform="translate(-359 -742)">
                  <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)" fill="#0f285f" />
                  <rect data-name="Rectangle 240" width="22" height="2" transform="translate(359 746)" fill="#0f285f" />
                </g>
              </svg>
            </div>
          </a>
          <?php endif; ?>
        </div>
      </div>
    </div>
    <div class="back">
      <div class="pricing pricing--style-2 pricing--style-3" data-bg-image="<?php echo esc_attr( $img[0] ); ?>">
        <?php if( !empty( $title ) ) : ?>
        <div class="pricing__content">
          <h3 class="pricing__title pricing__title--1"><?php echo esc_html( $title ); ?></h3>
        </div>
        <?php endif; ?>
        <?php if( !empty( $price ) ) : ?>
        <div class="price-box price-box-show">
          <span class="pricing__price"><?php echo esc_html( $price ); ?></span><span class="pack-duration">/ <?php echo esc_html( $period ); ?></span>
        </div>
        <?php endif; ?>
        <div class="pricing__footer">
          <a <?php echo $attr; ?> class="price-btn-3">
            <svg width="14.172" height="22.896" viewBox="0 0 14.172 22.896">
              <path data-name="Path 5660" d="M22499.422-18428.525l9.93,10.154-9.93,9.93" transform="translate(-22497.992 18429.924)" fill="none" stroke="#ff3147" stroke-width="4" />
            </svg>
          </a>
        </div>
      </div>
    </div>
  </div>
</div>



