<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/about-box/class.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;

use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;


if ( ! defined( 'ABSPATH' ) ) exit;

class Pricing_Tab extends Custom_Widget_Base {

	public function __construct( $data = [], $args = null ){
		$this->rt_name = __( 'Pricing Tab', 'daisy-core' );
		$this->rt_base = 'rt-process';
		parent::__construct( $data, $args );
	}

	public function rt_fields(){
		$fields = array(
			array(
				'id'      => 'sec_general',
				'mode'    => 'section_start',
				'label'   => __( 'General', 'daisy-core' ),
			),
			// Monthly
			array(
				'id'      => 'monthly_heading',
				'type' => Controls_Manager::HEADING,
				'label'   => __( 'Monthly', 'daisy-core' ),
				'separator' => 'before',
			),
			array(
				'id'      => 'monthly_label',
				'type'    => Controls_Manager::TEXT,
				'label'   => esc_html__( 'Label', 'daisy-core' ),
				'default' => 'MONTHLY',
				'label_block' => true,
			),      
			// Yearly 
			array(
				'id'      => 'yearly_heading',
				'type' => Controls_Manager::HEADING,
				'label'   => __( 'Yearly', 'daisy-core' ),
				'separator' => 'before',
			),
			array(
				'id'      => 'yearly_label',
				'type'    => Controls_Manager::TEXT,
				'label'   => esc_html__( 'Label', 'daisy-core' ),
				'default' => 'YEARLY',
				'label_block' => true,
			),
			array(
				'mode' => 'section_end',
			),
		);
		return $fields;
	}

	protected function render() {
		$data = $this->get_settings();

		$template = 'view';

		return $this->rt_template( $template, $data );
	}
}