<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/services/view-1.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;

extract( $data );
$prefix = DAISY_CORE_THEME_PREFIX;

$excerpt = $data['excerpt'];

$grid_query= null;
if ( $query_type == 'cats' && !empty( $postbycats ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'tax_query' => array(
            array(
                'taxonomy' => $prefix.'_service_category',
                'field' => 'id',
                'terms' => $postbycats
            )
        ),
    );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'taxonomy'       => $prefix.'_service_category',
        'post__in'       => $postbytitle
    );
} else {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'offset'         => $offset,
        'taxonomy'       => $prefix.'_service_category'
    );
}


$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ): 

?>

<div class="service-section-style-2 rt-slide-wrap">
  <?php if( $slider_arrow == 'yes' ) : ?>
  <div class="row align-items-center">
    <div class="col-12">
      <div class="slider-nav slider-nav--style-1">
        <span class="slider-btn btn-prev"><i class="fas fa-chevron-left"></i></span>
        <span class="slider-btn btn-next"><i class="fas fa-chevron-right "></i></span>
      </div>
    </div>
  </div>
  <?php endif; ?>
  <div class="rt-slider-style-3 swiper">
    <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
      <?php
        $i = $data['delay']; 
        $j = $data['duration']; 
        while ( $grid_query->have_posts() ) : $grid_query->the_post(); 

        $icon_type  = get_post_meta( get_the_ID(), "{$prefix}_service_icon_type", true );
        $icon       = get_post_meta( get_the_ID(), "{$prefix}_service_icon", true );
        $image_id   = get_post_meta( get_the_ID(), "{$prefix}_service_iconimg", true );
        $icon_image = wp_get_attachment_image( $image_id, 'full' );
      ?>
      <div class="swiper-slide">
        <div class="single-item <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $i );?>ms" data-wow-duration="<?php echo esc_attr( $j );?>ms">
          <div class="service service--style-2">
            <?php if( $icon_type == 'image' ) { ?>
            <div class="service__icon">
              <?php echo wp_kses_post( $icon_image ); ?>
            </div>
            <?php }else{ ?>
            <div class="service__icon">
              <i class="<?php echo esc_attr( $icon ); ?>"></i>
            </div>
            <?php } ?>
            <div class="service__content">
              <h3 class="service__title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
              <p><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
            </div>
            <div class="service__btn-wrap">
              <a href="<?php the_permalink(); ?>" class="rt-btn--8">
                <?php echo esc_html( $buttontext );?>
                <div class="icon--4">
                  <svg xmlns="http://www.w3.org/2000/svg" width="10" height="12" viewBox="0 0 10 12">
                    <path data-name="Polygon 8" d="M6,0l6,10H0Z" transform="translate(10) rotate(90)" fill="#fff" />
                  </svg>
                </div>
              </a>
            </div>
          </div>
        </div>
      </div>
      <?php $i = $i+200; endwhile; wp_reset_postdata(); ?>
    </div>
  </div>
</div>
<?php endif; ?>


