<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/services/view-1.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;

extract( $data );
$prefix = DAISY_CORE_THEME_PREFIX;

$excerpt = $data['excerpt'];

$grid_query= null;
if ( $query_type == 'cats' && !empty( $postbycats ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'tax_query' => array(
            array(
                'taxonomy' => $prefix.'_service_category',
                'field' => 'id',
                'terms' => $postbycats
            )
        ),
    );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'taxonomy'       => $prefix.'_service_category',
        'post__in'       => $postbytitle
    );
} else {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'offset'         => $offset,
        'taxonomy'       => $prefix.'_service_category'
    );
}


$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ): 

?>

<div class="mr--100-wrapper rt-slider-wrapper rt-slider-wrapper--style-3 rt-slide-wrap">
  <div class="rt-slider-style-8 swiper">
    <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
      <?php
        $i = $data['delay']; 
        $j = $data['duration']; 
        while ( $grid_query->have_posts() ) : $grid_query->the_post(); 

        $icon_type  = get_post_meta( get_the_ID(), "{$prefix}_service_icon_type", true );
        $icon       = get_post_meta( get_the_ID(), "{$prefix}_service_icon", true );
        $image_id   = get_post_meta( get_the_ID(), "{$prefix}_service_iconimg", true );
        $icon_image = wp_get_attachment_image( $image_id, 'full' );
      ?>
      <div class="swiper-slide">
        <div class="single-item <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $i );?>ms" data-wow-duration="<?php echo esc_attr( $j );?>ms">
          <div class="service service--style-4">
            <?php if( has_post_thumbnail() ) : ?>
            <div class="service__img">
              <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'daisy-thumb3' ); ?></a>
            </div>
            <?php endif; ?>
            <div class="service__content">
              <div class="service__inner">
                <?php if( $icon_type == 'image' ) { ?>
                <div class="service__icon">
                  <?php echo wp_kses_post( $icon_image ); ?>
                </div>
                <?php }else{ ?>
                <div class="service__icon">
                  <i class="<?php echo esc_attr( $icon ); ?>"></i>
                </div>
                <?php } ?>
                <h3 class="service__title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <p><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
                <div class="service__btn-wrap">
                  <a href="<?php the_permalink(); ?>" class="rt-btn--12">
                    <?php echo esc_html( $buttontext );?>
                    <div class="icon--4">
                      <svg xmlns="http://www.w3.org/2000/svg" width="37" height="10" viewBox="0 0 37 10">
                        <g data-name="Group 780" transform="translate(-352 -742)">
                          <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)" />
                          <rect data-name="Rectangle 240" width="29" height="2" transform="translate(352 746)" />
                        </g>
                      </svg>
                    </div>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <?php $i = $i+200; endwhile; wp_reset_postdata(); ?>
    </div>
  </div>
  <?php if( $slider_dots == 'yes' ) : ?>
  <div class="swiper-pagination swiper-pagination-agency2"></div>
  <?php endif; ?>
</div>
<?php endif; ?>
