<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/services/view-1.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;

extract( $data );
$prefix = DAISY_CORE_THEME_PREFIX;

$excerpt = $data['excerpt'];

$grid_query= null;
if ( $query_type == 'cats' && !empty( $postbycats ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'tax_query' => array(
            array(
                'taxonomy' => $prefix.'_service_category',
                'field' => 'id',
                'terms' => $postbycats
            )
        ),
    );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'taxonomy'       => $prefix.'_service_category',
        'post__in'       => $postbytitle
    );
} else {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'offset'         => $offset,
        'taxonomy'       => $prefix.'_service_category'
    );
}

$col_class = "col-xl-{$data['col_xl']} col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col']}"; 

$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ): 

?>

<div class="row gutter-24">
  <?php
    $i = $data['delay']; 
    $j = $data['duration']; 
    while ( $grid_query->have_posts() ) : $grid_query->the_post(); 
    $icon_type  = get_post_meta( get_the_ID(), "{$prefix}_service_icon_type", true );
    $icon       = get_post_meta( get_the_ID(), "{$prefix}_service_icon", true );
    $image_id   = get_post_meta( get_the_ID(), "{$prefix}_service_iconimg", true );
    $icon_image = wp_get_attachment_image( $image_id, 'full' );
  ?>
  <div class="<?php echo esc_attr( $col_class );?> <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $i );?>ms" data-wow-duration="<?php echo esc_attr( $j );?>ms">
    <div class="service service--style-1">
      <?php if( $shape == 'yes' ) : ?>
      <span class="service__shape">
        <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="52" height="39" viewBox="0 0 52 39">
            <defs><clipPath><rect width="52" height="39" fill="none" /></clipPath></defs>
            <g  data-name="Repeat Grid 4">
                <g transform="translate(-2134 152)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2119 152)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2104 152)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2089 152)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2134 167)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2119 167)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2104 167)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2089 167)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2134 182)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2119 182)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2104 182)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
                <g transform="translate(-2089 182)"><circle data-name="Ellipse 11" cx="1.5" cy="1.5" r="1.5" transform="translate(2134 -152)" fill="#f85c70" /></g>
            </g>
        </svg>
      </span>
      <?php endif; ?>
      <div class="service__icon">
        <?php if( $icon_type == 'image' ) { ?>
            <?php echo wp_kses_post( $icon_image ); ?>
        <?php }else{ ?>
          <i class="<?php echo esc_attr( $icon ); ?>"></i>
        <?php } ?>
      </div>
      <div class="service__content">
        <h3 class="service__title">
          <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
        </h3>
        <p><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
      </div>
    </div>
  </div>
  <?php $i = $i+200; endwhile; wp_reset_postdata(); ?>
</div>

<?php endif; ?>


