<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/services/view-1.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;

extract( $data );
$prefix = DAISY_CORE_THEME_PREFIX;

$excerpt = $data['excerpt'];

$grid_query= null;
if ( $query_type == 'cats' && !empty( $postbycats ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'tax_query' => array(
            array(
                'taxonomy' => $prefix.'_service_category',
                'field' => 'id',
                'terms' => $postbycats
            )
        ),
    );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'taxonomy'       => $prefix.'_service_category',
        'post__in'       => $postbytitle
    );
} else {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'offset'         => $offset,
        'taxonomy'       => $prefix.'_service_category'
    );
}

$col_class = "col-xl-{$data['col_xl']} col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col']}";
 
$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ): 

?>

<div class="row align-items-center">
  <?php
    $i = $data['delay']; 
    $j = $data['duration']; 
    while ( $grid_query->have_posts() ) : $grid_query->the_post(); 

    $icon_type  = get_post_meta( get_the_ID(), "{$prefix}_service_icon_type", true );
    $icon       = get_post_meta( get_the_ID(), "{$prefix}_service_icon", true );
    $image_id   = get_post_meta( get_the_ID(), "{$prefix}_service_iconimg", true );
    $icon_image = wp_get_attachment_image( $image_id, 'full' );
  ?>
  <div class="<?php echo esc_attr( $col_class );?> <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?> mb-24" data-wow-delay="<?php echo esc_attr( $i );?>ms" data-wow-duration="<?php echo esc_attr( $j );?>ms">
    <div class="why-choose why-choose--style-3 why-choose--style-4 why-choose--style-7">
      <div class="icon-wrap">
        <?php if( $icon_type == 'image' ) { ?>
        <div class="why-choose__icon">
          <?php echo wp_kses_post( $icon_image ); ?>
        </div>
        <?php }else{ ?>
        <div class="why-choose__icon">
          <i class="<?php echo esc_attr( $icon ); ?>"></i>
        </div>
        <?php } ?>
      </div>
      <div class="why-choose__content text-start">
        <h3 class="why-choose__title"><a class="text-white" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        <p class="text-white"><?php echo Helper::daisy_excerpt( $excerpt ); ?></p>
      </div>
    </div>
  </div>
  <?php $i = $i+200; endwhile; wp_reset_postdata(); ?>
</div>
<?php endif; ?>



