<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/services/view-1.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;

extract( $data );
$prefix = DAISY_CORE_THEME_PREFIX;

$excerpt = $data['excerpt'];

$grid_query= null;
if ( $query_type == 'cats' && !empty( $postbycats ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'tax_query' => array(
            array(
                'taxonomy' => $prefix.'_service_category',
                'field' => 'id',
                'terms' => $postbycats
            )
        ),
    );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'taxonomy'       => $prefix.'_service_category',
        'post__in'       => $postbytitle
    );
} else {
    $args = array(
        'post_type'      =>  $prefix.'_service',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'offset'         => $offset,
        'taxonomy'       => $prefix.'_service_category'
    );
}

$col_class = "col-xl-{$data['col_xl']} col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col']}"; 

$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ): 

?>

<div class="row">
  <div class="col-lg-12">
    <div class="service-details__topbar">
      <div class="serviceDetails-menu serviceDetails-menu--style2 mb-60">
        <ul class="serviceDetails-menu__list">
          <?php
            while ( $grid_query->have_posts() ) : $grid_query->the_post(); 

            $icon_type  = get_post_meta( get_the_ID(), "{$prefix}_service_icon_type", true );
            $icon       = get_post_meta( get_the_ID(), "{$prefix}_service_icon", true );
            $image_id   = get_post_meta( get_the_ID(), "{$prefix}_service_iconimg", true );
            $icon_image = wp_get_attachment_image( $image_id, 'full' );
          ?>
          <li class="serviceDetails-menu__item">
            <a href="<?php the_permalink(); ?>" class="serviceDetails-menu__link">
              <?php if( $icon_type == 'image' ) { ?>
              <span class="serviceDetails-menu__icon">
                <?php echo wp_kses_post( $icon_image ); ?>
              </span>
              <?php }else{ ?>
              <span class="serviceDetails-menu__icon">
                <i class="<?php echo esc_attr( $icon ); ?>"></i>
              </span>
              <?php } ?>
              <span class="serviceDetails-menu__text"><?php the_title(); ?></span>
              <svg class="serviceDetails-menu__arrow" width="22" height="10" viewBox="0 0 22 10">
                <g data-name="Group 565" transform="translate(-367 -742)">
                  <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)" fill="#6b6b6b" />
                  <rect data-name="Rectangle 240" width="14" height="2" transform="translate(367 746)" fill="#6b6b6b" />
                </g>
              </svg>
            </a>
          </li>
          <?php endwhile; wp_reset_postdata(); ?>
        </ul>
      </div>
    </div>
  </div>
</div>
<?php endif; ?>



