<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/hero-slider/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Bizcon_Core;
extract( $data );

?>

<section class="banner banner--style-2 position-relative overflow-hidden rt-slide-wrap">
  <div class="rt-slider-style-2 swiper">
    <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
      <?php 
        foreach ( $data['slider1'] as $value ) {
        $img = wp_get_attachment_image_src( $value['picture']['id'],'full' ); 
      ?>
      <div class="swiper-slide">
        <div class="banner-slide-item banner-slide-item--style-1">
          <div class="banner-img banner-img--style-2 d-none d-lg-block" data-bg-image="<?php echo esc_attr( $img[0] ); ?>"></div>
          <div class="container">
            <div class="row align-items-center">
              <div class="col-lg-7">
                <div class="banner-content banner-content--style-2">
                  <div class="banner-content__inner">
                    <?php if ( $value['subheading'] ) { ?>
                    <span class="banner-content__sub-title"><?php echo wp_kses_post( $value['subheading'] ); ?></span>
                    <?php } ?>
                    <?php if( $value['heading1'] || $value['heading2'] ) { ?>
                    <h2 class="banner-content__title">
                      <?php echo wp_kses_post( $value['heading1'] ); ?>
                      <span class="text-ex2"><?php echo wp_kses_post( $value['heading2'] ); ?></span>
                    </h2>
                    <?php } if ( $value['description'] ) { ?>
                    <p><?php echo wp_kses_post( $value['description'] ); ?></p>
                    <?php } if ( $value['btn_txt'] || $value['btn2_txt'] ) { ?>
                    <div class="banner-content__btn-list">
                      <a href="<?php echo esc_url( $value['btn_link'] ); ?>" class="rt-btn--6">
                        <?php echo esc_html( $value['btn_txt'] ); ?>
                        <div class="icon--4">
                          <svg xmlns="http://www.w3.org/2000/svg" width="10" height="12" viewBox="0 0 10 12">
                            <path data-name="Polygon 8" d="M6,0l6,10H0Z" transform="translate(10) rotate(90)" fill="#fff" />
                          </svg>
                        </div>
                      </a>
                      <a href="<?php echo esc_url( $value['btn2_link'] ); ?>" class="rt-btn--7">
                        <?php echo esc_html( $value['btn2_txt'] ); ?>
                        <div class="icon--4">
                          <svg xmlns="http://www.w3.org/2000/svg" width="10" height="12" viewBox="0 0 10 12">
                            <path data-name="Polygon 8" d="M6,0l6,10H0Z" transform="translate(10) rotate(90)" fill="#fff" />
                          </svg>
                        </div>
                      </a>
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <?php } ?>
    </div>

    <div class="slider-navigation-box slider-navigation-box--style-1">
      <ul class="element-list">
        <li>
          <svg xmlns="http://www.w3.org/2000/svg" width="30.438" height="28.067" viewBox="0 0 30.438 28.067">
            <path data-name="Path 561" d="M0,0H30.438L0,28.067Z" fill="#fff" />
          </svg>
        </li>
        <?php if( !empty( $slider_shape['id'] ) ) : ?>
        <li><?php echo wp_get_attachment_image( $slider_shape['id'],'full' ); ?></li>
        <?php endif; ?>
      </ul>
      <div class="inner">
        <?php if( $slider_dots == 'yes' ) : ?>
        <div class="pagination-area">
          <div class="rt-swiper-pagination"></div>
        </div>
        <?php endif; if( $slider_arrow == 'yes' ) : ?>
        <div class="navigation-area">
          <div class="navigation-box">
            <i class="fas fa-arrow-left slider-btn btn-prev"></i>
            <i class="fas fa-arrow-right slider-btn btn-next"></i>
          </div>
        </div>
        <?php endif; ?>
      </div>
    </div>
  </div>

  <?php if( $showhide == 'yes' ) : ?>
  <a class="rt-scroll-spy-btn rt-scroll-spy-btn--style-2" href="#<?php echo esc_attr( $scroll_id ); ?>">
    <span class="spy-dot"></span>
  </a>
  <?php endif; ?>
</section>
