<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/hero-slider/class.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;

if ( ! defined( 'ABSPATH' ) ) exit;

class Slider2 extends Custom_Widget_Base {

	public function __construct( $data = [], $args = null ){
		$this->rt_name = __( 'Slider 2', 'daisy-core' );
		$this->rt_base = 'rt-slider2';
		parent::__construct( $data, $args );
	}

	public function rt_fields(){

		// Repeter
		$repeater = new \Elementor\Repeater();
		$repeater->add_control(
			'picture', [
				'type'    => Controls_Manager::MEDIA,
				'label'   => esc_html__( 'Image', 'daisy-core' ),
				'default' => [
	                'url' => $this->rt_placeholder_image(),
	            ],
				'description' => esc_html__( 'Image size should be 1620 X 1080px', 'daisy-core' ),
				'show_label' => false,
			]
		);
		$repeater->add_control(
			'subheading', [
				'label' => __( 'Sub Title', 'daisy-core' ),
				'type'    => Controls_Manager::TEXT,
				'default' => __( 'Award winning', 'daisy-core' ),
				'label_block' => true,
			]
		);
		$repeater->add_control(
			'heading1', [
				'label' => __( 'Title', 'daisy-core' ),
				'type'    => Controls_Manager::TEXT,
				'default' => __( 'Digital Marketing Agency', 'daisy-core' ),
				'label_block' => true,
			]
		);
		$repeater->add_control(
			'description', [
				'label' => __( 'Description', 'daisy-core' ),
				'type'    => Controls_Manager::TEXTAREA,
				'default' => 'Morbi sed lacus nec risus finibus feugiat et fermentum nibh. Pellentesque vitae ante at elit fringilla ac at purus, Morbi sed lacus nec risus finibus feugiat et fermentum',
				'label_block' => true,
			]
		);
		$repeater->add_control(
			'btn_txt', [
				'label'   => esc_html__( 'Button Text', 'daisy-core' ),
				'type'    => Controls_Manager::TEXT,
				'default' => __( 'CONTACT US', 'daisy-core' ),
				'label_block' => true,
			]
		);
		$repeater->add_control(
			'btn_link', [
				'label'   => esc_html__( 'Button Link', 'daisy-core' ),
				'type'    => Controls_Manager::TEXT,
				'default' => '#',
				'label_block' => true,
			]
		);		
		$fields = array(
			array(
				'mode'    => 'section_start',
				'id'      => 'sec_hero_slider',
				'label'   => esc_html__( 'Slider', 'daisy-core' ),
			),
			// Image
			array(
				'id'      => 'slider_shape',
				'type'    => Controls_Manager::MEDIA,
				'label'   => esc_html__( 'Shape Image', 'cirkle-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended full image', 'cirkle-core' ),
			),
			array(
				'id'      => 'slider_shape2',
				'type'    => Controls_Manager::MEDIA,
				'label'   => esc_html__( 'Shape 2 Image', 'cirkle-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended full image', 'cirkle-core' ),
			),
			array(
				'id'      => 'slider_shape3',
				'type'    => Controls_Manager::MEDIA,
				'label'   => esc_html__( 'Shape 3 Image', 'cirkle-core' ),
				'default' => [
                    'url' => $this->rt_placeholder_image(),
                ],
				'description' => esc_html__( 'Recommended full image', 'cirkle-core' ),
			),
			array(
				'type'    => Controls_Manager::SWITCHER,
				'id'      => 'showhide',
				'label'   => esc_html__( 'Scroll', 'daisy-core' ),
				'label_on'    => esc_html__( 'Show', 'daisy-core' ),
				'label_off'   => esc_html__( 'Hide', 'daisy-core' ),
				'default'     => 'yes',
			),
			array(
				'id'      => 'slider2',
				'type'    => Controls_Manager::REPEATER,
				'label'   => esc_html__( 'Add many slides as you want', 'daisy-core' ),
				'fields' => $repeater->get_controls(),
				'default' => array(
					array( 
						'subheading'  => __( 'Award winning', 'daisy-core' ), 
						'heading1'    => __( 'Digital Marketing Agency', 'daisy-core' ), 
						'description' => __( 'Morbi sed lacus nec risus finibus feugiat et fermentum nibh. Pellentesque vitae ante at elit fringilla ac at purus, Morbi sed lacus nec risus finibus feugiat et fermentum', 'daisy-core' ), 
						'btn_txt'     => __( 'CONTACT US', 'daisy-core' ), 
						'btn_link'    => '#',
					),
					array( 
						'subheading'  => __( 'Award winning', 'daisy-core' ), 
						'heading1'    => __( 'Digital Marketing Agency', 'daisy-core' ), 
						'description' => __( 'Morbi sed lacus nec risus finibus feugiat et fermentum nibh. Pellentesque vitae ante at elit fringilla ac at purus, Morbi sed lacus nec risus finibus feugiat et fermentum', 'daisy-core' ), 
						'btn_txt'     => __( 'CONTACT US', 'daisy-core' ), 
						'btn_link'    => '#',
					),
					array( 
						'subheading'  => __( 'Award winning', 'daisy-core' ), 
						'heading1'    => __( 'Digital Marketing Agency', 'daisy-core' ), 
						'description' => __( 'Morbi sed lacus nec risus finibus feugiat et fermentum nibh. Pellentesque vitae ante at elit fringilla ac at purus, Morbi sed lacus nec risus finibus feugiat et fermentum', 'daisy-core' ), 
						'btn_txt'     => __( 'CONTACT US', 'daisy-core' ), 
						'btn_link'    => '#',
					),
				),
			),
			array(
				'mode' => 'section_end',
			),
			array(
				'mode'        => 'section_start',
				'id'          => 'sec_slider',
				'label'       => esc_html__( 'Slider Options', 'daisy-core' ),
			),
			array(
				'type'        => Controls_Manager::SWITCHER,
				'id'          => 'slider_autoplay',
				'label'       => esc_html__( 'Autoplay', 'daisy-core' ),
				'label_on'    => esc_html__( 'On', 'daisy-core' ),
				'label_off'   => esc_html__( 'Off', 'daisy-core' ),
				'description' => esc_html__( 'Enable or disable autoplay. Default: On', 'daisy-core' ),
			),
			array(
				'type'        => Controls_Manager::SWITCHER,
				'id'          => 'slider_dots',
				'label'       => esc_html__( 'Number', 'daisy-core' ),
				'label_on'    => esc_html__( 'On', 'daisy-core' ),
				'label_off'   => esc_html__( 'Off', 'daisy-core' ),
				'default'     => 'on',
				'description' => esc_html__( 'Enable or disable nav dots. Default: off', 'daisy-core' ),
			),
			array(
				'type'    => Controls_Manager::SELECT2,
				'id'      => 'slider_autoplay_speed',
				'label'   => esc_html__( 'Autoplay Speed', 'daisy-core' ),
				'options' => $this->rt_autoplay_speed(),
				'default' => '2000',
				'description' => esc_html__( 'Select any value for autopaly speed. Default: 2000', 'daisy-core' ),
				'condition'   => array( 
					'slider_autoplay' => 'yes', 
				),
			),
			array(
				'type'        => Controls_Manager::SWITCHER,
				'id'          => 'slider_arrow',
				'label'       => esc_html__( 'Arrow', 'daisy-core' ),
				'label_on'    => esc_html__( 'On', 'daisy-core' ),
				'label_off'   => esc_html__( 'Off', 'daisy-core' ),
				'description' => esc_html__( 'Enable or disable nav dots. Default: off', 'daisy-core' ),
			),
			array(
				'mode' => 'section_end',
			),
			array(
				'id'      => 'slider_content_style',
				'mode'    => 'section_start',
				'tab'     => Controls_Manager::TAB_STYLE,
				'label'   => __( 'Content', 'daisy-core' ),
			),
			array(
				'id'      => 'subtitle_heading',
				'type' => Controls_Manager::HEADING,
				'label'   => __( 'Sub Title', 'daisy-core' ),
				'separator' => 'before',
			),
			array(
				'id'      => 'subtitle_color',
				'type'    => Controls_Manager::COLOR,
				'label'   => __( 'Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .banner-content__sub-title' => 'color: {{VALUE}}',
				),
			),
			array(
				'name'     => 'subtitle_typo',
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'label'    => __( 'Typography', 'daisy-core' ),
				'selector' => '{{WRAPPER}} .banner-content__sub-title',
			),
			array(
				'id'      => 'title_heading',
				'type' => Controls_Manager::HEADING,
				'label'   => __( 'Title', 'daisy-core' ),
				'separator' => 'before',
			),
			array(
				'id'      => 'title_color',
				'type'    => Controls_Manager::COLOR,
				'label'   => __( 'Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .banner-content__title' => 'color: {{VALUE}}',
				),
			), 
			array(
				'name'     => 'title_typo',
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'label'    => __( 'Typography', 'daisy-core' ),
				'selector' => '{{WRAPPER}} .banner-content__title',
			),
			array(
				'id'      => 'desc_heading',
				'type' => Controls_Manager::HEADING,
				'label'   => esc_html__( 'Description', 'daisy-core' ),
				'separator' => 'before',
			),
			array(
				'id'      => 'desc_color',
				'type'    => Controls_Manager::COLOR,
				'label'   => esc_html__( 'Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .banner-content p' => 'color: {{VALUE}}',
				),
			), 
			array(
				'name'     => 'desc_typo',
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'label'    => esc_html__( 'Typography', 'daisy-core' ),
				'selector' => '{{WRAPPER}} .banner-content p',
			),
			array(
				'mode' => 'section_end',
			),
			array(
				'id'      => 'slider_btn_style',
				'mode'    => 'section_start',
				'tab'     => Controls_Manager::TAB_STYLE,
				'label'   => __( 'Button', 'daisy-core' ),
			),
			array(
				'id'        => 'button_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Color', 'daisy-core' ),
				'selectors' => array( '{{WRAPPER}} .rt-btn--11' => 'color: {{VALUE}}' ),
			),
			array(
				'id'        => 'button_icon_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Icon Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .rt-btn--11 svg path' => 'fill: {{VALUE}}', 
					'{{WRAPPER}} .rt-btn--11 svg rect' => 'fill: {{VALUE}}', 
				),
			),
			array(
				'name'     => 'button_typo',
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'label'    => __( 'Typography', 'daisy-core' ),
				'selector' => '{{WRAPPER}} .rt-btn--11',
			),
			array(
				'name'        => 'button_bgc',
				'mode'     => 'group',
				'type'     => Group_Control_Background::get_type(),
				'label'     => __( 'Background Color', 'daisy-core' ),
				'types'    => [ 'classic', 'gradient' ],
				'selector' => '{{WRAPPER}} .rt-btn--11',
			),
			array(
				'id'      => 'button_h_heading',
				'type' => Controls_Manager::HEADING,
				'label'   => __( 'Hover', 'daisy-core' ),
				'separator' => 'before',
			),
			array(
				'id'        => 'button_h_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .rt-btn--11:hover' => 'color: {{VALUE}}',
				),
			),
			array(
				'id'        => 'buttonh_icon_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Icon Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .rt-btn--11:hover svg path' => 'fill: {{VALUE}}', 
					'{{WRAPPER}} .rt-btn--11:hover svg rect' => 'fill: {{VALUE}}', 
				),
			),
			array(
				'name'     => 'button_h_bgc',
				'mode'     => 'group',
				'type'     => Group_Control_Background::get_type(),
				'label'    => __( 'Background', 'daisy-core' ),
				'types'    => [ 'classic', 'gradient' ],
				'selector' => '{{WRAPPER}} .rt-btn--11:hover',
			),
			array(
				'mode' => 'section_end',
			),
			array(
				'id'      => 'slider_navigation_style',
				'mode'    => 'section_start',
				'tab'     => Controls_Manager::TAB_STYLE,
				'label'   => __( 'Navigation', 'daisy-core' ),
			),
			array(
				'id'      => 'nnumber_heading',
				'type' => Controls_Manager::HEADING,
				'label'   => __( 'Number', 'daisy-core' ),
				'separator' => 'before',
			),
			array(
				'id'        => 'nnumber_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .swiper-pagination-bullet' => 'color: {{VALUE}}',
				),
			),
			array(
				'name'     => 'nnumber_typo',
				'mode'     => 'group',
				'type'     => Group_Control_Typography::get_type(),
				'label'    => __( 'Typography', 'daisy-core' ),
				'selector' => '{{WRAPPER}} .swiper-pagination-bullet',
			),
			array(
				'id'        => 'nnumber_active_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Active Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .swiper-pagination-bullet.swiper-pagination-bullet-active' => 'color: {{VALUE}}',
				),
			),
			array(
				'id'        => 'nnumber_active_b_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Active Border Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .swiper-pagination-bullet.swiper-pagination-bullet-active' => 'border-color: {{VALUE}}',
				),
			),
			array(
				'id'      => 'narrow_heading',
				'type' => Controls_Manager::HEADING,
				'label'   => __( 'Arrow', 'daisy-core' ),
				'separator' => 'before',
			),
			array(
				'id'        => 'narrow_icon_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Icon Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .slider-btn svg path' => 'fill: {{VALUE}}',
					'{{WRAPPER}} .slider-btn svg rect' => 'fill: {{VALUE}}',
				),
			),
			array(
				'id'      => 'narrow_h_heading',
				'type' => Controls_Manager::HEADING,
				'label'   => __( 'Arrow Hover', 'daisy-core' ),
				'separator' => 'before',
			),
			array(
				'id'        => 'narrow_h_color',
				'type'      => Controls_Manager::COLOR,
				'label'     => __( 'Color', 'daisy-core' ),
				'selectors' => array( 
					'{{WRAPPER}} .slider-btn:hover svg path' => 'fill: {{VALUE}}',
					'{{WRAPPER}} .slider-btn:hover svg rect' => 'fill: {{VALUE}}',
				),
			),
			array(
				'mode' => 'section_end',
			),
		);
		return $fields;
	}

	public function swiper(){
		wp_enqueue_style( 'swiper' );
		wp_enqueue_script( 'swiper' );
		wp_enqueue_script( 'swiper-func' );
	}

	protected function render() {
		$data = $this->get_settings();	
		$this->swiper();
		
		$template = 'view';

		$swiper_data = array(
			'autoplay' => $data['slider_autoplay'] == 'yes' ? true : false,
			'speed'    => $data['slider_autoplay_speed'],
			'allowSlideNext' => $data['slider_arrow'] == 'yes' ? true : false,
			'allowSlidePrev' => $data['slider_arrow'] == 'yes' ? true : false,
		);

		$data['swiper_data'] = json_encode( $swiper_data );

		return $this->rt_template( $template, $data );
	}
}