<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/hero-slider/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Bizcon_Core;
extract( $data );

$shape1 = wp_get_attachment_image( $slider_shape['id'], 'full' );
$shape2 = wp_get_attachment_image( $slider_shape2['id'], 'full' );
$shape3 = wp_get_attachment_image( $slider_shape3['id'], 'full' );



?>

<section class="banner banner--style-3 position-relative overflow-hidden rt-slide-wrap">
  <ul class="element-list d-none d-xl-block">
    <?php if( !empty( $shape1 ) ) : ?>
    <li><span><?php echo wp_kses_post( $shape1 ); ?></span></li>
    <?php endif; if( !empty( $shape2 ) ) : ?>
    <li><span><?php echo wp_kses_post( $shape2 ); ?></span></li>
    <?php endif; if( !empty( $shape3 ) ) : ?>
    <li><span><?php echo wp_kses_post( $shape3 ); ?></span></li>
    <?php endif; ?>
  </ul>
  <div class="container">
      <div class="banner-slider-wrapper banner-slider-wrapper--style-2">
        <div class="rt-slider-style-2 swiper">
          <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
            <?php 
                foreach ( $data['slider2'] as $value ) {
                $img = wp_get_attachment_image_src( $value['picture']['id'],'full' );

            ?>
            <div class="swiper-slide">
              <div class="banner-slide-item banner-slide-item--style-2">
                <div class="banner-img banner-img--style-3 d-none d-lg-block" data-bg-image="<?php if( !empty( $img[0] ) ) { echo esc_attr( $img[0] ); } ?>">
                </div>
                  <div class="row align-items-center">
                    <div class="col-lg-6">
                      <div class="banner-content banner-content--style-3">
                        <?php if ( $value['subheading'] ) { ?>
                        <span class="banner-content__sub-title"><?php echo wp_kses_post( $value['subheading'] ); ?></span>
                        <?php } if( $value['heading1'] ) { ?>
                        <h2 class="banner-content__title"><?php echo wp_kses_post( $value['heading1'] ); ?></h2>
                        <?php } if ( $value['description'] ) { ?>
                        <p><?php echo wp_kses_post( $value['description'] ); ?></p>
                        <?php } if ( $value['btn_txt'] ) { ?>
                        <div class="banner-content__btn-list">
                          <a href="<?php echo esc_url( $value['btn_link'] ); ?>" class="rt-btn--11">
                            <?php echo esc_html( $value['btn_txt'] ); ?>
                            <div class="icon--6">
                              <svg xmlns="http://www.w3.org/2000/svg" width="37" height="10" viewBox="0 0 37 10">
                                <g data-name="Group 780" transform="translate(-352 -742)">
                                  <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)">
                                  </path>
                                  <rect data-name="Rectangle 240" width="29" height="2" transform="translate(352 746)">
                                  </rect>
                                </g>
                              </svg>
                            </div>
                          </a>
                        </div>
                        <?php } ?>
                      </div>
                    </div>
                  </div>
              </div>
            </div>
            <?php } ?>
          </div>
        </div>
        <?php if( $slider_dots == 'yes' ) : ?>
        <div class="pagination-box-2">
          <div class="rt-swiper-pagination"></div>
        </div>
        <?php endif; if( $slider_arrow == 'yes' ) : ?>
        <div class="navigation-box-2">
          <span class="span slider-btn btn-prev">
            <svg data-name="Group 567" xmlns="http://www.w3.org/2000/svg" width="37" height="10" viewBox="0 0 37 10">
                <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(0 10) rotate(-90)" />
                <rect data-name="Rectangle 240" width="29" height="2" transform="translate(8 4)" />
            </svg>
          </span>
          <span class="span slider-btn btn-next">
            <svg xmlns="http://www.w3.org/2000/svg" width="37" height="10" viewBox="0 0 37 10">
                <g data-name="Group 566" transform="translate(-352 -742)">
                    <path data-name="Polygon 8" d="M5,0l5,8H0Z" transform="translate(389 742) rotate(90)" />
                    <rect data-name="Rectangle 240" width="29" height="2" transform="translate(352 746)" />
                </g>
            </svg>
          </span>
        </div>
        <?php endif; ?>
      </div>
  </div>
</section>
