<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/info-box/view-1.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;

extract( $data );

$attr = '';
if ( !empty( $data['link']['url'] ) ) {
  $attr  = 'href="' . $data['link']['url'] . '"';
  $attr .= !empty( $data['link']['is_external'] ) ? ' target="_blank"' : '';
  $attr .= !empty( $data['link']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$final_icon_class       = "fas fa-user-check";
$final_icon_image_url   = '';
if ( is_string( $icon_class['value'] ) && $dynamic_icon_class =  $icon_class['value']  ) {
  $final_icon_class     = $dynamic_icon_class;
}
if ( is_array( $icon_class['value'] ) ) {
  $final_icon_image_url = $icon_class['value']['url'];
}

?>

<div class="social-box-wrapper <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
  <a <?php echo $attr; ?> class="social-box social-box--style-1">
    <div class="social-box__inner">
      <span class="social-box__icon-text">
          <?php if ( !empty( $data['icontype']== 'image' ) ) { ?>                 
              <?php echo wp_get_attachment_image( $icon_image['id'], 'full' ); ?>
          <?php }else{?>  
          <?php if ( $final_icon_image_url ): ?>
              <span class="rtin-icon-svg"><img src="<?php echo esc_url( $final_icon_image_url ); ?>" alt="SVG Icon"></span>
          <?php else: ?>
              <span class="rtin-icon"><i class="<?php  echo esc_attr( $final_icon_class ); ?>"></i></span>
          <?php endif ?>
          <?php }  ?>
          <?php if (!empty($title)) { ?>
            <?php echo esc_html( $title ); ?>
          <?php } ?>
        </span>
    </div>
  </a>
</div>