<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/team/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );
$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query= null;
if ( $query_type == 'cats' && !empty( $postbycats ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'tax_query' => array(
            array(
                'taxonomy' => $prefix.'_team_category',
                'field' => 'id',
                'terms' => $postbycats
            )
        ),
    );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'taxonomy'       => $prefix.'_team',
        'post__in'       => $postbytitle
    );
} else {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'offset'         => $offset,
        'taxonomy'       => $prefix.'_team_category',
    );
}

$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) : 

$col_class = "col-xl-{$data['cols_xl']} col-lg-{$data['cols_lg']} col-md-{$data['cols_md']} col-sm-{$data['cols_sm']} col-{$data['cols']}"; 

?>

<div class="row gutter-30 align-items-center">
  <?php
    $i = 0;
    $j = $data['delay']; 
    $k = $data['duration']; 
    while ( $grid_query->have_posts() ) : $grid_query->the_post(); 
    $team_desigantion = get_post_meta( get_the_ID(), 'daisy_team_desigantion', true );
    $socials = get_post_meta( get_the_ID(), "daisy_team_socials", true );
  ?>

  <div class="<?php echo esc_attr( $col_class );?> <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $j );?>ms" data-wow-duration="<?php echo esc_attr( $k );?>ms">
    <div class="team team--style-1">
      <div class="team__img">
        <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'daisy-thumb4' ); ?></a>
        <?php if( $data['shape_showhide'] ) : ?>
        <ul class="team-shape-list">
          <li>
            <span>
              <svg xmlns="http://www.w3.org/2000/svg" width="54.863" height="150.996" viewBox="0 0 54.863 150.996">
                <g data-name="Group 2156" transform="translate(-366 -4954.004)">
                  <g data-name="Intersection 3" transform="translate(366 4988.004)" fill="none">
                    <path d="M0,0,51.826,69.873c5.845,7.88,3,18.26-6.353,23.184L0,117Z" stroke="none" />
                    <path
                        d="M 1.999992370605469 6.053695678710938 L 1.999992370605469 113.6825256347656 L 44.54080963134766 91.28759765625 C 46.69364166259766 90.15421295166016 48.49224472045898 88.69570159912109 49.88666152954102 86.95256805419922 C 51.21087646484375 85.29721832275391 52.10809326171875 83.46681213378906 52.55339431762695 81.51221466064453 C 53.37396240234375 77.91051483154297 52.54505920410156 74.20023345947266 50.21939468383789 71.0648193359375 L 1.999992370605469 6.053695678710938 M -7.62939453125e-06 0 L 51.82575988769531 69.87335205078125 C 57.67079544067383 77.75347900390625 54.82599258422852 88.13304901123047 45.47251129150391 93.05733489990234 L -7.62939453125e-06 116.9955978393555 L -7.62939453125e-06 0 Z" stroke="none" fill="#fff" />
                  </g>
                  <g data-name="Intersection 4" transform="translate(366 4954.004)" fill="none">
                    <path d="M0,0,51.826,69.873c5.845,7.88,3,18.26-6.353,23.184L0,117Z" stroke="none" />
                    <path
                        d="M 1.999992370605469 6.053695678710938 L 1.999992370605469 113.6825256347656 L 44.54080963134766 91.28759765625 C 46.69364166259766 90.15421295166016 48.49224472045898 88.69570159912109 49.88666152954102 86.95256805419922 C 51.21087646484375 85.29721832275391 52.10809326171875 83.46681213378906 52.55339431762695 81.51221466064453 C 53.37396240234375 77.91051483154297 52.54505920410156 74.20023345947266 50.21939468383789 71.0648193359375 L 1.999992370605469 6.053695678710938 M -7.62939453125e-06 0 L 51.82575988769531 69.87335205078125 C 57.67079544067383 77.75347900390625 54.82599258422852 88.13304901123047 45.47251129150391 93.05733489990234 L -7.62939453125e-06 116.9955978393555 L -7.62939453125e-06 0 Z" stroke="none" fill="#fff" />
                  </g>
                </g>
              </svg>
            </span>
          </li>
          <li>
            <span>
              <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="54.863" height="134.501" viewBox="0 0 54.863 134.501">
                  <defs>
                    <linearGradient id="linear-gradient-<?php echo esc_attr( $i ); ?>" x1="0.411" y1="0.312" x2="0" y2="1" gradientUnits="objectBoundingBox">
                        <stop offset="0" stop-color="#ff8345" />
                        <stop offset="1" stop-color="#f85c70" />
                    </linearGradient>
                  </defs>
                  <g data-name="Group 2157" transform="translate(-594.069 -4892)">
                    <path data-name="Intersection 2" d="M0,0,43.324,65.1c4.886,7.341,2.508,17.011-5.311,21.6L0,109Z" transform="translate(644.863 5000.996) rotate(180)" fill="url(#linear-gradient-1)" />
                    <g data-name="Intersection 5" transform="translate(648.932 5026.502) rotate(180)" fill="none">
                        <path d="M0,0,51.826,69.873c5.845,7.88,3,18.26-6.353,23.184L0,117Z" stroke="none" />
                        <path
                            d="M 1.999996185302734 6.053703308105469 L 1.999996185302734 113.6825332641602 L 44.54079437255859 91.28760528564453 C 46.69362640380859 90.15422058105469 48.49222946166992 88.69570159912109 49.88664627075195 86.95256805419922 C 51.21084594726562 85.29721832275391 52.10806274414062 83.46681976318359 52.55335998535156 81.51222229003906 C 53.37392807006836 77.9105224609375 52.54502868652344 74.20024108886719 50.2193603515625 71.0648193359375 L 1.999996185302734 6.053703308105469 M -3.814697265625e-06 0 L 51.82572937011719 69.87335205078125 C 57.67076110839844 77.75348663330078 54.82596206665039 88.133056640625 45.47249603271484 93.05733489990234 L -3.814697265625e-06 116.99560546875 L -3.814697265625e-06 0 Z" stroke="none" fill="#fff" />
                    </g>
                  </g>
              </svg>
            </span>
          </li>
        </ul>
        <?php endif; ?>
        <?php if ( !empty( $socials ) ){ ?>
        <div class="team-social-area">
          <ul class="social social--style-1">
            <?php foreach ( $socials as $key => $value ) { 
              if (!empty( $value )) {
                switch ($key) {
                  case 'facebook':
                  $icon = 'fab fa-facebook-f';
                  break;
                  case 'twitter':
                  $icon = 'fab fa-twitter';
                  break;
                  case 'linkedin':
                  $icon = 'fab fa-linkedin-in';
                  break;
                  case 'gplus':
                  $icon = 'fab fa-google-plus-g';
                  break;
                  case 'behance':
                  $icon = 'fab fa-behance';
                  break;
                  case 'dribbble':
                  $icon = 'fab fa-dribbble';
                  break; 
                  case 'skype':
                  $icon = 'fab fa-skype';
                  break;
                  case 'youtube':
                  $icon = 'fab fa-youtube';
                  break;
                  case 'pinterest':
                  $icon = 'fab fa-pinterest-p';
                  break;
                  case 'instagram':
                  $icon = 'fab fa-instagram';
                  break;
                  case 'github':
                  $icon = 'fab fa-github-alt';
                  break;
                  case 'stackoverflow':
                  $icon = 'fab fa-stack-overflow';
                  break;
                  default:
                  $icon = '';
                  break;
                }
            ?>
            <li class="social__item"><a href="<?php echo esc_url( $value ); ?>" class="social__link"><i class="<?php echo esc_attr( $icon ); ?>"></i></a></li>
            <?php } } ?>
          </ul>
        </div>
        <?php } ?>
      </div>
      <div class="team__content">
        <h3 class="team__author-name">
          <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
        </h3>
        <?php if ( !empty( $team_desigantion ) ) : ?>
        <span class="team__author-designation"><?php echo esc_html( $team_desigantion ); ?></span>
        <?php endif; ?>
      </div>
    </div>
  </div>
  <?php $i++; $j = $j+200; endwhile; wp_reset_postdata(); ?>
</div>
<?php endif; ?>