<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/team/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );
$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query= null;
if ( $query_type == 'cats' && !empty( $postbycats ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'tax_query' => array(
            array(
                'taxonomy' => $prefix.'_team_category',
                'field' => 'id',
                'terms' => $postbycats
            )
        ),
    );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'taxonomy'       => $prefix.'_team',
        'post__in'       => $postbytitle
    );
} else {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'offset'         => $offset,
        'taxonomy'       => $prefix.'_team_category',
    );
}

$grid_query = new \WP_Query( $args );

if ( $grid_query->have_posts() ) : 

?>

<div class="rt-slider-wrapper rt-slider-wrapper--style-4 rt-slide-wrap">
  <div class="rt-slider-style-10 swiper">
    <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
      <?php
        $j = $data['delay']; 
        $k = $data['duration'];
        while ( $grid_query->have_posts() ) : $grid_query->the_post(); 
        $team_desigantion = get_post_meta( get_the_ID(), 'daisy_team_desigantion', true );
        $socials = get_post_meta( get_the_ID(), "daisy_team_socials", true );
      ?>
      <div class="swiper-slide">
        <div class="single-item <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $j );?>ms" data-wow-duration="<?php echo esc_attr( $k );?>ms">
          <div class="team team--style-2">
            <div class="team__img">
              <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'daisy-thumb4' ); ?></a>
            </div>
            <div class="team__content">
              <?php if ( !empty( $socials ) ){ ?>
              <div class="team-social-area">
                <ul class="social social--style-1">
                   <?php foreach ( $socials as $key => $value ) { 
                    if (!empty( $value )) {
                      switch ($key) {
                        case 'facebook':
                        $icon = 'fab fa-facebook-f';
                        break;
                        case 'twitter':
                        $icon = 'fab fa-twitter';
                        break;
                        case 'linkedin':
                        $icon = 'fab fa-linkedin-in';
                        break;
                        case 'gplus':
                        $icon = 'fab fa-google-plus-g';
                        break;
                        case 'behance':
                        $icon = 'fab fa-behance';
                        break;
                        case 'dribbble':
                        $icon = 'fab fa-dribbble';
                        break; 
                        case 'skype':
                        $icon = 'fab fa-skype';
                        break;
                        case 'youtube':
                        $icon = 'fab fa-youtube';
                        break;
                        case 'pinterest':
                        $icon = 'fab fa-pinterest-p';
                        break;
                        case 'instagram':
                        $icon = 'fab fa-instagram';
                        break;
                        case 'github':
                        $icon = 'fab fa-github-alt';
                        break;
                        case 'stackoverflow':
                        $icon = 'fab fa-stack-overflow';
                        break;
                        default:
                        $icon = '';
                        break;
                      }
                  ?>
                  <li class="social__item">
                    <a href="<?php echo esc_url( $value ); ?>" class="social__link"><i class="<?php echo esc_attr( $icon ); ?>"></i></a>
                  </li>
                  <?php } } ?>
                </ul>
              </div>
              <?php } ?>
              <h3 class="team__author-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
              <?php if ( !empty( $team_desigantion ) ) : ?>
              <span class="team__author-designation"><?php echo esc_html( $team_desigantion ); ?></span>
              <?php endif; ?>
            </div>
            <ul class="team-shape-list">
              <li>
                <span>
                  <svg xmlns="http://www.w3.org/2000/svg" width="21.863" height="50.996" viewBox="0 0 21.863 50.996">
                    <path data-name="Intersection 26" d="M0,0,20.653,30.456a7.005,7.005,0,0,1-2.532,10.105L0,51Z" transform="translate(21.863 50.996) rotate(180)" fill="rgba(255,255,255,0.52)" />
                  </svg>
                </span>
              </li>
              <li>
                <span>
                  <svg xmlns="http://www.w3.org/2000/svg" width="21.863" height="50.996" viewBox="0 0 21.863 50.996">
                    <path data-name="Intersection 27" d="M0,51,20.653,20.539a7.005,7.005,0,0,0-2.532-10.105L0,0Z" fill="rgba(255,255,255,0.52)" />
                  </svg>
                </span>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <?php $j = $j+200; endwhile; wp_reset_postdata(); ?>
    </div>
  </div>
  <?php if( $slider_dots == 'yes' ) : ?>
  <div class="swiper-pagination swiper-pagination-agency3"></div>
<?php endif; ?>
</div>
<?php endif; ?>