<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/team/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );
$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query= null;
if ( $query_type == 'cats' && !empty( $postbycats ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'tax_query' => array(
            array(
                'taxonomy' => $prefix.'_team_category',
                'field' => 'id',
                'terms' => $postbycats
            )
        ),
    );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'taxonomy'       => $prefix.'_team',
        'post__in'       => $postbytitle
    );
} else {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'offset'         => $offset,
        'taxonomy'       => $prefix.'_team_category',
    );
}

$grid_query = new \WP_Query( $args );

$col_class = "col-xl-{$data['cols_xl']} col-lg-{$data['cols_lg']} col-md-{$data['cols_md']} col-sm-{$data['cols_sm']} col-{$data['cols']}";

if ( $grid_query->have_posts() ) : 

?>

<div class="row">
  <?php
    $j = $data['delay']; 
    $k = $data['duration'];
    while ( $grid_query->have_posts() ) : $grid_query->the_post(); 
    $team_desigantion = get_post_meta( get_the_ID(), 'daisy_team_desigantion', true );
    $socials = get_post_meta( get_the_ID(), "daisy_team_socials", true );
  ?>
  <div class="<?php echo esc_attr( $col_class );?> mb-24">
    <div class="single-item <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $j );?>ms" data-wow-duration="<?php echo esc_attr( $k );?>ms">
      <div class="team team--style-5">
        <div class="team__img">
          <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'daisy-thumb4' ); ?></a>
          <?php if ( !empty( $socials ) ){ ?>
          <div class="team__menu">
            <ul>
              <li>
                <a href="#">
                  <svg data-name="Group 1346" width="22.453" height="23.95" viewBox="0 0 22.453 23.95">
                    <path data-name="Path 5655" d="M34.243,15.53a4.194,4.194,0,0,0-3.376,1.719l-6.635-3.4a3.972,3.972,0,0,0-.124-2.749l6.944-4.179A4.187,4.187,0,1,0,30.033,4.21a4.171,4.171,0,0,0,.293,1.514L23.362,9.914a4.2,4.2,0,1,0,.265,5.2L30.24,18.5a4.153,4.153,0,0,0-.206,1.235,4.21,4.21,0,1,0,4.21-4.21Z" transform="translate(-16)" fill="#fff" />
                  </svg>
                </a>
                <ul class="social">
                  <?php foreach ( $socials as $key => $value ) { 
                    if (!empty( $value )) {
                      switch ($key) {
                        case 'facebook':
                        $icon = 'fab fa-facebook-f';
                        break;
                        case 'twitter':
                        $icon = 'fab fa-twitter';
                        break;
                        case 'linkedin':
                        $icon = 'fab fa-linkedin-in';
                        break;
                        case 'gplus':
                        $icon = 'fab fa-google-plus-g';
                        break;
                        case 'behance':
                        $icon = 'fab fa-behance';
                        break;
                        case 'dribbble':
                        $icon = 'fab fa-dribbble';
                        break; 
                        case 'skype':
                        $icon = 'fab fa-skype';
                        break;
                        case 'youtube':
                        $icon = 'fab fa-youtube';
                        break;
                        case 'pinterest':
                        $icon = 'fab fa-pinterest-p';
                        break;
                        case 'instagram':
                        $icon = 'fab fa-instagram';
                        break;
                        case 'github':
                        $icon = 'fab fa-github-alt';
                        break;
                        case 'stackoverflow':
                        $icon = 'fab fa-stack-overflow';
                        break;
                        default:
                        $icon = '';
                        break;
                      }
                  ?>
                  <li class="social__item"><a href="<?php echo esc_url( $value ); ?>" class="social__link"><i class="<?php echo esc_attr( $icon ); ?>"></i></a></li>
                  <?php } } ?>
                </ul>
              </li>
            </ul>
          </div>
          <?php } ?>
        </div>
        <div class="team__content text-start">
          <h3 class="team__author-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
          <?php if ( !empty( $team_desigantion ) ) : ?>
          <span class="team__author-designation"><?php echo esc_html( $team_desigantion ); ?></span>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>
  <?php $j = $j+200; endwhile; wp_reset_postdata(); ?>
</div>
<?php endif; ?>