<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/team/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\Helper;
extract( $data );
$prefix = DAISY_CORE_THEME_PREFIX;

$grid_query= null;
if ( $query_type == 'cats' && !empty( $postbycats ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'tax_query' => array(
            array(
                'taxonomy' => $prefix.'_team_category',
                'field' => 'id',
                'terms' => $postbycats
            )
        ),
    );
} elseif ( $query_type == 'titles' && !empty( $postbytitle ) ) {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'taxonomy'       => $prefix.'_team',
        'post__in'       => $postbytitle
    );
} else {
    $args = array(
        'post_type'      =>  $prefix.'_team',
        'post_status'    => 'publish',
        'posts_per_page' => $number,
        'orderby'        => $orderby,
        'offset'         => $offset,
        'taxonomy'       => $prefix.'_team_category',
    );
}

$grid_query = new \WP_Query( $args );
$col_class = "col-xl-{$data['cols_xl']} col-lg-{$data['cols_lg']} col-md-{$data['cols_md']} col-sm-{$data['cols_sm']} col-{$data['cols']}";

if ( $grid_query->have_posts() ) : 

?>

<div class="row">
  <?php
    $j = $data['delay']; 
    $k = $data['duration'];
    while ( $grid_query->have_posts() ) : $grid_query->the_post(); 
    $team_desigantion = get_post_meta( get_the_ID(), 'daisy_team_desigantion', true );
    $socials = get_post_meta( get_the_ID(), "daisy_team_socials", true );
  ?>
  <div class="<?php echo esc_attr( $col_class );?> mb-24">
    <div class="single-item text-center <?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $j );?>ms" data-wow-duration="<?php echo esc_attr( $k );?>ms">
      <div class="team team--style-5 team--style-6">
        <svg class="team__bgShape" width="178.079" height="168" viewBox="0 0 178.079 168">
          <path data-name="NoPath - Copy (28)" d="M84,0c62.156,23.156,84,37.608,84,84s-23.209,61.141-84,84S0,130.392,0,84,21.844-23.156,84,0Z" transform="translate(172.991) rotate(90)" fill="#cbe5fc" />
        </svg>
        <div class="team__img">
          <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'daisy-thumb4' ); ?></a>
          <?php if ( !empty( $socials ) ){ ?>
          <div class="team__menu team__menu--style2">
            <ul>
              <li>
                <a href="#">
                  <svg data-name="Group 1346" width="16.682" height="17.794" viewBox="0 0 16.682 17.794">
                    <path data-name="Path 5655" d="M29.554,11.538a3.116,3.116,0,0,0-2.508,1.277l-4.93-2.524a2.951,2.951,0,0,0-.092-2.042l5.159-3.1a3.111,3.111,0,1,0-.757-2.017,3.1,3.1,0,0,0,.218,1.125L21.469,7.366a3.122,3.122,0,1,0,.2,3.866l4.913,2.516a3.085,3.085,0,0,0-.153.918,3.128,3.128,0,1,0,3.128-3.128Z" transform="translate(-16)" fill="#fff" />
                  </svg>
                </a>
                <ul class="social">
                  <?php foreach ( $socials as $key => $value ) { 
                    if (!empty( $value )) {
                      switch ($key) {
                        case 'facebook':
                        $icon = 'fab fa-facebook-f';
                        break;
                        case 'twitter':
                        $icon = 'fab fa-twitter';
                        break;
                        case 'linkedin':
                        $icon = 'fab fa-linkedin-in';
                        break;
                        case 'gplus':
                        $icon = 'fab fa-google-plus-g';
                        break;
                        case 'behance':
                        $icon = 'fab fa-behance';
                        break;
                        case 'dribbble':
                        $icon = 'fab fa-dribbble';
                        break; 
                        case 'skype':
                        $icon = 'fab fa-skype';
                        break;
                        case 'youtube':
                        $icon = 'fab fa-youtube';
                        break;
                        case 'pinterest':
                        $icon = 'fab fa-pinterest-p';
                        break;
                        case 'instagram':
                        $icon = 'fab fa-instagram';
                        break;
                        case 'github':
                        $icon = 'fab fa-github-alt';
                        break;
                        case 'stackoverflow':
                        $icon = 'fab fa-stack-overflow';
                        break;
                        default:
                        $icon = '';
                        break;
                      }
                  ?>
                  <li class="social__item"><a href="<?php echo esc_url( $value ); ?>" class="social__link"><i class="<?php echo esc_attr( $icon ); ?>"></i></a></li>
                  <?php } } ?>
                </ul>
              </li>
            </ul>
          </div>
          <?php } ?>
        </div>
        <div class="team__content">
          <h3 class="team__author-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
          <?php if ( !empty( $team_desigantion ) ) : ?>
          <span class="team__author-designation"><?php echo esc_html( $team_desigantion ); ?></span>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>
  <?php $j = $j+200; endwhile; wp_reset_postdata(); ?>
</div>
<?php endif; ?>