<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;

$slides = array();
foreach ( $data['testimonials'] as $slide ) {
    $slides[] = array(
        'id'          => 'slide-' . time().rand( 1, 99 ),
        'picture'     => $slide['picture'],
        'title'       => $slide['title'],
        'designation' => $slide['designation'],
        'desc'        => $slide['desc'],
    );
}

$heading_tag_html = sprintf( '<%1$s %2$s class="section-heading__title">%3$s</%1$s>', $data['heading_tag'], $this->get_render_attribute_string( 'title' ), $data['title'] );

?>
<div class="testimonial-section--style-1">
  <div class="testimonial-wrapper testimonial-wrapper--style-1">
    <div class="section-heading section-heading--style-3 mb-0">
      <?php if ( !empty( $data['subtitle'] ) ){ ?>
      <span class="section-heading__sub-title"><?php echo $data['subtitle']; ?></span>
      <?php } echo $heading_tag_html; ?>
    </div>
    <div class="rt-slider-style-1 swiper">
      <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
        <?php foreach ( $slides as $slide ): ?>
        <div class="swiper-slide">
          <div class="testimonial testimonial--style-1">
            <div class="testimonial__content">
              <p class="testimonial__text">
                <?php if( $data['slider_quote'] == 'yes') : ?>
                <sup class="quote quote-left">
                  <svg xmlns="http://www.w3.org/2000/svg" width="15.486" height="12.933" viewBox="0 0 15.486 12.933">
                    <g data-name="left-quote (2)" transform="translate(0 -7.858)">
                      <g data-name="Group 140" transform="translate(0 7.858)">
                        <path data-name="Path 501" d="M4.957,13.719a4.1,4.1,0,0,0-1.134-.166,3.563,3.563,0,0,0-1.422.291c.357-1.308,1.216-3.566,2.926-3.82a.406.406,0,0,0,.331-.292L6.032,8.4A.406.406,0,0,0,5.7,7.884a2.839,2.839,0,0,0-.382-.026C3.261,7.858,1.228,10,.37,13.068c-.5,1.8-.651,4.506.589,6.209a3.7,3.7,0,0,0,3.01,1.513h.016a3.6,3.6,0,0,0,.971-7.071Z" transform="translate(0 -7.858)" fill="#f85c70" />
                        <path data-name="Path 502" d="M55.748,15.42a3.611,3.611,0,0,0-2.166-1.7,4.1,4.1,0,0,0-1.134-.166,3.564,3.564,0,0,0-1.422.291c.357-1.308,1.216-3.566,2.926-3.82a.407.407,0,0,0,.331-.292L54.658,8.4a.406.406,0,0,0-.336-.512,2.835,2.835,0,0,0-.382-.026c-2.053,0-4.086,2.143-4.944,5.21-.5,1.8-.651,4.506.589,6.209A3.7,3.7,0,0,0,52.6,20.79h.016a3.6,3.6,0,0,0,3.137-5.37Z" transform="translate(-40.727 -7.858)" fill="#f85c70" />
                      </g>
                    </g>
                  </svg>
                </sup>
                <?php endif; ?>

                <?php if( !empty( $slide['desc'] ) ) : ?>
                <?php echo wp_kses_stripslashes( $slide['desc'] ); ?>
                <?php endif; ?>

                <?php if( $data['slider_quote'] == 'yes') : ?>
                <sub class="quote quote-right">
                  <svg xmlns="http://www.w3.org/2000/svg" width="15.485" height="12.933" viewBox="0 0 15.485 12.933">
                    <g data-name="Group 140" transform="translate(0 0)">
                      <path data-name="Path 501" d="M2.631,14.929a4.1,4.1,0,0,0,1.134.166A3.563,3.563,0,0,0,5.186,14.8c-.357,1.308-1.216,3.566-2.926,3.82a.406.406,0,0,0-.331.292l-.374,1.337a.406.406,0,0,0,.336.512,2.839,2.839,0,0,0,.382.026c2.053,0,4.086-2.143,4.943-5.21.5-1.8.651-4.506-.589-6.209a3.7,3.7,0,0,0-3.01-1.513H3.6a3.6,3.6,0,0,0-.971,7.071Z" transform="translate(7.898 -7.858)" fill="#616161" />
                      <path data-name="Path 502" d="M49.091,13.228a3.611,3.611,0,0,0,2.166,1.7,4.1,4.1,0,0,0,1.134.166,3.564,3.564,0,0,0,1.422-.291c-.357,1.308-1.216,3.566-2.926,3.82a.407.407,0,0,0-.331.292l-.374,1.337a.406.406,0,0,0,.336.512,2.835,2.835,0,0,0,.382.026c2.053,0,4.086-2.143,4.944-5.21.5-1.8.651-4.506-.589-6.209a3.7,3.7,0,0,0-3.01-1.513h-.016a3.6,3.6,0,0,0-3.137,5.37Z" transform="translate(-48.626 -7.858)" fill="#616161" />
                    </g>
                  </svg>
                </sub>
                <?php endif; ?>
              </p>
            </div>
            <div class="author">
              <?php if( !empty( $slide['picture'] ) ) : ?>
              <div class="author__img">
                  <?php echo wp_get_attachment_image( $slide['picture']['id'], 'full' ); ?>
              </div>
              <?php endif; ?>
              <div class="author__info">
                <?php if( !empty( $slide['title'] ) ) : ?>
                <h4 class="author__name"><?php echo wp_kses_stripslashes( $slide['title'] ); ?></h4>
                <?php endif; if( !empty( $slide['designation'] ) ) : ?>
                <span class="author__designation"><?php echo wp_kses_stripslashes( $slide['designation'] ); ?></span>
                <?php endif; ?>
              </div>
            </div>
          </div>
        </div>
        <?php endforeach; ?>
      </div>
      <?php if( $data['slider_arrow'] == 'yes') : ?>
      <div class="navigation-box">
        <div class="test-navigation test-navigation--style-1">
          <i class="fas fa-arrow-left test-navigation__slider-btn btn-prev"></i>
          <i class="fas fa-arrow-right test-navigation__slider-btn btn-next"></i>
        </div>
      </div>
      <?php endif; ?>
    </div>
  </div>
</div>