<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;

$slides = array();
foreach ( $data['testimonials'] as $slide ) {
    $slides[] = array(
        'id'          => 'slide-' . time().rand( 1, 99 ),
        'picture'     => $slide['picture'],
        'title'       => $slide['title'],
        'designation' => $slide['designation'],
        'desc'        => $slide['desc'],
    );
}

?>

<div class="testimonial-wrapper testimonial-wrapper--style-2">
  <div class="rt-slider-style-1 swiper">
    <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
      <?php foreach ( $slides as $slide ): ?>
      <div class="swiper-slide">
        <div class="testimonial testimonial--style-2">
          <div class="testimonial__content">
            <?php if( !empty( $slide['desc'] ) ) : ?>
            <p class="testimonial__text"><?php echo wp_kses_stripslashes( $slide['desc'] ); ?></p>
            <?php endif; ?>
          </div>
          <div class="author">
            <?php if( !empty( $slide['picture'] ) ) : ?>
            <div class="author__img">
              <?php echo wp_get_attachment_image( $slide['picture']['id'], 'full' ); ?>
            </div>
            <?php endif; ?>
            <div class="author__info">
              <?php if( !empty( $slide['title'] ) ) : ?>
              <h4 class="author__name"><?php echo wp_kses_stripslashes( $slide['title'] ); ?></h4>
              <?php endif; if( !empty( $slide['designation'] ) ) : ?>
              <span class="author__designation"><?php echo wp_kses_stripslashes( $slide['designation'] ); ?></span>
              <?php endif; ?>
            </div>
            <?php if( $data['slider_quote'] == 'yes') : ?>
            <span class="quote-right">
              <svg xmlns="http://www.w3.org/2000/svg" width="64.576" height="57" viewBox="0 0 64.576 57">
                <g transform="translate(0.001 -57.197)">
                  <path data-name="Path 631" d="M580.628,57.2H560.494a3.313,3.313,0,0,0-3.311,3.311V80.642a3.313,3.313,0,0,0,3.311,3.311h9.636q-.189,7.908-3.669,12.663a19.949,19.949,0,0,1-8.3,6.212,3.307,3.307,0,0,0-1.643,4.444l2.384,5.033a3.311,3.311,0,0,0,4.312,1.616,36.817,36.817,0,0,0,11.107-7.206,27.959,27.959,0,0,0,7.57-12.047q2.047-6.716,2.047-18.332V60.508A3.313,3.313,0,0,0,580.628,57.2Z" transform="translate(-519.364)" fill="rgba(72,183,116,0.15)" />
                  <path data-name="Path 632" d="M7.022,113.909a37.438,37.438,0,0,0,11.054-7.192,27.81,27.81,0,0,0,7.616-12q2.046-6.666,2.046-18.379V60.508A3.313,3.313,0,0,0,24.427,57.2H4.293A3.313,3.313,0,0,0,.981,60.508V80.642a3.313,3.313,0,0,0,3.311,3.311h9.636q-.189,7.908-3.669,12.663a19.95,19.95,0,0,1-8.3,6.212,3.307,3.307,0,0,0-1.642,4.444l2.378,5.02A3.321,3.321,0,0,0,7.022,113.909Z"
                      transform="translate(0 0)" fill="rgba(72,183,116,0.15)" />
                </g>
              </svg>
            </span>
            <?php endif; ?>
          </div>
        </div>
      </div>
      <?php endforeach; ?>
    </div>
    <?php if( $data['slider_arrow'] == 'yes') : ?>
    <div class="slider-nav slider-nav--style-3">
      <span class="slider-btn btn-prev">
          <i class="fas fa-chevron-left"></i>
      </span>
      <span class="slider-btn btn-next">
          <i class="fas fa-chevron-right "></i>
      </span>
    </div>
    <?php endif; ?>
  </div>
</div>