<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;

$slides = array();
foreach ( $data['testimonials'] as $slide ) {
    $slides[] = array(
        'id'          => 'slide-' . time().rand( 1, 99 ),
        'picture'     => $slide['picture'],
        'title'       => $slide['title'],
        'designation' => $slide['designation'],
        'desc'        => $slide['desc'],
    );
}

$heading_tag_html = sprintf( '<%1$s %2$s class="section-headingFour__title">%3$s</%1$s>', $data['heading_tag'], $this->get_render_attribute_string( 'title' ), $data['title'] );

?>

<div class="row gutter-40 align-items-center justify-content-between rt-slide-wrap">
  <div class="col-lg-6 col-xl-5  wow fadeInUp" data-wow-delay="300ms" data-wow-duration="1500ms">
    <div class="test-title-wrapper test-title-wrapper--style-1">
      <div class="section-headingFour section-headingFour--style-1 mb-0">
        <?php if ( !empty( $data['subtitle'] ) ){ ?>
        <span class="section-headingFour__sub-title"><?php echo $data['subtitle']; ?></span>
        <?php } echo $heading_tag_html; ?>
        <?php if ( !empty( $data['secdesc'] ) ) : ?>
        <p><?php echo wp_kses_stripslashes( $data['secdesc'] ); ?></p>
        <?php endif; ?>
        <?php if( $data['slider_arrow'] == 'yes') : ?>
        <div class="navigation-box mt--35">
          <div class="test-navigation test-navigation--style-2">
            <span class="test-navigation__slider-btn btn-prev">
              <svg xmlns="http://www.w3.org/2000/svg" width="24" height="12" viewBox="0 0 24 12">
                <g data-name="Group 565" transform="translate(0)">
                  <path data-name="Polygon 8" d="M6,0l6,9H0Z" transform="translate(0 12) rotate(-90)" fill="#ff3147" />
                  <rect data-name="Rectangle 240" width="15" height="2" transform="translate(9 5)" fill="#ff3147" />
                </g>
              </svg>
            </span>
            <span class="test-navigation__slider-btn btn-next ">
              <svg xmlns="http://www.w3.org/2000/svg" width="24" height="12" viewBox="0 0 24 12">
                <g id="Group_970" data-name="Group 970" transform="translate(0)">
                    <path id="Polygon_8" data-name="Polygon 8" d="M6,0l6,9H0Z" transform="translate(24) rotate(90)" fill="#ff3147" />
                    <rect id="Rectangle_240" data-name="Rectangle 240" width="15" height="2" transform="translate(0 5)" fill="#ff3147" />
                </g>
              </svg>
            </span>
          </div>
        </div>
        <?php endif; ?>
      </div>
    </div>
  </div>
  <!-- end col -->
  <div class="col-lg-6 col-xl-6 order-1 order-lg-2 wow fadeInUp" data-wow-delay="500ms" data-wow-duration="1500ms">
    <div class="testimonial-wrapper testimonial-wrapper--style-1">
      <div class="rt-slider-style-14 swiper">
        <div class="swiper-wrapper" data-carousel-options="<?php echo esc_attr( $data['swiper_data'] );?>">
          <?php foreach ( $slides as $slide ): ?>
          <div class="swiper-slide">
            <div class="testimonial testimonial--style-4">
              <div class="testimonial__content">
                <?php if( !empty( $slide['desc'] ) ) : ?>
                <p class="testimonial__text"><?php echo wp_kses_stripslashes( $slide['desc'] ); ?></p>
              </div>
              <?php endif; ?>
              <div class="author">
                <?php if( !empty( $slide['picture'] ) ) : ?>
                <div class="author__img">
                  <?php echo wp_get_attachment_image( $slide['picture']['id'], 'full' ); ?>
                </div>
                <?php endif; ?>
                <div class="author__info">
                  <?php if( $data['slider_quote'] == 'yes') : ?>
                  <div class="quote">
                    <svg xmlns="http://www.w3.org/2000/svg" width="63.999" height="45.176" viewBox="0 0 63.999 45.176">
                      <g transform="translate(-0.001 -9.412)">
                        <path data-name="Path 4407" d="M50.629,26.226c-.129-1.393-.03-5.182,3.6-10.449a1,1,0,0,0-.116-1.274c-1.479-1.479-2.4-2.413-3.038-3.066-.845-.861-1.23-1.254-1.795-1.766a1,1,0,0,0-1.328-.013,38.326,38.326,0,0,0-12.334,30.81c.6,8.182,6.563,14.12,14.189,14.12a14.193,14.193,0,0,0,.823-28.362Zm-.823,26.362c-6.549,0-11.677-5.158-12.2-12.265h0C36.467,24.652,45.783,14.473,48.6,11.778c.274.271.588.589,1.05,1.059.557.566,1.318,1.342,2.471,2.5-4.405,6.787-3.574,11.623-3.21,12.316a1.036,1.036,0,0,0,.9.551,12.193,12.193,0,1,1,0,24.386Z" fill="#cbe5fc" />
                        <path data-name="Path 4408" d="M15.114,26.226c-.13-1.39-.034-5.175,3.6-10.449A1,1,0,0,0,18.6,14.5c-1.477-1.477-2.392-2.409-3.033-3.062-.848-.863-1.234-1.257-1.8-1.77a1,1,0,0,0-1.328-.014A38.332,38.332,0,0,0,.1,40.468h0C.7,48.65,6.665,54.588,14.291,54.588a14.193,14.193,0,0,0,.822-28.362Zm-.822,26.362c-6.548,0-11.679-5.158-12.2-12.266h0C.953,24.649,10.268,14.472,13.082,11.778c.275.271.59.591,1.053,1.063.556.566,1.316,1.341,2.467,2.5-4.405,6.788-3.574,11.623-3.21,12.315a1.038,1.038,0,0,0,.9.552,12.193,12.193,0,1,1,0,24.386Z" fill="#cbe5fc" />
                      </g>
                    </svg>
                  </div>
                  <?php endif; ?>
                  <?php if( !empty( $slide['title'] ) ) : ?>
                  <h4 class="author__name"><?php echo wp_kses_stripslashes( $slide['title'] ); ?></h4>
                  <?php endif; if( !empty( $slide['designation'] ) ) : ?>
                  <span class="author__designation"><?php echo wp_kses_stripslashes( $slide['designation'] ); ?></span>
                  <?php endif; ?>
                </div>
              </div>
            </div>
          </div>
          <?php endforeach; ?>
        </div>
      </div>
    </div>
  </div>
</div>