<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
extract( $data );

$attr = '';
if ( !empty( $data['button1url']['url'] ) ) {
	$attr  = 'href="' . $data['button1url']['url'] . '"';
	$attr .= !empty( $data['button1url']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['button1url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$attr2 = '';
if ( !empty( $data['button2url']['url'] ) ) {
	$attr2  = 'href="' . $data['button2url']['url'] . '"';
	$attr2 .= !empty( $data['button2url']['is_external'] ) ? ' target="_blank"' : '';
	$attr2 .= !empty( $data['button2url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$final_icon_class       = " far fa-envelope";
$final_icon_image_url   = '';
if ( is_string( $btn1_icon['value'] ) && $dynamic_icon_class =  $btn1_icon['value']  ) {
  $final_icon_class     = $dynamic_icon_class;
}
if ( is_array( $btn1_icon['value'] ) ) {
  $final_icon_image_url = $btn1_icon['value']['url'];
}

$final_icon_class2       = " fas fa-cloud-download-alt";
$final_icon_image_url2   = '';
if ( is_string( $btn2_icon['value'] ) && $dynamic_icon_class2 =  $btn2_icon['value']  ) {
  $final_icon_class2     = $dynamic_icon_class2;
}
if ( is_array( $btn2_icon['value'] ) ) {
  $final_icon_image_url2 = $btn2_icon['value']['url'];
}

?>
<div class="<?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
  <div class="section-heading section-heading--style-1 <?php echo esc_attr( $borderalign ); ?>">
    <?php if( !empty( $data['sub_title'] ) ) : ?>
    <span class="section-heading__sub-title"><?php echo wp_kses_post( $data['sub_title'] ); ?></span>
    <?php endif; if( !empty( $data['title'] ) ) : ?>
    <h2 class="section-heading__title"><?php echo wp_kses_post( $data['title'] ); ?></h2>
    <?php endif; if( $data['description'] ) : ?>
    <div class="desc1"><?php echo wp_kses_post( $data['description'] ); ?></div>
    <?php endif; if( $button_display == 'yes' ) : ?>
    <div class="section-heading__btn-list">
      <a <?php echo $attr; ?> class="rt-btn--1">
        <div class="icon--1">
           <?php if ( $final_icon_image_url ): ?>
              <span class="svg-img"><img src="<?php echo esc_url( $final_icon_image_url ); ?>" alt="SVG Icon"></span>
          <?php else: ?>
              <i class="<?php  echo esc_attr( $final_icon_class ); ?>"></i>
          <?php endif ?>
        </div>
        <?php echo esc_html( $data['buttontext1'] ); ?>
      </a>
      <a <?php echo $attr2; ?> class="rt-btn--2" download>
        <div class="icon--2">
          <?php if ( $final_icon_image_url2 ): ?>
          <span class="svg-img"><img src="<?php echo esc_url( $final_icon_image_url2 ); ?>" alt="SVG Icon"></span>
  	    <?php else: ?>
  	        <i class="<?php  echo esc_attr( $final_icon_class2 ); ?>"></i>
  	    <?php endif ?>
        </div>
        <?php echo esc_html( $data['buttontext2'] ); ?>
      </a>
    </div>
    <?php endif; ?>
  </div>
</div>