<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
extract( $data );

$attr = '';
if ( !empty( $data['button1url']['url'] ) ) {
	$attr  = 'href="' . $data['button1url']['url'] . '"';
	$attr .= !empty( $data['button1url']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['button1url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$final_icon_class       = " far fa-envelope";
$final_icon_image_url   = '';
if ( is_string( $btn1_icon['value'] ) && $dynamic_icon_class =  $btn1_icon['value']  ) {
  $final_icon_class     = $dynamic_icon_class;
}
if ( is_array( $btn1_icon['value'] ) ) {
  $final_icon_image_url = $btn1_icon['value']['url'];
}

?>
<div class="<?php echo esc_attr( $data['animation'] );?> <?php echo esc_attr( $data['animation_effect'] );?>" data-wow-delay="<?php echo esc_attr( $data['delay'] );?>ms" data-wow-duration="<?php echo esc_attr( $data['duration'] );?>ms">
    <div class="section-headingFour section-headingFour--style-1 mb-0 ">
      <?php if( !empty( $data['sub_title'] ) ) : ?>
      <span class="section-headingFour__sub-title"><?php echo wp_kses_post( $data['sub_title'] ); ?></span>
      <?php endif; if( !empty( $data['title'] ) ) : ?>
      <h2 class="section-headingFour__title"><?php echo wp_kses_post( $data['title'] ); ?></h2>
      <?php endif; if( $data['description'] ) : ?>
      <p class="desc1"><?php echo wp_kses_post( $data['description'] ); ?></p>
      <?php endif;  if( $button_display == 'yes' ) : ?>
      <div class="section-headingFour__btn-wrap">
        <a <?php echo $attr; ?> class="rt-btn--14">
          <?php echo esc_html( $data['buttontext1'] ); ?>
          <div class="icon--4">
            <?php if ( $final_icon_image_url ): ?>
            <span class="svg-img"><img src="<?php echo esc_url( $final_icon_image_url ); ?>" alt="SVG Icon"></span>
            <?php else: ?>
              <i class="<?php  echo esc_attr( $final_icon_class ); ?>"></i>
            <?php endif ?>
          </div>
        </a>
      </div>
      <?php endif; ?>
    </div>
</div>