<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;
use radiustheme\daisy\inc\RDTheme;
use radiustheme\daisy\inc\Helper;

if ( ! defined( 'ABSPATH' ) ) exit;

if ( !class_exists( 'RT_Postmeta' ) ) {
	return;
}

$Postmeta = \RT_Postmeta::getInstance();

$prefix = DAISY_CORE_THEME_PREFIX;

/*-------------------------------------
#. Portfolio Socials
---------------------------------------*/
$rt_socials = array(
	'facebook' => array(
		'label' => __( 'Facebook', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-facebook-f',
	),
	'twitter' => array(
		'label' => __( 'Twitter', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-twitter',
	),
	'linkedin' => array(
		'label' => __( 'Linkedin', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-linkedin-in',
	),
	'behance' => array(
		'label' => __( 'Behance', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-behance',
	),
	'dribbble' => array(
		'label' => __( 'Dribbble', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-dribbble',
	),
	'skype' => array(
		'label' => __( 'Skype', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-skype',
	),
	'youtube' => array(
		'label' => __( 'Youtube', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-youtube',
	),
	'pinterest' => array(
		'label' => __( 'Pinterest', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-pinterest-p',
	),
	'instagram' => array(
		'label' => __( 'Instagram', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-instagram',
	),
	'github' => array(
		'label' => __( 'Github', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-github',
	),
	'stackoverflow' => array(
		'label' => __( 'Stackoverflow', 'daisy' ),
		'type'  => 'text',
		'icon'  => 'fa-stack-overflow',
	),
);
$rt_socials = apply_filters( 'rt_socials', $rt_socials );

/*-------------------------------------
#. Layout Settings
---------------------------------------*/
$nav_menus = wp_get_nav_menus( array( 'fields' => 'id=>name' ) );
$nav_menus = array( 'default' => __( 'Default', 'daisy-core' ) ) + $nav_menus;

$Postmeta->add_meta_box( '{$prefix}_page_settings', esc_html__( 'Layout Settings', 'daisy-core' ), array( 'page', 'post', 'daisy_service', 'daisy_portfolio' ), '', '', 'high', array(
	'fields' => array(
		"{$prefix}_layout" => array(
			'label'   => esc_html__( 'Layout', 'daisy-core' ),
			'type'    => 'select',
			'options' => array(
				'default'       => esc_html__( 'Default', 'daisy-core' ),
				'full-width'    => esc_html__( 'Full Width', 'daisy-core' ),
				'left-sidebar'  => esc_html__( 'Left Sidebar', 'daisy-core' ),
				'right-sidebar' => esc_html__( 'Right Sidebar', 'daisy-core' ),
				),
			'default'  			=> 'default',
		),	
		"{$prefix}_header" => array(
			'label'   => esc_html__( 'Header Layout', 'daisy-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'daisy-core' ),
				'1'       => esc_html__( 'Style 1', 'daisy-core' ),
				'2'       => esc_html__( 'Style 2', 'daisy-core' ),	
				'3'       => esc_html__( 'Style 3', 'daisy-core' ),	
				'4'       => esc_html__( 'Style 4', 'daisy-core' ),	
				'5'       => esc_html__( 'Style 5', 'daisy-core' ),	
				'6'       => esc_html__( 'Style 6', 'daisy-core' ),	
			),
			'default'  => 'default',
		),	
		"{$prefix}_footer" => array(
			'label'   => esc_html__( 'Footer Layout', 'daisy-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'daisy-core' ),
				'1'       => esc_html__( 'Style 1', 'daisy-core' ),
				'2'       => esc_html__( 'Style 2', 'daisy-core' ),		
				'3'       => esc_html__( 'Style 3', 'daisy-core' ),		
				'4'       => esc_html__( 'Style 4', 'daisy-core' ),		
				'5'       => esc_html__( 'Style 5', 'daisy-core' ),		
			),
			'default'  => 'default',
		),
		"{$prefix}_tr_header" => array(
			'label'    	  => __( 'Transparent Header', 'daisy-core' ),
			'type'     	  => 'select',
			'options'  	  => array(
				'default' => __( 'Default', 'daisy-core' ),
				'on'      => __( 'Enabled', 'daisy-core' ),
				'off'     => __( 'Disabled', 'daisy-core' ),
			),
			'default'  => 'default',
		),
		"{$prefix}_banner" => array(
			'label'   => esc_html__( 'Banner', 'daisy-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'daisy-core' ),
				'on'      => esc_html__( 'Enable', 'daisy-core' ),
				'off'     => esc_html__( 'Disable', 'daisy-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_banner_style" => array(
			'label'   => esc_html__( 'Banner Style', 'daisy-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'daisy-core' ),
				'2'      => esc_html__( 'Style 2', 'daisy-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_breadcrumb" => array(
			'label'   => esc_html__( 'Breadcrumb', 'daisy-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'daisy-core' ),
				'on'      => esc_html__( 'Enable', 'daisy-core' ),
				'off'     => esc_html__( 'Disable', 'daisy-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_banner_type" => array(
			'label'   => esc_html__( 'Banner Background Type', 'daisy-core' ),
			'type'    => 'select',
			'options' => array(
				'default'  => esc_html__( 'Default', 'daisy-core' ),
				'bgimg'    => esc_html__( 'Background Image', 'daisy-core' ),
				'bgcolor'  => esc_html__( 'Background Color', 'daisy-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_banner_bgimg" => array(
			'label' => esc_html__( 'Banner Background Image', 'daisy-core' ),
			'type'  => 'image',
			'desc'  => esc_html__( 'If not selected, default will be used', 'daisy-core' ),
		),

		"{$prefix}_banner_bgcolor" => array(
			'label' => esc_html__( 'Banner Background Color', 'daisy-core' ),
			'type'  => 'color_picker',
			'desc'  => esc_html__( 'If not selected, default will be used', 'daisy-core' ),
		),
		"{$prefix}_banner_bgimage_overlay" => array(
			'label' => esc_html__( 'Banner Background Image Overlay', 'daisy-core' ),
			'type'  => 'color_picker',
			'desc'  => esc_html__( 'If not selected, default will be used', 'daisy-core' ),
		),
		"{$prefix}_overlay_opacity" => array(
			'label' => esc_html__( 'Overlay Opacity', 'daisy-core' ),
			'type'  => 'number',
			'default'  => '',
			'desc'  => esc_html__( 'Max input number will be 100', 'daisy-core' ),
		),	
		"{$prefix}_inner_padding_top" => array(
			'label' => esc_html__( 'Banner Padding Top', 'daisy-core' ),
			'type'  => 'text',
			'default'  => '',
			'desc'  => esc_html__( 'If not selected, default will be used 110 "px"', 'daisy-core' ),
		),	
		"{$prefix}_inner_padding_bottom" => array(
			'label' => esc_html__( 'Banner Padding Bottom', 'daisy-core' ),
			'type'  => 'text',
			'default'  => '',
			'desc'  => esc_html__( 'If not selected, default will be used 0 "px" ', 'daisy-core' ),
		),	
	),
	) 
);


/*---------------------------------------------------------------------
#. = Service
-----------------------------------------------------------------------*/
//$icons = array( 'fas fa-smile' => esc_html__( 'Smile', 'daisy-core' ) ) + Helper::get_icons();

$icons = array(
	"icon-advertising"     => "Advertising",
	"icon-app-development" => "App Development",
	"icon-branding"        => "Branding",
	"icon-certificate"     => "Certificate",
	"icon-cloud-computing" => "Cloud Computing",
	"icon-development"     => "Development",
	"icon-webpage"         => "Webpage",
	"icon-page-1"          => "Webpage 1",
	"icon-sketch"          => "Sketch",
	"icon-team"            => "Team",
	"icon-web-programming" => "Web Programming",
);

$Postmeta->add_meta_box( $prefix.'_service_gallery', __( 'Service Details', 'daisy-core' ), array( $prefix.'_service' ), '', '', 'high', array(
	'fields' => array(
		"{$prefix}_service_icon_type" => array(
			'label'   => esc_html__( 'Icon Type', 'daisy-core' ),
			'type'    => 'select',
			'options' => array(
				'icon'  => esc_html__( 'Icon', 'daisy-core' ),
				'image' => esc_html__( 'Image', 'daisy-core' ),
			),
			'default' => 'icon',
		),	
		"{$prefix}_service_icon" => array(
			'label'   => esc_html__( 'Select Icon', 'daisy-core' ),
			'type'    => 'icon_select',
			'options' => $icons,
			'default' => 'fas fa-smile',
		),
		"{$prefix}_service_iconimg" => array(
			'label' => esc_html__( 'Image', 'daisy-core' ),
			'type'  => 'image',
			'desc'  => esc_html__( 'If not selected, default will be used', 'daisy-core' ),
		),
	)
) );


/*-------------------------------------
#. Team
---------------------------------------*/

$Postmeta->add_meta_box( $prefix.'_team_designation', __( 'Team Details', 'daisy-core' ), array( $prefix.'_team' ), '', '', 'high', array(
	'fields' => array(
		"{$prefix}_team_desigantion" => array(
			'label' => esc_html__( 'Designation', 'daisy-core' ),
			'type'  => 'text',
		),
		"{$prefix}_team_socials" => array(
			'type'  => 'group',
			'label' => esc_html__( 'Team Socials', 'artex-core' ),
			'value'  => $rt_socials
		),
	)
) );

$Postmeta->add_meta_box( 'daisy_team_skills', __( 'Team Member Skills', 'daisy-core' ), array( $prefix.'_team' ), '', '', 'high', array(
	'fields' => array(
		'daisy_team_skill' => array(
			'type'  => 'repeater',
			'button' => __( 'Add New Skill', 'daisy-core' ),
			'value'  => array(
				'skill_name' => array(
					'label' => __( 'Skill Name', 'daisy-core' ),
					'type'  => 'text',
					'desc'  => __( 'eg. Marketing', 'daisy-core' ),
				),
				'skill_value' => array(
					'label' => __( 'Skill Percentage (%)', 'daisy-core' ),
					'type'  => 'text',
					'desc'  => __( 'eg. 75', 'daisy-core' ),
				),
			)
		),
	)
) );



