<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Daisy_Core;

$url   = urlencode( get_permalink() );
$title = urlencode( get_the_title() );

$defaults = array(
	'facebook' => array(
		'url'   => "http://www.facebook.com/sharer.php?u=$url",
		'icon'  => 'fab fa-facebook-f',
		'class' => 'facebook'
	),
	'twitter'  => array(
		'url'   => "https://twitter.com/intent/tweet?source=$url&text=$title:$url",
		'icon'  => 'fab fa-twitter',
		'class' => 'twitter'
	),
	'gplus'  => array(
		'url'   => "https://plus.google.com/share?url=$url",
		'icon'  => 'fab fa-google-plus-g',
		'class' => 'google'
	),
	'pinterest' => array(
		'url'   => "http://www.linkedin.com/shareArticle?mini=true&url=$url&title=$title",
		'icon'  => 'fab fa-pinterest-p',
		'class' => 'pinterest'
	),
	'linkedin'=> array( 
		'url'   => "http://pinterest.com/pin/create/button/?url=$url&description=$title",
		'icon'  => 'fab fa-linkedin-in',
		'class' => 'linkedin'
	),
);

$sharers = apply_filters( 'rdtheme_social_sharing_icons', $defaults );
?>

<ul class="social-default">
	<?php foreach ( $sharers as $key => $sharer ): ?>
    <li>
    	<a href="<?php echo esc_url( $sharer['url'] );?>" class="<?php echo esc_attr( $sharer['class'] );?>">
    		<i class="<?php echo esc_attr( $sharer['icon'] );?>"></i>
    	</a>
    </li>
    <?php endforeach; ?>
</ul>
